2024-10-29  Victor Toso  <victortoso@redhat.com>

	Update NEWS for 1.12.0 release

2024-10-15  Léane GRASSER  <leane.grasser@proton.me>

	Translated using Weblate (French)
	Currently translated at 100.0% (171 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/fr/

	Co-authored-by: Léane GRASSER <leane.grasser@proton.me>

2024-10-15  jianqing yan  <yanjianqing@kylinos.cn>

	Translated using Weblate (Chinese (Simplified))
	Currently translated at 0.0% (0 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/zh_Hans/

	Co-authored-by: jianqing yan <yanjianqing@kylinos.cn>

2024-10-15  Oğuz Ersen  <oguz@ersen.moe>

	Translated using Weblate (Turkish)
	Currently translated at 100.0% (171 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/tr/

	Co-authored-by: Oğuz Ersen <oguz@ersen.moe>

2024-10-15  Pino Toscano  <toscano.pino@tiscali.it>

	Translated using Weblate (Italian)
	Currently translated at 100.0% (171 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/it/

	Co-authored-by: Pino Toscano <toscano.pino@tiscali.it>

2024-10-15  Jingge Chen  <mariocanfly@hotmail.com>

	Added translation using Weblate (Chinese (Simplified))
	Co-authored-by: Jingge Chen <mariocanfly@hotmail.com>

2024-10-15  김인수  <simmon@nplob.com>

	Translated using Weblate (Korean)
	Currently translated at 100.0% (171 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/ko/

	Co-authored-by: 김인수 <simmon@nplob.com>

2024-10-15  Temuri Doghonadze  <temuri.doghonadze@gmail.com>

	Translated using Weblate (Georgian)
	Currently translated at 100.0% (171 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/ka/

	Translated using Weblate (Georgian)

	Currently translated at 70.7% (121 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/ka/

	Translated using Weblate (Georgian)

	Currently translated at 64.9% (111 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/ka/

	Co-authored-by: Temuri Doghonadze <temuri.doghonadze@gmail.com>

2024-05-14  Daniel P. Berrangé  <berrange@redhat.com>

	ci: show meson and test logs in build jobs
	Make it easier to diagnose CI failures, by showing the meson-log.txt
	file contents on error, and also using '--print-errorlogs' for tests.

	ci: refresh with latest lcitool manifest
	Changes include

	 * Adding Alpine distros, dropping EOL CentOS Stream 8,
	   adding AlmaLinux 9, updating Debian, Fedora, and
	   Ubuntu versions, renaming OpenSUSE

	 * The CI jobs are no longer split into 'prebuilt' and 'local'
	   pairs

	gitlab: simplify setting of multilib variable
	This change makes it do the right thing on distros other than those which
	are dpkg and rpm based, such as Alpine Linux.

	gitlab: avoid use of 'pushd' shell built-in
	The 'pushd' / 'popd' built-ins are not available in the Alpine
	Linux shell.

	ci: add 'libc' package as a depedency
	We need this explicitly, so that 'musl-dev' is pulled in on Alpine
	distros, as it isn't pulled in as a side effect of other deps.

	ci: import lcitool project package list definitions
	The project package lists previously held in libvirt-ci.git are
	being moved into their respective project git repos.

2024-03-27  Michal Privoznik  <mprivozn@redhat.com>

	tools: Don't leak detected media/tree structs
	Both osinfo_media_create_from_location() and
	osinfo_tree_create_from_location() transfer memory ownership of
	returned objects onto the caller (main() in osinfo-detect.c in
	this case). But the caller never unref()-s either of them.
	While this is pretty harmless as the program is short lived, it
	sets a bad example and may introduce memleaks to some other code
	that takes inspiration from our tools.

	osinfo_media: Don't leak memory for a supplementary filter
	When osinfo_media_get_os_variants() is called a supplementary
	OsinfoFilter is created but never unref()-ed leading to a memory
	leak.

	osinfo_media: Don't leak CreateFromLocationAsyncData::uri
	Inside of osinfo_media_create_from_location_with_flags_async()
	the 'uri' member of a CreateFromLocationAsyncData struct is
	allocated. But corresponding g_free() call is missing in
	create_from_location_async_data_free().

2023-11-27  Michal Privoznik  <mprivozn@redhat.com>

	osinfo: Make xmlError struct constant in propagate_libxml_error()
	In libxml2 commit v2.12.0~14 the API changed so that
	xmlGetLastError() returns pointer to a constant xmlError struct.
	Reflect this change in our code.

2023-10-27  Victor Toso  <victortoso@redhat.com>

	Post release version bump to 1.12.0

	Update NEWS for 1.11.0 release

2023-05-19  김인수  <simmon@nplob.com>

	Translated using Weblate (Korean)
	Currently translated at 100.0% (171 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/ko/

	Translated using Weblate (Korean)

	Currently translated at 100.0% (171 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/ko/

	Co-authored-by: 김인수 <simmon@nplob.com>

2023-04-26  Daniel P. Berrangé  <berrange@redhat.com>

	rpm: convert license to SPDX format

2023-04-08  김인수  <simmon@nplob.com>

	Translated using Weblate (Korean)
	Currently translated at 100.0% (171 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/ko/

	Co-authored-by: 김인수 <simmon@nplob.com>

2023-04-08  Pavel Borecki  <pavel.borecki@gmail.com>

	Translated using Weblate (Czech)
	Currently translated at 100.0% (171 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/cs/

	Co-authored-by: Pavel Borecki <pavel.borecki@gmail.com>

2023-02-27  Fabio Tomat  <f.t.public@gmail.com>

	Translated using Weblate (Friulian)
	Currently translated at 100.0% (171 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/fur/

	Co-authored-by: Fabio Tomat <f.t.public@gmail.com>

2023-02-20  Seong-ho Cho  <darkcircle.0426@gmail.com>

	Translated using Weblate (Korean)
	Currently translated at 100.0% (171 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/ko/

	Co-authored-by: Seong-ho Cho <darkcircle.0426@gmail.com>

2023-02-20  Flo H  <emailtoflorian@gmail.com>

	Translated using Weblate (German)
	Currently translated at 100.0% (171 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/de/

	Co-authored-by: Flo H <emailtoflorian@gmail.com>

2023-02-20  Temuri Doghonadze  <temuri.doghonadze@gmail.com>

	Translated using Weblate (Georgian)
	Currently translated at 64.3% (110 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/ka/

	Translated using Weblate (Georgian)

	Currently translated at 63.7% (109 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/ka/

	Translated using Weblate (Georgian)

	Currently translated at 59.0% (101 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/ka/

	Translated using Weblate (Georgian)

	Currently translated at 57.3% (98 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/ka/

	Translated using Weblate (Georgian)

	Currently translated at 56.7% (97 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/ka/

	Co-authored-by: Temuri Doghonadze <temuri.doghonadze@gmail.com>

2023-02-20  Fabio Tomat  <f.t.public@gmail.com>

	Translated using Weblate (Friulian)
	Currently translated at 81.8% (140 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/fur/

	Co-authored-by: Fabio Tomat <f.t.public@gmail.com>

2023-02-20  Julien Lepiller  <fedora-account@lepiller.eu>

	Translated using Weblate (French)
	Currently translated at 100.0% (171 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/fr/

	Co-authored-by: Julien Lepiller <fedora-account@lepiller.eu>

2023-02-20  Jiri Grönroos  <jiri.gronroos@iki.fi>

	Translated using Weblate (Finnish)
	Currently translated at 73.6% (126 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/fi/

	Co-authored-by: Jiri Grönroos <jiri.gronroos@iki.fi>

2023-02-15  Will Thompson  <wjt@endlessos.org>

	install-script: Fix "trough" typo in docstrings
	A trough is a long, narrow container, open on top, for feeding or
	watering animals.

2022-09-30  Daniel P. Berrangé  <berrange@redhat.com>

	ci: refresh with latest lcitool manifest
	This refresh switches the CI for contributors to be triggered by merge
	requests. Pushing to a branch in a fork will no longer run CI pipelines,
	in order to avoid consuming CI minutes. To regain the original behaviour
	contributors can opt-in to a pipeline on push

	   git push <remote> -o ci.variable=RUN_PIPELINE=1

	This variable can also be set globally on the repository, though this is
	not recommended. Upstream repo pushes to branches will run CI.

	The use of containers has changed in this update, with only the upstream
	repo creating containers, in order to avoid consuming contributors'
	limited storage quotas. A fork with existing container images may delete
	them. Containers will be rebuilt upstream when pushing commits with CI
	changes to the default branch. Any other scenario with CI changes will
	simply install build pre-requisite packages in a throaway environment,
	using the ci/buildenv/ scripts. These scripts may also be used on a
	contributor's local machines.

	With pipelines triggered by merge requests, it is also now possible to
	workaround the inability of contributors to run pipelines if they have
	run out of CI quota. A project member can trigger a pipeline from the
	merge request, which will run in context of upstream, however, note
	this should only be done after reviewing the code for any malicious
	CI changes.

2022-08-25  Temuri Doghonadze  <temuri.doghonadze@gmail.com>

	Translated using Weblate (Georgian)
	Currently translated at 54.3% (93 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/ka/

	Co-authored-by: Temuri Doghonadze <temuri.doghonadze@gmail.com>

2022-08-25  Philipp Hahn  <pmhahn+fedora@pmhahn.de>

	Translated using Weblate (German)
	Currently translated at 100.0% (171 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/de/

	Co-authored-by: Philipp Hahn <pmhahn+fedora@pmhahn.de>

2022-08-22  Dan Church  <amphetamachine@gmail.com>

	DRY meson build script
	Introduce versioned_name = 'libosinfo-1.0'

	No functional change other than getting rid of the repetition.

2022-08-11  Temuri Doghonadze  <temuri.doghonadze@gmail.com>

	Translated using Weblate (Georgian)
	Currently translated at 54.3% (93 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/ka/

	Added translation using Weblate (Georgian)

	Co-authored-by: Temuri Doghonadze <temuri.doghonadze@gmail.com>

2022-08-09  Daniel P. Berrangé  <berrange@redhat.com>

	rpm: adapt to soup3, switch to %autosetup & add missing gtk-doc

2022-08-08  Daniel P. Berrangé  <berrange@redhat.com>

	rpm: merge mingw sub-packages into native spec
	One specfile containing both native and mingw builds is the
	new best practice for Fedora. This reduces the maint burden
	and ensures the mingw packages don't fall behind.

2022-07-18  김인수  <simmon@nplob.com>

	Translated using Weblate (Korean)
	Currently translated at 100.0% (171 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/ko/

	Co-authored-by: 김인수 <simmon@nplob.com>

2022-04-12  Seong-ho Cho  <darkcircle.0426@gmail.com>

	Translated using Weblate (Korean)
	Currently translated at 100.0% (171 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/ko/

	Co-authored-by: Seong-ho Cho <darkcircle.0426@gmail.com>

2022-03-27  Daniel Kolesa  <daniel@octaforge.org>

	build: only include header file in the declared libosinfo dep
	This prevents compiling a separate copy of the enums .c file
	into anything using the libosinfo_dep target. Doing so would
	result in types occasionally getting registered twice, at least
	when libosinfo is built with Clang.

	build: remove unused enum template files
	These are not used as Meson uses its own builtin ones in the
	gnome module, so they were just left over.

	They were also incorrect as G_GNUC_CONST on _get_type would
	break things (_get_type functions have side effects here).

2022-03-08  Victor Toso  <victortoso@redhat.com>

	ci: refresh generated files
	* Adds EPEL to centos-stream-9
	* Adds cppi dependency to Fedora and Opensuse
	* Some cosmetic changes

	ci: remove centos-8 due EOL

2022-02-25  Matt Turner  <mattst88@gmail.com>

	build: Add option to select libsoup ABI
	This allows distributions that ship both versions of libsoup and choose
	which version of libsoup will be linked.

2022-02-16  Victor Toso  <victortoso@redhat.com>

	tests: tree: Fix leaks of OsinfoTree *
	==420507== 509 (48 direct, 461 indirect) bytes in 1 blocks are definitely lost in loss record 2,401 of 2,440
	==420507==    at 0x48F3437: g_type_create_instance (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==420507==    by 0x48DAD4C: ??? (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==420507==    by 0x48DC2C7: g_object_new_valist (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==420507==    by 0x48DC7FC: g_object_new (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==420507==    by 0x48815F8: osinfo_tree_new (osinfo_tree.c:462)
	==420507==    by 0x402E99: test_create_tree.constprop.0 (test-tree.c:119)
	==420507==    by 0x403027: test_matching (test-tree.c:176)
	==420507==    by 0x4992BD5: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==420507==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==420507==    by 0x49930A9: g_test_run_suite (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==420507==    by 0x49930D0: g_test_run (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==420507==    by 0x4023B9: main (test-tree.c:206)
	==420507==
	==420507== 511 (48 direct, 463 indirect) bytes in 1 blocks are definitely lost in loss record 2,402 of 2,440
	==420507==    at 0x48F3437: g_type_create_instance (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==420507==    by 0x48DAD4C: ??? (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==420507==    by 0x48DC2C7: g_object_new_valist (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==420507==    by 0x48DC7FC: g_object_new (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==420507==    by 0x48815F8: osinfo_tree_new (osinfo_tree.c:462)
	==420507==    by 0x402E99: test_create_tree.constprop.0 (test-tree.c:119)
	==420507==    by 0x402FD2: test_matching (test-tree.c:155)
	==420507==    by 0x4992BD5: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==420507==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==420507==    by 0x49930A9: g_test_run_suite (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==420507==    by 0x49930D0: g_test_run (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==420507==    by 0x4023B9: main (test-tree.c:206)
	==420507==
	==420507== 600 (48 direct, 552 indirect) bytes in 1 blocks are definitely lost in loss record 2,412 of 2,440
	==420507==    at 0x48F3437: g_type_create_instance (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==420507==    by 0x48DAD4C: ??? (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==420507==    by 0x48DC2C7: g_object_new_valist (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==420507==    by 0x48DC7FC: g_object_new (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==420507==    by 0x48815F8: osinfo_tree_new (osinfo_tree.c:462)
	==420507==    by 0x402E99: test_create_tree.constprop.0 (test-tree.c:119)
	==420507==    by 0x402FEF: test_matching (test-tree.c:162)
	==420507==    by 0x4992BD5: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==420507==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==420507==    by 0x49930A9: g_test_run_suite (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==420507==    by 0x49930D0: g_test_run (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==420507==    by 0x4023B9: main (test-tree.c:206)
	==420507==
	==420507== 626 (48 direct, 578 indirect) bytes in 1 blocks are definitely lost in loss record 2,413 of 2,440
	==420507==    at 0x48F3437: g_type_create_instance (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==420507==    by 0x48DAD4C: ??? (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==420507==    by 0x48DC2C7: g_object_new_valist (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==420507==    by 0x48DC7FC: g_object_new (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==420507==    by 0x48815F8: osinfo_tree_new (osinfo_tree.c:462)
	==420507==    by 0x402E99: test_create_tree.constprop.0 (test-tree.c:119)
	==420507==    by 0x40300E: test_matching (test-tree.c:169)
	==420507==    by 0x4992BD5: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==420507==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==420507==    by 0x49930A9: g_test_run_suite (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==420507==    by 0x49930D0: g_test_run (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==420507==    by 0x4023B9: main (test-tree.c:206)
	==420507==
	==420507== 634 (48 direct, 586 indirect) bytes in 1 blocks are definitely lost in loss record 2,414 of 2,440
	==420507==    at 0x48F3437: g_type_create_instance (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==420507==    by 0x48DAD4C: ??? (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==420507==    by 0x48DC2C7: g_object_new_valist (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==420507==    by 0x48DC7FC: g_object_new (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==420507==    by 0x48815F8: osinfo_tree_new (osinfo_tree.c:462)
	==420507==    by 0x402E99: test_create_tree.constprop.0 (test-tree.c:119)
	==420507==    by 0x402FB9: test_matching (test-tree.c:148)
	==420507==    by 0x4992BD5: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==420507==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==420507==    by 0x49930A9: g_test_run_suite (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==420507==    by 0x49930D0: g_test_run (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==420507==    by 0x4023B9: main (test-tree.c:206)

	and

	==420470== 1,007 (48 direct, 959 indirect) bytes in 1 blocks are definitely lost in loss record 2,456 of 2,477
	==420470==    at 0x48F3437: g_type_create_instance (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==420470==    by 0x48DAD4C: ??? (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==420470==    by 0x48DC2C7: g_object_new_valist (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==420470==    by 0x48DC7FC: g_object_new (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==420470==    by 0x48815F8: osinfo_tree_new (osinfo_tree.c:462)
	==420470==    by 0x48817B2: load_keyinfo (osinfo_tree.c:618)
	==420470==    by 0x4031A2: test_create_from_treeinfo (test-tree.c:93)
	==420470==    by 0x4992BD5: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==420470==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==420470==    by 0x49930A9: g_test_run_suite (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==420470==    by 0x49930D0: g_test_run (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==420470==    by 0x4023B9: main (test-tree.c:206)

	tests: media: Fix leaks of OsinfoMedia *
	==419218== 785 (48 direct, 737 indirect) bytes in 1 blocks are definitely lost in loss record 2,438 of 2,468
	==419218==    at 0x48F3437: g_type_create_instance (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==419218==    by 0x48DAD4C: ??? (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==419218==    by 0x48DC2C7: g_object_new_valist (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==419218==    by 0x48DC7FC: g_object_new (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==419218==    by 0x487D918: osinfo_media_new (osinfo_media.c:704)
	==419218==    by 0x4034CF: test_create_media (test-media.c:151)
	==419218==    by 0x4034CF: test_matching (test-media.c:228)
	==419218==    by 0x4992BD5: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==419218==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==419218==    by 0x49930A9: g_test_run_suite (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==419218==    by 0x49930D0: g_test_run (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==419218==    by 0x40232F: main (test-media.c:257)
	==419218==
	==419218== 787 (48 direct, 739 indirect) bytes in 1 blocks are definitely lost in loss record 2,439 of 2,468
	==419218==    at 0x48F3437: g_type_create_instance (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==419218==    by 0x48DAD4C: ??? (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==419218==    by 0x48DC2C7: g_object_new_valist (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==419218==    by 0x48DC7FC: g_object_new (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==419218==    by 0x487D918: osinfo_media_new (osinfo_media.c:704)
	==419218==    by 0x4033EB: test_create_media (test-media.c:151)
	==419218==    by 0x4033EB: test_matching (test-media.c:188)
	==419218==    by 0x4992BD5: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==419218==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==419218==    by 0x49930A9: g_test_run_suite (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==419218==    by 0x49930D0: g_test_run (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==419218==    by 0x40232F: main (test-media.c:257)
	==419218==
	==419218== 827 (48 direct, 779 indirect) bytes in 1 blocks are definitely lost in loss record 2,440 of 2,468
	==419218==    at 0x48F3437: g_type_create_instance (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==419218==    by 0x48DAD4C: ??? (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==419218==    by 0x48DC2C7: g_object_new_valist (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==419218==    by 0x48DC7FC: g_object_new (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==419218==    by 0x487D918: osinfo_media_new (osinfo_media.c:704)
	==419218==    by 0x402EF3: test_create_media (test-media.c:151)
	==419218==    by 0x403435: test_matching (test-media.c:196)
	==419218==    by 0x4992BD5: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==419218==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==419218==    by 0x49930A9: g_test_run_suite (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==419218==    by 0x49930D0: g_test_run (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==419218==    by 0x40232F: main (test-media.c:257)
	==419218==
	==419218== 871 (48 direct, 823 indirect) bytes in 1 blocks are definitely lost in loss record 2,443 of 2,468
	==419218==    at 0x48F3437: g_type_create_instance (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==419218==    by 0x48DAD4C: ??? (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==419218==    by 0x48DC2C7: g_object_new_valist (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==419218==    by 0x48DC7FC: g_object_new (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==419218==    by 0x487D918: osinfo_media_new (osinfo_media.c:704)
	==419218==    by 0x402EF3: test_create_media (test-media.c:151)
	==419218==    by 0x403491: test_matching (test-media.c:212)
	==419218==    by 0x4992BD5: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==419218==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==419218==    by 0x49930A9: g_test_run_suite (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==419218==    by 0x49930D0: g_test_run (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==419218==    by 0x40232F: main (test-media.c:257)
	==419218==
	==419218== 871 (48 direct, 823 indirect) bytes in 1 blocks are definitely lost in loss record 2,444 of 2,468
	==419218==    at 0x48F3437: g_type_create_instance (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==419218==    by 0x48DAD4C: ??? (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==419218==    by 0x48DC2C7: g_object_new_valist (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==419218==    by 0x48DC7FC: g_object_new (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==419218==    by 0x487D918: osinfo_media_new (osinfo_media.c:704)
	==419218==    by 0x402EF3: test_create_media (test-media.c:151)
	==419218==    by 0x4034BB: test_matching (test-media.c:220)
	==419218==    by 0x4992BD5: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==419218==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==419218==    by 0x49930A9: g_test_run_suite (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==419218==    by 0x49930D0: g_test_run (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==419218==    by 0x40232F: main (test-media.c:257)
	==419218==
	==419218== 929 (48 direct, 881 indirect) bytes in 1 blocks are definitely lost in loss record 2,446 of 2,468
	==419218==    at 0x48F3437: g_type_create_instance (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==419218==    by 0x48DAD4C: ??? (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==419218==    by 0x48DC2C7: g_object_new_valist (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==419218==    by 0x48DC7FC: g_object_new (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==419218==    by 0x487D918: osinfo_media_new (osinfo_media.c:704)
	==419218==    by 0x402EF3: test_create_media (test-media.c:151)
	==419218==    by 0x403467: test_matching (test-media.c:204)
	==419218==    by 0x4992BD5: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==419218==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==419218==    by 0x49930A9: g_test_run_suite (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==419218==    by 0x49930D0: g_test_run (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==419218==    by 0x40232F: main (test-media.c:257)
	==419218==
	==419218== 949 (48 direct, 901 indirect) bytes in 1 blocks are definitely lost in loss record 2,447 of 2,468
	==419218==    at 0x48F3437: g_type_create_instance (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==419218==    by 0x48DAD4C: ??? (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==419218==    by 0x48DC2C7: g_object_new_valist (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==419218==    by 0x48DC7FC: g_object_new (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==419218==    by 0x487D918: osinfo_media_new (osinfo_media.c:704)
	==419218==    by 0x402EF3: test_create_media (test-media.c:151)
	==419218==    by 0x4033D7: test_matching (test-media.c:180)
	==419218==    by 0x4992BD5: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==419218==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==419218==    by 0x49930A9: g_test_run_suite (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==419218==    by 0x49930D0: g_test_run (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==419218==    by 0x40232F: main (test-media.c:257)

	tests: db: Fix leaks of OsinfoMedia *
	==448366== 18,584 (256 direct, 18,328 indirect) bytes in 2 blocks are definitely lost in loss record 2,649 of 2,650
	==448366==    at 0x48F34A3: g_type_create_instance (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==448366==    by 0x48DAD4C: ??? (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==448366==    by 0x48DC2C7: g_object_new_valist (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==448366==    by 0x48DC7FC: g_object_new (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==448366==    by 0x4888427: osinfo_loader_get_os (osinfo_loader.c:497)
	==448366==    by 0x4888427: osinfo_loader_get_os (osinfo_loader.c:492)
	==448366==    by 0x488A3EB: osinfo_loader_os (osinfo_loader.c:1646)
	==448366==    by 0x488A3EB: osinfo_loader_root (osinfo_loader.c:1886)
	==448366==    by 0x488A3EB: osinfo_loader_process_xml (osinfo_loader.c:1975)
	==448366==    by 0x488A3EB: osinfo_loader_process_file_reg_xml (osinfo_loader.c:2184)
	==448366==    by 0x488D18A: osinfo_loader_process_list (osinfo_loader.c:2517)
	==448366==    by 0x488D38F: osinfo_loader_process_path (osinfo_loader.c:2589)
	==448366==    by 0x40621F: test_identify_media (test-db.c:434)
	==448366==    by 0x4992BD5: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==448366==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==448366==    by 0x49930A9: g_test_run_suite (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==448366==
	==448366== 44,969 (896 direct, 44,073 indirect) bytes in 7 blocks are definitely lost in loss record 2,650 of 2,650
	==448366==    at 0x48F34A3: g_type_create_instance (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==448366==    by 0x48DAD4C: ??? (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==448366==    by 0x48DC2C7: g_object_new_valist (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==448366==    by 0x48DC7FC: g_object_new (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==448366==    by 0x4888427: osinfo_loader_get_os (osinfo_loader.c:497)
	==448366==    by 0x4888427: osinfo_loader_get_os (osinfo_loader.c:492)
	==448366==    by 0x488A3EB: osinfo_loader_os (osinfo_loader.c:1646)
	==448366==    by 0x488A3EB: osinfo_loader_root (osinfo_loader.c:1886)
	==448366==    by 0x488A3EB: osinfo_loader_process_xml (osinfo_loader.c:1975)
	==448366==    by 0x488A3EB: osinfo_loader_process_file_reg_xml (osinfo_loader.c:2184)
	==448366==    by 0x488D18A: osinfo_loader_process_list (osinfo_loader.c:2517)
	==448366==    by 0x488D38F: osinfo_loader_process_path (osinfo_loader.c:2589)
	==448366==    by 0x406B32: test_identify_all_media (test-db.c:547)
	==448366==    by 0x4992BD5: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==448366==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==448366==    by 0x49930A9: g_test_run_suite (in /usr/lib64/libglib-2.0.so.0.7000.3)

	and

	==408306== 788 (48 direct, 740 indirect) bytes in 1 blocks are definitely lost in loss record 2,626 of 2,668
	==408306==    at 0x48F3437: g_type_create_instance (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==408306==    by 0x48DAD4C: ??? (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==408306==    by 0x48DC2C7: g_object_new_valist (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==408306==    by 0x48DC7FC: g_object_new (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==408306==    by 0x487D918: osinfo_media_new (osinfo_media.c:704)
	==408306==    by 0x406B7B: test_identify_all_media (test-db.c:551)
	==408306==    by 0x4992BD5: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==408306==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==408306==    by 0x49930A9: g_test_run_suite (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==408306==    by 0x49930D0: g_test_run (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==408306==    by 0x40366E: main (test-db.c:918)

	and

	==402464== 48 bytes in 1 blocks are definitely lost in loss record 1,587 of 2,714
	==402464==    at 0x48F3437: g_type_create_instance (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==402464==    by 0x48DAD4C: ??? (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==402464==    by 0x48DC2C7: g_object_new_valist (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==402464==    by 0x48DC7FC: g_object_new (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==402464==    by 0x487D918: osinfo_media_new (osinfo_media.c:704)
	==402464==    by 0x406826: test_identify_media (test-db.c:519)
	==402464==    by 0x4992BD5: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==402464==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==402464==    by 0x49930A9: g_test_run_suite (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==402464==    by 0x49930D0: g_test_run (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==402464==    by 0x40366E: main (test-db.c:917)

	tests: os: Fix some memory leaks
	* OsinfoLoader

	==413574== 2,512 (40 direct, 2,472 indirect) bytes in 1 blocks are definitely lost in loss record 2,489 of 2,495
	==413574==    at 0x48F3437: g_type_create_instance (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==413574==    by 0x48DAD4C: ??? (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==413574==    by 0x48DBD1C: g_object_new_with_properties (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==413574==    by 0x48DC820: g_object_new (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==413574==    by 0x407270: test_firmwares_complete_list_inheritance (test-os.c:897)
	==413574==    by 0x4992BD5: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==413574==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==413574==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==413574==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==413574==    by 0x49930A9: g_test_run_suite (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==413574==    by 0x49930D0: g_test_run (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==413574==    by 0x403769: main (test-os.c:1062)

	and

	==414148== 2,480 (40 direct, 2,440 indirect) bytes in 1 blocks are definitely lost in loss record 2,477 of 2,484
	==414148==    at 0x48F3437: g_type_create_instance (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==414148==    by 0x48DAD4C: ??? (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==414148==    by 0x48DBD1C: g_object_new_with_properties (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==414148==    by 0x48DC820: g_object_new (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==414148==    by 0x40531D: test_firmwares_complete_list (test-os.c:855)
	==414148==    by 0x4992BD5: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==414148==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==414148==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==414148==    by 0x49930A9: g_test_run_suite (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==414148==    by 0x49930D0: g_test_run (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==414148==    by 0x403769: main (test-os.c:1061)

	* OsinfoTreeList

	==414820== 1,793 (48 direct, 1,745 indirect) bytes in 1 blocks are definitely lost in loss record 2,424 of 2,438
	==414820==    at 0x48F3437: g_type_create_instance (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==414820==    by 0x48DAD4C: ??? (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==414820==    by 0x48DC2C7: g_object_new_valist (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==414820==    by 0x48DC7FC: g_object_new (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==414820==    by 0x4879165: osinfo_os_get_tree_list (osinfo_os.c:698)
	==414820==    by 0x404D3C: test_loader (test-os.c:124)
	==414820==    by 0x4992BD5: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==414820==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==414820==    by 0x49930A9: g_test_run_suite (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==414820==    by 0x49930D0: g_test_run (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==414820==    by 0x403769: main (test-os.c:1060)

	* OsinfoFirmwareList

	==414989== 1,537 (48 direct, 1,489 indirect) bytes in 1 blocks are definitely lost in loss record 2,391 of 2,405
	==414989==    at 0x48F3437: g_type_create_instance (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==414989==    by 0x48DAD4C: ??? (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==414989==    by 0x48DC2C7: g_object_new_valist (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==414989==    by 0x48DC7FC: g_object_new (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==414989==    by 0x48763CA: osinfo_list_new_copy (osinfo_list.c:458)
	==414989==    by 0x4877257: get_all_firmwares_cb (osinfo_os.c:1536)
	==414989==    by 0x487348E: osinfo_product_foreach_related (osinfo_product.c:436)
	==414989==    by 0x4873502: osinfo_product_foreach_related (osinfo_product.c:467)
	==414989==    by 0x487A6A4: osinfo_os_get_complete_firmware_list (osinfo_os.c:1623)
	==414989==    by 0x40744D: test_firmwares_complete_list_inheritance (test-os.c:942)
	==414989==    by 0x4992BD5: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==414989==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)

	* OsinfoDeviceDriverList

	==415264== 512 (48 direct, 464 indirect) bytes in 1 blocks are definitely lost in loss record 2,355 of 2,384
	==415264==    at 0x48F3437: g_type_create_instance (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==415264==    by 0x48DAD4C: ??? (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==415264==    by 0x48DC2C7: g_object_new_valist (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==415264==    by 0x48DC7FC: g_object_new (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==415264==    by 0x487A126: osinfo_os_get_device_drivers_prioritized (osinfo_os.c:1251)
	==415264==    by 0x405830: test_device_driver_priority_helper (test-os.c:235)
	==415264==    by 0x4059BD: test_device_driver_prioritized_priority (test-os.c:262)
	==415264==    by 0x4992BD5: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==415264==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==415264==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==415264==    by 0x49930A9: g_test_run_suite (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==415264==    by 0x49930D0: g_test_run (in /usr/lib64/libglib-2.0.so.0.7000.3)

	tests: firmware: Fix some memory leaks
	* OsinfoFirmware

	==401454== 419 (48 direct, 371 indirect) bytes in 1 blocks are definitely lost in loss record 2,316 of 2,351
	==401454==    at 0x48F3437: g_type_create_instance (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==401454==    by 0x48DAD4C: ??? (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==401454==    by 0x48DC2C7: g_object_new_valist (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==401454==    by 0x48DC7FC: g_object_new (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==401454==    by 0x486C5FD: osinfo_firmware_new (osinfo_firmware.c:161)
	==401454==    by 0x4029A9: test_basic (test-firmware.c:27)
	==401454==    by 0x4992BD5: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==401454==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==401454==    by 0x49930A9: g_test_run_suite (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==401454==    by 0x49930D0: g_test_run (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==401454==    by 0x4022F0: main (test-firmware.c:85)

	* OsinfoFilter

	==401543== 354 (40 direct, 314 indirect) bytes in 1 blocks are definitely lost in loss record 2,300 of 2,341
	==401543==    at 0x48F3437: g_type_create_instance (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==401543==    by 0x48DAD4C: ??? (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==401543==    by 0x48DBD1C: g_object_new_with_properties (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==401543==    by 0x48DC820: g_object_new (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==401543==    by 0x402CA6: test_loaded (test-firmware.c:57)
	==401543==    by 0x4992BD5: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==401543==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==401543==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==401543==    by 0x49930A9: g_test_run_suite (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==401543==    by 0x49930D0: g_test_run (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==401543==    by 0x402330: main (test-firmware.c:85)

2022-02-15  Victor Toso  <victortoso@redhat.com>

	tests: image: Fix leak of OsinfoOsVariantList *
	==383130== 1,782 (96 direct, 1,686 indirect) bytes in 2 blocks are definitely lost in loss record 2,336 of 2,350
	==383130==    at 0x48F3437: g_type_create_instance (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==383130==    by 0x48DAD4C: ??? (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==383130==    by 0x48DC2C7: g_object_new_valist (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==383130==    by 0x48DC7FC: g_object_new (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==383130==    by 0x4883EFA: osinfo_image_get_os_variants (osinfo_image.c:356)
	==383130==    by 0x402B9B: test_loaded (test-image.c:74)
	==383130==    by 0x4992BD5: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==383130==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==383130==    by 0x49930A9: g_test_run_suite (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==383130==    by 0x49930D0: g_test_run (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==383130==    by 0x402346: main (test-image.c:114)

	media: Fix leak of GList *
	Found by covscan.

	  6.  libosinfo-1.9.0/osinfo/osinfo_media.c:1675: alloc_fn: Storage is returned from allocation function "osinfo_entity_get_param_value_list".
	  7.  libosinfo-1.9.0/osinfo/osinfo_media.c:1675: var_assign: Assigning: "ids" = storage returned from "osinfo_entity_get_param_value_list(OSINFO_ENTITY(media), "variant")".
	  8.  libosinfo-1.9.0/osinfo/osinfo_media.c:1679: var_assign: Assigning: "node" = "ids".
	  12. libosinfo-1.9.0/osinfo/osinfo_media.c:1690: leaked_storage: Variable "ids" going out of scope leaks the storage it points to.
	  #  1688|       g_object_unref(os_variants);
	  #  1689|
	  #  1690|->     return media_variants;
	  #  1691|   }
	  #  1692|

	install-script: Fix leak of GList *
	Found by covscan.

	 14. libosinfo-1.9.0/osinfo/osinfo_install_script.c:832:
	     leaked_storage: Variable "values" going out of scope leaks the
	     storage it points to.
	 #  830|                   propagate_libxml_error(error, _("Unable to create XML node '%s'"),
	 #  831|                                          (const gchar *)tmp1->data);
	 #  832|->                 goto error;
	 #  833|               }
	 #  834|               if (!(xmlAddChild(node, data))) {

	tree: Fix small leak of char *
	==422112== 15 bytes in 1 blocks are definitely lost in loss record 216 of 2,333
	==422112==    at 0x484486F: malloc (vg_replace_malloc.c:381)
	==422112==    by 0x4AEE9AF: __vasprintf_internal (vasprintf.c:71)
	==422112==    by 0x49B3812: g_vasprintf (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==422112==    by 0x4989830: g_strdup_vprintf (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==422112==    by 0x49898EC: g_strdup_printf (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==422112==    by 0x488173F: load_keyinfo (osinfo_tree.c:597)
	==422112==    by 0x4032B2: test_create_from_treeinfo (test-tree.c:93)
	==422112==    by 0x4992BD5: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==422112==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==422112==    by 0x49930A9: g_test_run_suite (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==422112==    by 0x49930D0: g_test_run (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==422112==    by 0x402449: main (test-tree.c:206)

	tree: Fix leaks in osinfo_tree_get_os_variants()
	Leak of OsinfoFilter *

	==420790== 343 (40 direct, 303 indirect) bytes in 1 blocks are definitely lost in loss record 2,302 of 2,343
	==420790==    at 0x48F3437: g_type_create_instance (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==420790==    by 0x48DAD4C: ??? (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==420790==    by 0x48DBD1C: g_object_new_with_properties (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==420790==    by 0x48DC820: g_object_new (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==420790==    by 0x4882C2D: osinfo_tree_get_os_variants (osinfo_tree.c:1147)
	==420790==    by 0x402C0A: test_os_variants (test-tree.c:57)
	==420790==    by 0x4992BD5: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==420790==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==420790==    by 0x49930A9: g_test_run_suite (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==420790==    by 0x49930D0: g_test_run (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==420790==    by 0x402449: main (test-tree.c:206)

	Leak of GList *

	==421621== 24 bytes in 1 blocks are definitely lost in loss record 1,016 of 2,334
	==421621==    at 0x484486F: malloc (vg_replace_malloc.c:381)
	==421621==    by 0x496E3D8: g_malloc (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==421621==    by 0x4987024: g_slice_alloc (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==421621==    by 0x4963A2A: g_list_copy_deep (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==421621==    by 0x4882C25: osinfo_tree_get_os_variants (osinfo_tree.c:1145)
	==421621==    by 0x402C0A: test_os_variants (test-tree.c:57)
	==421621==    by 0x4992BD5: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==421621==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==421621==    by 0x49930A9: g_test_run_suite (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==421621==    by 0x49930D0: g_test_run (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==421621==    by 0x402449: main (test-tree.c:206)

	os: Fix leak of a GList *
	Just the cointainer is leaking.

	==416264== 48 (24 direct, 24 indirect) bytes in 1 blocks are definitely lost in loss record 1,444 of 2,345
	==416264==    at 0x484486F: malloc (vg_replace_malloc.c:381)
	==416264==    by 0x496E3D8: g_malloc (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==416264==    by 0x4987024: g_slice_alloc (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==416264==    by 0x495DDA9: g_list_prepend (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==416264==    by 0x4958418: g_hash_table_get_values (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==416264==    by 0x487A10F: osinfo_os_get_device_drivers_prioritized (osinfo_os.c:1248)
	==416264==    by 0x405835: test_device_driver_priority_helper (test-os.c:236)
	==416264==    by 0x4059E2: test_device_driver_prioritized_priority (test-os.c:267)
	==416264==    by 0x4992BD5: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==416264==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==416264==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==416264==    by 0x49930A9: g_test_run_suite (in /usr/lib64/libglib-2.0.so.0.7000.3)

	db: Fix leak of OsinfoInstallScriptList *
	==404438== 320 (48 direct, 272 indirect) bytes in 1 blocks are definitely lost in loss record 2,563 of 2,686
	==404438==    at 0x48F3437: g_type_create_instance (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==404438==    by 0x48DAD4C: ??? (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==404438==    by 0x48DC2C7: g_object_new_valist (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==404438==    by 0x48DC7FC: g_object_new (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==404438==    by 0x48763CA: osinfo_list_new_copy (osinfo_list.c:458)
	==404438==    by 0x487F24E: osinfo_media_get_install_script_list (osinfo_media.c:1841)
	==404438==    by 0x488690C: fill_media (osinfo_db.c:773)
	==404438==    by 0x488690C: osinfo_db_identify_media (osinfo_db.c:826)
	==404438==    by 0x406716: test_identify_media (test-db.c:502)
	==404438==    by 0x4992BD5: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==404438==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==404438==    by 0x49930A9: g_test_run_suite (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==404438==    by 0x49930D0: g_test_run (in /usr/lib64/libglib-2.0.so.0.7000.3)

	image: Fix leaks in osinfo_image_get_os_variants()
	==382381== 48 bytes in 2 blocks are definitely lost in loss record 1,441 of 2,342
	==382381==    at 0x484486F: malloc (vg_replace_malloc.c:381)
	==382381==    by 0x496E3D8: g_malloc (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==382381==    by 0x4987024: g_slice_alloc (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==382381==    by 0x4963A2A: g_list_copy_deep (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==382381==    by 0x4883EE5: osinfo_image_get_os_variants (osinfo_image.c:353)
	==382381==    by 0x402C6A: test_loaded (test-image.c:74)
	==382381==    by 0x4992BD5: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==382381==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==382381==    by 0x49930A9: g_test_run_suite (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==382381==    by 0x49930D0: g_test_run (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==382381==    by 0x402386: main (test-image.c:114)
	==382381==
	==382381== 686 (80 direct, 606 indirect) bytes in 2 blocks are definitely lost in loss record 2,316 of 2,342
	==382381==    at 0x48F3437: g_type_create_instance (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==382381==    by 0x48DAD4C: ??? (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==382381==    by 0x48DBD1C: g_object_new_with_properties (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==382381==    by 0x48DC820: g_object_new (in /usr/lib64/libgobject-2.0.so.0.7000.3)
	==382381==    by 0x4883EED: osinfo_image_get_os_variants (osinfo_image.c:355)
	==382381==    by 0x402C6A: test_loaded (test-image.c:74)
	==382381==    by 0x4992BD5: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==382381==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==382381==    by 0x49930A9: g_test_run_suite (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==382381==    by 0x49930D0: g_test_run (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==382381==    by 0x402386: main (test-image.c:114)

	loader: clear pointer before using it
	osinfo_loader_nodeset() expects xmlNodePtr ** to be NULL and it will
	set it to NULL if not already set. This can lead to memory leaks as
	seen in previous commit. Let's clear the pointer instead and add a
	guard to clarify the parameter's expectations.

	loader: Fix leak of xmlNodePtr *
	The pointer is used as output parameter of osinfo_loader_nodeset() which
	sets it to NULL before using it. The caller should free its contents
	before reusing it.

	==382836== 104 bytes in 8 blocks are definitely lost in loss record 2,097 of 2,333
	==382836==    at 0x4849464: calloc (vg_replace_malloc.c:1328)
	==382836==    by 0x496E510: g_malloc0 (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==382836==    by 0x4888DD7: osinfo_loader_nodeset (osinfo_loader.c:237)
	==382836==    by 0x488A98E: osinfo_loader_os (osinfo_loader.c:1661)
	==382836==    by 0x488A98E: osinfo_loader_root (osinfo_loader.c:1884)
	==382836==    by 0x488A98E: osinfo_loader_process_xml (osinfo_loader.c:1973)
	==382836==    by 0x488A98E: osinfo_loader_process_file_reg_xml (osinfo_loader.c:2182)
	==382836==    by 0x488D07A: osinfo_loader_process_list (osinfo_loader.c:2515)
	==382836==    by 0x488D27F: osinfo_loader_process_path (osinfo_loader.c:2587)
	==382836==    by 0x402A61: test_loaded (test-image.c:59)
	==382836==    by 0x4992BD5: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==382836==    by 0x49928FA: ??? (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==382836==    by 0x49930A9: g_test_run_suite (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==382836==    by 0x49930D0: g_test_run (in /usr/lib64/libglib-2.0.so.0.7000.3)
	==382836==    by 0x402386: main (test-image.c:114)

2022-02-14  Victor Toso  <victortoso@redhat.com>

	Post release version bump to 1.11.0

	Update NEWS for 1.10.0 release

2022-02-11  Laszlo Ersek  <lersek@redhat.com>

	loader: work around lstat()/EACCES regression in _g_local_file_info_get()
	In glib commit 71e7b5800a31 ("Handle MLS selinux policy better",
	2010-07-08), which was made for
	<https://bugzilla.gnome.org/show_bug.cgi?id=623692>, an lstat() failure
	with error code EACCES was *masked* in function _g_local_file_info_get().

	Consequently, if osinfo_loader_find_files() calls g_file_query_info() on a
	file that is inaccessible due to (e.g.) a missing "x" (search) permission
	on a leading directory, then g_file_query_info() succeeds, our
	"skipMissing" branch is dead, g_file_info_get_attribute_uint32() is
	reached, and it returns G_FILE_TYPE_UNKNOWN.

	As a consequence, the outer osinfo_loader_process_default_path() function
	can fail, even though it passes skipMissing=TRUE to
	osinfo_loader_process_list(). Example:

	> $ HOME=/root \
	>   OSINFO_SYSTEM_DIR=/usr/share/osinfo \
	>   build/tools/osinfo-query os
	> Error loading OS data: Can't read path /root/.config/osinfo

	Arguably, this situation should be handled by simply skipping the
	inaccessible path, as if all leading directories could be searched, and
	only the last pathname compontent (the filename entry) didn't exist in its
	direct parent directory.

	The glib regression was reported in 2017:

	  https://bugzilla.gnome.org/show_bug.cgi?id=777187

	and then migrated to gitlab:

	  https://gitlab.gnome.org/GNOME/glib/-/issues/1237

	but it's still not solved today.

	Work around the issue by honoring "skipMissing" on the G_FILE_TYPE_UNKNOWN
	branch. Demonstration:

	> $ HOME=/root \
	>   OSINFO_SYSTEM_DIR=/usr/share/osinfo \
	>   build/tools/osinfo-query os
	>
	> ** (osinfo-query:9924): WARNING **: 13:23:12.776: Can't read path /root/.config/osinfo
	>  Short ID       | Name             | Version | ID
	> ----------------+------------------+---------+----------------------------------------
	>  alpinelinux3.5 | Alpine Linux 3.5 | 3.5     | http://alpinelinux.org/alpinelinux/3.5
	> ...

	Bugzilla: https://bugzilla.redhat.com/show_bug.cgi?id=2051559

2022-02-04  Daniel P. Berrangé  <berrange@redhat.com>

	tools: add an --all flag to osinfo-detect to report all matches
	By default it still only displays the first operating system with
	matching media/tree, but if --all is given, all possible matches
	will be displayed

	osinfo: add API for resolving multiple tree matches
	A provided tree object might match multiple entries from the
	database. Add an API that allows for this possibility to let
	applications decide how to handle it.

	osinfo: add API for resolving multiple media matches
	A provided media object might match multiple entries from the
	database. Add an API that allows for this possibility to let
	applications decide how to handle it.

	osinfo: allow tree matching code to report multiple entries
	Refactor the tree matching code so that it can be told to return all
	matching entries, rather than only the first. The original behaviour
	can be requested to short-circuit matching if the caller only requires
	the first match.

	osinfo: allow media matching code to report multiple entries
	Refactor the media matching code so that it can be told to return all
	matching entries, rather than only the first. The original behaviour
	can be requested to short-circuit matching if the caller only requires
	the first match.

	osinfo: honour tree architecture when matching
	The tree matching code currently ignores the tree architecture which
	is generally ok, since osinfo_tree_create_from_location will leave it
	set to NULL.

	None the less, if an architecture is provided for the unknown tree,
	we should only return results that match this architecture.

	osinfo: honour media architecture when matching
	The media matching code currently ignores the media architecture which
	is generally ok, since osinfo_media_create_from_location will leave it
	set to NULL.

	None the less, if an architecture is provided for the unknown media,
	we should only return results that match this architecture.

	guests: use a OsinfoTreeList when detecting tree matches
	In preparation for returning multiple tree matches, pass a
	OsinfoTreeList object around.

	osinfo: don't set the 'os' property on matched tree
	We just got the OsinfoTee list from the OsinfoOs object, thus we know
	that it already has the 'os' property set.

	guests: use a OsinfoMediaList when detecting media matches
	In preparation for returning multiple media matches, pass a
	OsinfoMediaList object around.

	osinfo: refactor tree guessing internal helper
	We want the return value from the tree guessing helper to indicate
	whether any matches were used, and have the OsinfoOs as an output
	parameter which can now be optional.

	osinfo: refactor media guessing internal helper
	We want the return value from the media guessing helper to indicate
	whether any matches were used, and have the OsinfoOs as an output
	parameter which can now be optional.

	osinfo: pull tree matching logic into public API
	The logic for matching an unidentified tree against a reference tree
	is potentially useful to applications and should be part of a public
	API, rather than hidden.

	osinfo: pull media matching logic into public API
	The logic for matching an unidentified media against a reference media
	is potentially useful to applications and should be part of a public
	API, rather than hidden.

	osinfo: add missing line break between methods

2022-01-18  Ettore Atalan  <atalanttore@googlemail.com>

	Translated using Weblate (German)
	Currently translated at 81.8% (140 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/de/

	Co-authored-by: Ettore Atalan <atalanttore@googlemail.com>

2022-01-18  Jan Kuparinen  <copper_fin@hotmail.com>

	Translated using Weblate (Finnish)
	Currently translated at 73.0% (125 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/fi/

	Co-authored-by: Jan Kuparinen <copper_fin@hotmail.com>

2022-01-18  Daniel P. Berrangé  <berrange@redhat.com>

	osinfo: use consistent include syntax for public headers

	osinfo: switch to '#pragma once'
	The current include files use the pattern

	 #ifndef __OOSINFO_BLAH_H__
	 # define __OOSINFO_BLAH_H__

	 #endif /* __OOSINFO_BLAH_H__ */

	Since we already mandated GCC + CLang, we can replace this with a
	simpler incantation

	 #pragma once

	osinfo: fix bad preprocessor indentation

2021-11-29  Victor Toso  <victortoso@redhat.com>

	loader: add check for unknown file type
	So we can provide a meaningful error message in case the provided path
	is not accessible to running process.

	e.g: running HOME=/root osinfo-query os we would get
	  `Error loading OS data: Unexpected file type`
	and now we get
	  `Error loading OS data: Can't read path /root/.config/osinfo`

	This error was first hit with v2v [0] that was leaking $USER and $HOME
	of root user when osinfo-query as vsdm user with `sudo -c vdsm`. The
	example above is a simple way to show lack of permision of
	osinfo-query to read the root's $HOME.

	[0] https://bugzilla.redhat.com/show_bug.cgi?id=1901423

	Related: https://bugzilla.redhat.com/show_bug.cgi?id=1902720

2021-11-24  Fabiano Fidêncio  <fabiano@fidencio.org>

	os: Add `_get_complete_firmware_list()`
	After realising the mistake of only returning **supported** firmwares on
	`_get_firmware_list()`, let's work that limitation around by adding a
	new function, `osinfo_os_get_complete_firmware_list()`, which returns
	the complete list of firmwares, including both supported and unsupported
	ones.

	os: _get_firmware_list() returns supported FWs
	Let's make sure we document that `_get_firmware_list()` returns **only**
	supported firmwares, rather than returning **all** the firmwares
	avaiable for an OS.

	As part of the documentation change, let's also adapt the internal
	functions to reflect that.

	os: Add missing docs for _add_firmware()
	osinfo_os_add_firmware() has been added as part of 1.7.0 release but,
	somehow, its documentation has been missing.

2021-11-12  Andrea Bolognani  <abologna@redhat.com>

	ci: Add new targets
	lcitool now supports CentOS Stream 9, Debian 11 and Fedora 35.

	ci: Enable RPM jobs on CentOS
	Now that we have a recent version of meson installed from
	distro packages instead of PyPI, RPM builds will no longer
	fail.

	ci: Refresh generated files
	Notable differences:

	  * meson is now installed from the distro repositories
	    instead of PyPI on CentOS 8 and CentOS Stream 8. We
	    can finally do this because the version they ship
	    has been updated.

	  * intltool and itstool (which are used to build osinfo-db
	    as part of the CI pipeline) are no longer included in the
	    container images. osinfo-db-tools moved away from the
	    former and never adopted the latter.

	ci: Drop Fedora 33
	It's going to be EOL in a matter of days, and lcitool already
	dropped support for it.

2021-10-10  Daniel P. Berrangé  <berrange@redhat.com>

	Skip over entity reference checks if loading failed
	If we fail to parse one of the XML files, we abort loading the
	database. We then carry on to do an entity reference check which
	will almost certainly fail due to not having loaded many XML
	files. We need to skip over the entity reference check on failure
	to avoid spamming the user with bogus errors.

	Warn about unexpected files in the database
	To help remind users that files must end in .xml, warn about any
	unusually named files.

	There are a couple of files we should not warn about since we expect
	them to be present

	 - VERSION
	 - LICENSE

	The entire 'schema' sub-directory should be ignored.
	Common editor backups "~" and ".bak" should be ignored.

	Fix hiding of database entries
	The osinfo-db documentation says that a local admin/user can hide an
	entity from the system location:

	[quote]
	If the file is zero-length or points to /dev/null, then this
	represents a black-out override. This indicates that the
	ENTITY-NAME.xml file from a lower priority directory MUST NOT
	be loaded.
	[/quote]

	This does not, however, work at all. If a zero length file is given,
	it tries to parse this as XML and fails, causing the entire DB loading
	process to be aborted. This leaves the DB with dangling references.

	If a symlink to /dev/null is given, it is entirely ignored because
	the file is a block device and we only try to load regular files.
	Instead of only loading regular files, we need to load any type of
	file that has a .xml extension.

	This appears to be broken since the very first impl of the new DB
	loading process, despite having written the spec at the same time.

2021-10-06  Felipe Borges  <felipeborges@gnome.org>

	tree, media: Soup.Session.send_async now takes an IO priority argument
	See https://libsoup.org/libsoup-3.0/SoupSession.html#soup-session-send-async

	tree, media: SoupMessage is a private struct in libsoup3
	You can no longer directly access various structs such as SoupMessage.
	These are now accessed by getters and setters.

	See https://libsoup.org/libsoup-3.0/ch02.html

	tree, media: SOUP_SESSION_USER_AGENT isn't defined in libosup3
	Let's use the literal "user-agent" instead.

	build: Require libsoup3
	See https://blog.tingping.se/2021/02/23/future-of-libsoup.html

	This will fallback to libsoup-2.4 when libsoup3 isn't available.

2021-09-27  Daniel P. Berrangé  <berrange@redhat.com>

	build: don't set glib version constraints for g-ir-scanner
	add_project_arguments() sets flags that apply to all invokations of the C
	compiler toolchain by meson. On the surface it sounds fine to use this
	for setting

	  -DGLIB_VERSION_MIN_REQUIRED=VER
	  -DGLIB_VERSION_MAX_ALLOWED=VER

	as we want all our code to be constrained by these declared glib
	versions to prevent us accidentally using APIS from newer glib by
	mistake.

	A subtle problem was revealed with the arrival of gobject-introspection
	version 1.70.  The g-ir-scanner program auto-generates some glib code
	for handling introspection, and this generated code uses glib APIs that
	are newer than our declared version and this triggers compile failures

	tmp-introspectg6xadxkr/Libosinfo-1.0.c:251:3: error: ‘G_TYPE_FLAG_FINAL’ is deprecated: Not available before 2.70 [-Werror=deprecated-declarations]
	  251 |   if (G_TYPE_IS_FINAL (type))
	      |   ^~
	In file included from /usr/include/glib-2.0/gobject/gobject.h:24,
	                 from /usr/include/glib-2.0/gobject/gbinding.h:29,
	                 from /usr/include/glib-2.0/glib-object.h:22,
	                 from tmp-introspectg6xadxkr/Libosinfo-1.0.c:30:
	/usr/include/glib-2.0/gobject/gtype.h:1050:3: note: declared here
	 1050 |   G_TYPE_FLAG_FINAL GLIB_AVAILABLE_ENUMERATOR_IN_2_70 = (1 << 6)
	      |   ^~~~~~~~~~~~~~~~~
	tmp-introspectg6xadxkr/Libosinfo-1.0.c:251:13: error: Not available before 2.70 [-Werror]
	  251 |   if (G_TYPE_IS_FINAL (type))
	      |             ^~~~~~~~~~~~~~~~~

	This is actually harmless, because systems with an older glib will also
	have older g-ir-scanner and thus not be using these new APIs.

	We need to exclude the glib version constraints from code generated by
	glib tools, and thus means we have to stop using add_project_arguments()
	and set cflags explicitly on each target.

2021-09-06  Rafael Fontenelle  <rafaelff@gnome.org>

	Translated using Weblate (Portuguese (Brazil))
	Currently translated at 100.0% (171 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/pt_BR/

	Co-authored-by: Rafael Fontenelle <rafaelff@gnome.org>

2021-09-06  Jan Kuparinen  <copper_fin@hotmail.com>

	Translated using Weblate (Finnish)
	Currently translated at 65.4% (112 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/fi/

	Co-authored-by: Jan Kuparinen <copper_fin@hotmail.com>

2021-09-03  Daniel P. Berrangé  <berrange@redhat.com>

	ci: remove obsolete refresh script and documentation
	We now use lcitool's manifest feature to generate files.

	ci: re-generate containers/gitlab config from manifest
	This uses the command "lcitool manifest ci/manifest.yml" to re-generate
	all existing dockerfiles and gitlab CI config.

	ci: define a CI manifest file
	This is to be used with the command "lcitool manifest ci/manifest.yml"
	to re-generate all existing dockerfiles and gitlab CI config.

	In a slight change to the existing config, the manifest will always
	use the pre-build osinfo-db-tools package. Nothing in the libosinfo
	CI tasks, has a need to exercise latest git master for osinfo-db-tools.
	The latter is covered fine by osinfo-db CI jobs.

	gitlab: remove debian-9 build target
	This platform is no longer supported by libvirt-ci.

	gitlab: remove centos-7 build target
	This platform is no longer supported by libvirt-ci.

2021-08-25  Hela Basa  <r45xveza@pm.me>

	Translated using Weblate (Sinhala)
	Currently translated at 0.5% (1 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/si/

	Co-authored-by: Hela Basa <r45xveza@pm.me>

2021-08-25  Andika Triwidada  <andika@gmail.com>

	Translated using Weblate (Indonesian)
	Currently translated at 100.0% (171 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/id/

	Co-authored-by: Andika Triwidada <andika@gmail.com>

2021-08-25  Jan Kuparinen  <copper_fin@hotmail.com>

	Translated using Weblate (Finnish)
	Currently translated at 64.9% (111 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/fi/

	Translated using Weblate (Finnish)

	Currently translated at 33.9% (58 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/fi/

	Co-authored-by: Jan Kuparinen <copper_fin@hotmail.com>

2021-08-05  simmon  <simmon@nplob.com>

	Translated using Weblate (Korean)
	Currently translated at 100.0% (171 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/ko/

	Co-authored-by: simmon <simmon@nplob.com>

2021-08-05  Oğuz Ersen  <oguzersen@protonmail.com>

	Translated using Weblate (Turkish)
	Currently translated at 100.0% (171 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/tr/

	Co-authored-by: Oğuz Ersen <oguzersen@protonmail.com>

2021-08-05  Yuri Chornoivan  <yurchor@ukr.net>

	Translated using Weblate (Ukrainian)
	Currently translated at 100.0% (171 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/uk/

	Co-authored-by: Yuri Chornoivan <yurchor@ukr.net>

2021-08-05  Pino Toscano  <toscano.pino@tiscali.it>

	Translated using Weblate (Italian)
	Currently translated at 100.0% (171 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/it/

	Co-authored-by: Pino Toscano <toscano.pino@tiscali.it>

2021-08-05  Piotr Drąg  <piotrdrag@gmail.com>

	Translated using Weblate (Polish)
	Currently translated at 100.0% (171 of 171 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/pl/

	Co-authored-by: Piotr Drąg <piotrdrag@gmail.com>

2021-08-05  Weblate  <noreply@weblate.org>

	Update translation files
	Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.

	Co-authored-by: Weblate <noreply@weblate.org>
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/
	Translation: libosinfo/libosinfo

2021-08-05  Jan Kuparinen  <copper_fin@hotmail.com>

	Translated using Weblate (Finnish)
	Currently translated at 32.3% (55 of 170 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/fi/

	Co-authored-by: Jan Kuparinen <copper_fin@hotmail.com>

2021-08-04  Pino Toscano  <ptoscano@redhat.com>

	po: regenerate libosinfo.pot

2021-07-27  Daniel P. Berrangé  <berrange@redhat.com>

	ci: refresh centos-stream container
	It is no longer possible to just install an extra package to run regular
	centos into centos stream.

	gitlab: use custom docker:dind image
	The current docker:dind container has broken default seccomp filter that
	results in clone3 being blocked, which in turn breaks Fedora 35 rawhide.

	This custom image has a workaround that causes the seccomp filter to
	return ENOSYS for clone3 instad of EPERM, thus triggering glibc to
	fallback to clone correctly.

2021-07-22  Seong-ho Cho  <darkcircle.0426@gmail.com>

	Translated using Weblate (Korean)
	Currently translated at 100.0% (170 of 170 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/ko/

	Co-authored-by: Seong-ho Cho <darkcircle.0426@gmail.com>

2021-04-15  simmon  <simmon@nplob.com>

	Translated using Weblate (Korean)
	Currently translated at 100.0% (170 of 170 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/ko/

	Co-authored-by: simmon <simmon@nplob.com>

2021-04-13  simmon  <simmon@nplob.com>

	Translated using Weblate (Korean)
	Currently translated at 100.0% (170 of 170 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/ko/

	Co-authored-by: simmon <simmon@nplob.com>

2021-04-07  simmon  <simmon@nplob.com>

	Translated using Weblate (Korean)
	Currently translated at 100.0% (170 of 170 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/ko/

	Co-authored-by: simmon <simmon@nplob.com>

2021-04-05  simmon  <simmon@nplob.com>

	Translated using Weblate (Korean)
	Currently translated at 100.0% (170 of 170 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/ko/

	Added translation using Weblate (Korean)

	Co-authored-by: simmon <simmon@nplob.com>

2021-03-07  Hela Basa  <r45xveza@pm.me>

	Added translation using Weblate (Sinhala)
	Co-authored-by: Hela Basa <r45xveza@pm.me>

2021-03-07  Ricky Tigg  <ricky.tigg@gmail.com>

	Translated using Weblate (Finnish)
	Currently translated at 25.2% (43 of 170 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/fi/

	Translated using Weblate (Finnish)

	Currently translated at 23.5% (40 of 170 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/fi/

	Co-authored-by: Ricky Tigg <ricky.tigg@gmail.com>

2021-03-07  Jan Kuparinen  <copper_fin@hotmail.com>

	Translated using Weblate (Finnish)
	Currently translated at 19.4% (33 of 170 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/fi/

	Co-authored-by: Jan Kuparinen <copper_fin@hotmail.com>

2021-03-07  Ricky Tigg  <ricky.tigg@gmail.com>

	Translated using Weblate (Finnish)
	Currently translated at 18.8% (32 of 170 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/fi/

	Co-authored-by: Ricky Tigg <ricky.tigg@gmail.com>

2021-02-24  Fabiano Fidêncio  <fidencio@redhat.com>

	tools: Add "Release status" info to `osinfo-query os`
	Release status has never been part of `osinfo-query os`, but it's been
	proven to be a needed information, mainly because the rolling distro may
	not even have their release & eol date filled up.

	Related: https://bugzilla.redhat.com/show_bug.cgi?id=1932258

2021-02-10  Fabiano Fidêncio  <fidencio@redhat.com>

	Post release version bump to 1.10.0

2021-02-02  Fabiano Fidêncio  <fidencio@redhat.com>

	Update NEWS for 1.9.0 release

2021-01-11  Jan Kuparinen  <copper_fin@hotmail.com>

	Translated using Weblate (Finnish)
	Currently translated at 15.8% (27 of 170 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/fi/

	Co-authored-by: Jan Kuparinen <copper_fin@hotmail.com>

2021-01-11  Weblate  <noreply@weblate.org>

	Update translation files
	Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.

	Co-authored-by: Weblate <noreply@weblate.org>
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/
	Translation: libosinfo/libosinfo

2021-01-08  Timm Bäder  <tbaeder@redhat.com>

	install config: Rename a parameter
	'timezone' is a global variable in time.h, so clang complains about
	that.

	build: Move bsd/mac checks to be compiler-specific
	They depend on the compiler in use, not the operating system

2020-12-15  Fabian Affolter  <mail@fabian-affolter.ch>

	Translated using Weblate (German)
	Currently translated at 64.7% (110 of 170 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/de/

	Co-authored-by: Fabian Affolter <mail@fabian-affolter.ch>

2020-12-15  Daniel P. Berrangé  <berrange@redhat.com>

	ci: refresh containers for CentOS-8 PowerTools repo rename
	A recent CentOS-8 update renamed the "PowerTools" repo to "powertools"
	and since dnf is case sensitive wrt repo names, this broke ability to
	build new containers.

	The refresh fixes the repo name and pulls in other misc improvements
	to containers.

2020-12-01  Daniel P. Berrangé  <berrange@redhat.com>

	gitlab: update refresh script for changed host naming convention

	gitlab: refresh containers with lcitool for fully minimized base

	gitlab: re-generate container images from lcitool
	This introduces Fedora 33 and removes some redundant packages.

	Note that rpm build is marked as skip on CentOS 8/Stream now, since
	we're using pip provide meson instead of distro meson, and thus don't
	have the %meson macro.

2020-11-13  Cole Robinson  <crobinso@redhat.com>

	loader: Print filename in libxml error string
	This is how libvirt handles it. Would help debugging apparently
	random failures like these bugs:

	https://bugzilla.redhat.com/show_bug.cgi?id=1897356
	https://bugzilla.redhat.com/show_bug.cgi?id=1651550

2020-09-15  Milo Casagrande  <milo@milo.name>

	Translated using Weblate (Italian)
	Currently translated at 100.0% (170 of 170 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/it/

	Co-authored-by: Milo Casagrande <milo@milo.name>

2020-09-14  Milo Casagrande  <milo@milo.name>

	Translated using Weblate (Italian)
	Currently translated at 97.0% (165 of 170 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/it/

	Co-authored-by: Milo Casagrande <milo@milo.name>

2020-09-14  Pino Toscano  <toscano.pino@tiscali.it>

	Translated using Weblate (Italian)
	Currently translated at 97.0% (165 of 170 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/it/

	Co-authored-by: Pino Toscano <toscano.pino@tiscali.it>

2020-09-14  Fabio Tomat  <f.t.public@gmail.com>

	Translated using Weblate (Friulian)
	Currently translated at 66.4% (113 of 170 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/fur/

	Translated using Weblate (Spanish)

	Currently translated at 12.9% (22 of 170 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/es/

	Added translation using Weblate (Friulian)

	Co-authored-by: Fabio Tomat <f.t.public@gmail.com>

2020-09-14  Alexey Shabalin  <a.shabalin@gmail.com>

	Added translation using Weblate (Russian)
	Co-authored-by: Alexey Shabalin <a.shabalin@gmail.com>

2020-09-14  Mikel Olasagasti  <mikel@olasagasti.info>

	Added translation using Weblate (Basque)
	Co-authored-by: Mikel Olasagasti <mikel@olasagasti.info>

2020-08-15  Emilio Herrera  <ehespinosa57@gmail.com>

	Translated using Weblate (Spanish)
	Currently translated at 12.9% (22 of 170 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/es/

2020-08-08  Rafael Fontenelle  <rafaelff@gnome.org>

	Translated using Weblate (Portuguese (Brazil))
	Currently translated at 100.0% (170 of 170 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/pt_BR/

2020-08-08  Kukuh Syafaat  <kukuh@syafaat.id>

	Translated using Weblate (Indonesian)
	Currently translated at 100.0% (170 of 170 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/id/

2020-07-31  Julien Humbert  <julroy67@gmail.com>

	Translated using Weblate (French)
	Currently translated at 100.0% (170 of 170 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/fr/

2020-07-29  Oğuz Ersen  <oguzersen@protonmail.com>

	Translated using Weblate (Turkish)
	Currently translated at 100.0% (170 of 170 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/tr/

2020-07-29  Yuri Chornoivan  <yurchor@ukr.net>

	Translated using Weblate (Ukrainian)
	Currently translated at 100.0% (170 of 170 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/uk/

2020-07-28  Piotr Drąg  <piotrdrag@gmail.com>

	Translated using Weblate (Polish)
	Currently translated at 100.0% (170 of 170 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/pl/

2020-07-28  Weblate  <noreply@weblate.org>

	Update translation files
	Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/

2020-07-28  Pino Toscano  <ptoscano@redhat.com>

	po: regenerate libosinfo.pot

2020-07-28  Rafael Fontenelle  <rafaelff@gnome.org>

	Fix misspellings

2020-07-28  Pino Toscano  <ptoscano@redhat.com>

	tools,detect: improve command line option help
	Literal identifiers, such as 'media', 'tree', etc in translatable
	strings are a bad idea, since they will likely be translated, misguiding
	users reading the help of a translated version.

	Refactor a bit the way these bits are show to the user:
	- in the help of --format and --type, show a generic name of the
	  argument value, and slightly improve the description text
	- add a small description text after the listing of the command line
	  options to mention the allowed values

	Fixes: #42

2020-07-28  Weblate  <noreply@weblate.org>

	Update translation files
	Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/

2020-07-28  Rafael Fontenelle  <rafaelff@gnome.org>

	Translated using Weblate (Portuguese (Brazil))
	Currently translated at 100.0% (169 of 169 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/pt_BR/


	Translated using Weblate (Portuguese (Brazil))

	Currently translated at 97.6% (165 of 169 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/pt_BR/

2020-07-28  Fabiano Fidêncio  <fidencio@redhat.com>

	spec: Explicitly call %meson_build in the %build section
	It was never needed before as the %meson_install macro would perform a
	project rebuild. However, most recent versions of meson have changed the
	%meson_install macro to use `--no-rebuild`, exposing then this issue on
	our spec file.

	Fixes: #43

2020-06-22  Julien Humbert  <julroy67@gmail.com>

	Translated using Weblate (French)
	Currently translated at 100.0% (169 of 169 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/fr/

2020-06-17  Andrea Bolognani  <abologna@redhat.com>

	ci: Don't use RPM=skip for container builds
	It only makes sense for actual build jobs.

	ci: Check for rpmbuild availability
	Only try to build RPMs if the rpmbuild command is present on the
	system. This means we no longer have to use the RPM=skip trick on
	Debian-based targets, and can limit it to cases where building
	RPMs is actually broken for some reason.

	ci: Simplify rpmbuild command
	We don't have to worry about cleaning up after ourselves, since
	we're running the build inside an ephemeral container.

	ci: Add CentOS Stream
	Starting with

	  commit d35a7dba9cc8ac3bb0647171628731c625d4e14f
	  Author: Erik Skultety <eskultet@redhat.com>
	  Date:   Thu Jun 4 16:17:36 2020 +0200

	    guests: Add CentOS Stream

	    The idea behind Stream is to get a preview of what the next RHEL-minor
	    will look like, thus getting newer versions of packages than regular
	    CentOS provides. It's supposed to be rolling, so currently it's based on
	    CentOS 8, but once RHEL-9 is out, it will point to the next RHEL-9
	    instead.  However, unlike debian-sid it doesn't have a dedicated URL
	    resource (something like centos-stream), so we'll have to change it
	    manually once it's flipped to point to next RHEL-9.

	    Signed-off-by: Erik Skultety <eskultet@redhat.com>

	lcitool supports CentOS Stream as a build target.

	ci: Use $MESON_OPTS
	This information is part of the container image now.

	ci: Refresh Dockerfiles
	Starting with

	  commit 25c9da0aaa94fbca674dca6dec65f6348f335e7d
	  Author: Andrea Bolognani <abologna@redhat.com>
	  Date:   Fri May 22 17:38:10 2020 +0200

	    lcitool: Generate MESON_OPTS in Dockerfiles

	    This serves the same purpose as CONFIGURE_OPTS: enable seamless
	    cross-compilation support, in this case for Meson-based projects.

	    Only MinGW cross-compilation targets are currently supported.

	    Signed-off-by: Andrea Bolognani <abologna@redhat.com>

	lcitool will include a $MESON_OPTS environment variable, which can
	be used to simplify our GitLab CI build rules, in the Dockerfiles
	it generates.

	ci: Move Dockerfiles to a subdir
	This is consistent to how libvirt organizes its files, and ensures
	things will remain tidy even as we introduce new features such as,
	later on, Cirrus CI support.

	ci: Clean up refresh script a bit
	Remove some repetition through refactoring.

2020-06-02  Fabiano Fidêncio  <fidencio@redhat.com>

	Post release version bump to 1.9.0

2020-05-29  Fabiano Fidêncio  <fidencio@redhat.com>

	Update NEWS for 1.8.0 release

2020-05-29  Weblate  <noreply@weblate.org>

	Update translation files
	Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/

2020-05-29  Julien Humbert  <julroy67@gmail.com>

	Translated using Weblate (French)
	Currently translated at 98.8% (167 of 169 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/fr/

2020-05-28  Andrea Bolognani  <abologna@redhat.com>

	ci: Use GitLab container registry
	Instead of using pre-built containers hosted on Quay, build
	containers as part of the GitLab CI pipeline and upload them to the
	GitLab container registry for later use.

	This does not slow down builds, because containers are only rebuilt
	when the corresponding Dockerfile has been modified.

2020-05-22  Manuela Silva  <mmsrs@sky.com>

	Translated using Weblate (Portuguese (Portugal))
	Currently translated at 57.9% (98 of 169 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/pt_PT/

2020-05-22  Anonymous  <noreply@weblate.org>

	Translated using Weblate (Indonesian)
	Currently translated at 100.0% (169 of 169 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/id/

2020-05-22  Andika Triwidada  <andika@gmail.com>

	Translated using Weblate (Indonesian)
	Currently translated at 100.0% (169 of 169 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/id/

2020-05-22  Oğuz Ersen  <oguzersen@protonmail.com>

	Translated using Weblate (Turkish)
	Currently translated at 100.0% (169 of 169 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/tr/

2020-05-22  Yuri Chornoivan  <yurchor@ukr.net>

	Translated using Weblate (Ukrainian)
	Currently translated at 100.0% (169 of 169 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/uk/

2020-05-21  Piotr Drąg  <piotrdrag@gmail.com>

	Translated using Weblate (Polish)
	Currently translated at 100.0% (169 of 169 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/pl/

2020-05-21  Anonymous  <noreply@weblate.org>

	Translated using Weblate (Indonesian)
	Currently translated at 1.1% (2 of 169 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/id/


	Translated using Weblate (Polish)

	Currently translated at 100.0% (169 of 169 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/pl/

2020-05-21  Manuela Silva  <mmsrs@sky.com>

	Added translation using Weblate (Portuguese (Portugal))

2020-05-20  Weblate  <noreply@weblate.org>

	Update translation files
	Updated by "Update LINGUAS file" hook in Weblate.

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/

	Update translation files
	Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/

2020-05-20  Pino Toscano  <ptoscano@redhat.com>

	po: remove duplicated msgid in 'id' catalog
	Fix it manually, otherwise gettext tools cannot work with it.

2020-05-20  Weblate  <noreply@weblate.org>

	Update translation files
	Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/

2020-05-14  Daniel P. Berrangé  <berrange@redhat.com>

	build-aux: use gmake for syntax-check rules
	Previously on FreeBSD the syntax-check rules would be a no-op because
	its non-GNU make wouldn't see the GNUmakefile and would report no work
	to do:

	$ MESON_SOURCE_ROOT=`pwd` build-aux/syntax-check
	`syntax-check' is up to date.

	Since we moved everything into a syntax-check.mk that we call explicitly
	though, we're the non-GNU make tries to execute rules that depend on
	GNU make features.

	build-aux: fix references to old maint.mk name

2020-05-13  Daniel P. Berrangé  <berrange@redhat.com>

	build-aux: rename maint.mk to syntax-check.mk
	This name aligns with what the makefile actally does.

	build-aux: remove GNUmakefile entirely
	The only useful bits it still did were setting a couple of variables,
	which can be moved into the main maint.mk file.

	build-aux: merge cfg.mk into maint.mk
	Since we took full ownership of a cut down maint.mk there's no
	need to keep local additions separately in cfg.mk

	This fixes a bug which caused the contents of cfg.mk to be
	skipped since the moving of files into the build-aux dir
	and switch to meson.

	build-aux: trim obsolete maint rules
	Many rules in maint.mk are doing checks related to makefiles, or
	autoconf, or gnulib, none of which are used by libosinfo. There
	are also many misc rules related to publishing of releases that
	are never used. Trimming this out makes the resulting file more
	managable.

2020-05-13  Pino Toscano  <ptoscano@redhat.com>

	po: update LINGUAS
	Add tr.

	id is not added as it has errors; hope that the update of the catalog
	will trigger an update in weblate, generating a correct po file.

	Drop Zanata leftovers
	libosinfo uses Weblate for translations.

	po: regenerate libosinfo.pot

2020-05-04  Fabiano Fidêncio  <fidencio@redhat.com>

	README: MR is the preferred way to submit a patch
	Unlikely of what our README mentioned, the preferred way to submit a
	patch to libosinfo is opening a Merge Request against our GitLab
	project.

2020-05-03  Andika Triwidada  <andika@gmail.com>

	Translated using Weblate (Indonesian)
	Currently translated at 0.5% (1 of 167 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/id/

2020-05-01  Andrea Bolognani  <abologna@redhat.com>

	ci: Use 'check-dco' container for DCO checking
	This container image, which has been created for this specific
	purporse and is already used by many projects under the libvirt
	umbrella, contains a nicer Python implementation of the
	require-dco.sh script that's guaranteed to be kept up to date.

	ci: Merge templates into native-build-job
	At this point, the only difference between the existing templates
	is that one of them includes the RPM build job, and since we now
	have a way to skip that part for specific targets, we can get rid
	of the duplication and merge them into a single template.

	ci: Introduce multilib
	This is a bit yucky, but it's only temporary: like the target ABI,
	this information is tied to the container image and as such should
	be baked into it. When that happens, we can simply drop this
	altogether, but in the meantime this bit of scripting allow us to
	have a single environment instead of two.

	ci: Merge templates into mingw-build-job
	The mingw32 and mingw64 templates are basically identical at this
	point, so let's merge them into a generic one.

	ci: Split off mingw-environment
	Follow the environment/script split, like we do everywhere else.

	We can have a single environment that works both for mingw32 and
	mingw64 builds because the only difference between the two is
	which ABI they target, and we can obtain that piece of information
	from the $ABI environment variable that's baked into the container
	images.

	ci: Move more information to the job templates
	In particular, we can avoid repeating the parts of the container
	image name that are always the same.

	ci: Introduce pipeline stages
	There's only a single stage for now.

	ci: Use standard template for CentOS 7 and openSUSE 15.1
	The only difference between the open-coded job definition currently
	in use for these target platforms and the standard template is that
	the former don't include the RPM build job, but now that we have a
	way to skip that part selectively we can remove these special cases.

	ci: Make RPM job skippable
	We're sort of cheating by exiting right away when asked to skip
	the RPM job, but we know that it's always going to be the last job
	in a script and we currently have no need to skip any other job,
	so let's start with the simplest possible implementation and
	consider something more complex if and when the need arises.

2020-04-30  Andrea Bolognani  <abologna@redhat.com>

	ci: Move builds from Ubuntu 16.04 to Ubuntu 20.04

	ci: Move builds from Fedora 30 to Fedora 32

	ci: Move MinGW builds from Fedora 30 to Fedora Rawhide

2020-04-30  Andika Triwidada  <andika@gmail.com>

	Added translation using Weblate (Indonesian)

2020-04-21  Gianluca Sforna  <giallu@gmail.com>

	Translated using Weblate (Italian)
	Currently translated at 97.6% (164 of 168 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/it/

2020-04-20  Andrea Bolognani  <abologna@redhat.com>

	prepare-release: Move release archive out of DIST_ROOT
	If the build has been successful, we can fish the release archive
	out of DIST_ROOT and expose it in the top-level source directory,
	just like autotools would do, for extra convenience.

	prepare-release: Define DIST_ROOT
	This is the subdirectory of BUILD_ROOT where the release archive
	is generated by Meson: it's already used multiple times, and we're
	about to introduce another one, so let's give it its own variable.

	prepare-release: Define BUILD_ROOT
	This fits nicely with INSTALL_ROOT and the recently-introduced
	RPMBUILD_ROOT; additionally, since $BUILD_ROOT is an absolute path,
	we can use it directly as _sourcedir when calling rpmbuild.

	prepare-release: Use a local directory for rpmbuild
	The current release process stores files inside the user's rpmbuild
	directory, usually part of $HOME, which is just bad manners. Use a
	local directory instead.

	prepare-release: Use a local directory for installation
	The current release process stores files inside the user's home
	directory, which is just bad manners. Use a local directory instead.

	Since we no longer have to care about the destination directory
	looking like an actual root filesystem, we can make the paths used
	when installing MinGW builds shorter.

	prepare-release: Use DESTDIR when installing
	DESTDIR and --prefix are similar but serve distinct purposes: in
	particular, the latter is intended for modifications that will
	persist after installation, eg. storing binaries under /usr/bin
	instead of /usr/local/bin, while the former is just a temporary
	change that can be easily reverted, eg. stashing files in an
	intermediate, unprivileged directory while building a package.

	Our needs during the release process are closer to what DESTDIR is
	designed for, so let's use that.

2020-04-17  Andrea Bolognani  <abologna@redhat.com>

	prepare-release: Ensure rpmbuild is executable
	Using 'test -x' is more appropriate than 'test -r' for programs.

	prepare-release: Drop RESULTS
	This is a leftover from when the script was used to perform
	automated tests: in that context, singling out the output of the
	test suite made sense, but now we're no longer particularly
	interested in it.

	As a bonus, this allows us to drop a non-trivial chunk of fairly
	obscure POSIX shell compatibility code.

	prepare-release: Remove unnecessary cleanup
	We already remove all of build/ at the beginning of the build
	process, so there's no need to manually remove any of its subdirs
	here.

	prepare-release: Remove empty lines
	These are unnecessary and inconsistent with the style used in the
	rest of the script.

	prepare-release: Use correct spec file for MinGW RPMs
	Currently we're just building the very same spec file twice.

	gitignore: Minimize
	Things like editor backup files belong in the user's own ignore
	file rather than in the project's.

2020-04-16  Oğuz Ersen  <oguzersen@protonmail.com>

	Translated using Weblate (Turkish)
	Currently translated at 100.0% (168 of 168 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/tr/

2020-04-15  Fabiano Fidêncio  <fidencio@redhat.com>

	Add "osinfo_macros.h" to the installed headers
	As the macros defined there are used in the public headers, this header
	must be installed, otherwise we'll face errors such as:
	```
	/home/valabot/gnome3/include/libosinfo-1.0/osinfo/osinfo_entity.h:26:11: fatal error: osinfo/osinfo_macros.h: No such file or directory
	   26 | # include "osinfo/osinfo_macros.h"
	      |           ^~~~~~~~~~~~~~~~~~~~~~~~
	```

	Reported-by: Rico Tzschichholz <ricotz@ubuntu.com>

2020-04-15  Oğuz Ersen  <oguzersen@protonmail.com>

	Translated using Weblate (Turkish)
	Currently translated at 100.0% (168 of 168 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/tr/

2020-04-13  Rafael Fonseca  <r4f4rfs@gmail.com>

	osinfo_macros: mark inline functions as UNUSED
	Fixes -Werror=unused-function with clang.

	See: https://gitlab.gnome.org/GNOME/glib/-/commit/90f93a64f26666b955fdafb56acab54e596f4cc5

	osinfo_macros: auto-cleanup func for module class
	This will allow to manage the ownership of the class when reffing it
	without having to cast it to GTypeClass.

	See: https://gitlab.gnome.org/GNOME/glib/-/commit/ab25fa42cc6906df31352877154bb7b07f39552f

2020-04-13  Fabiano Fidêncio  <fidencio@redhat.com>

	productfilter: Check productfilter in _clear_product_constraint{,s}
	Let's just add a safety check in the _clear_product_constraint() and
	_clear_product_constraints() functions.

	devicelinkfilter: Check devicelinkfilter in _get_target_filter()
	Let's just add a safety check in the _get_target_filter() function.

	filter: Check filter in _clear_constraint{,s}
	Let's just add a safety check in the _clear_constraint() and
	_clear_constraints() functions.

	db: Remove useless osinfo_db_finalize() declaration

	install_config_param: Use g_clear_object in _set_value_map()

	entity: Check entity in osinfo_entity_clear_param()
	Let's just add a safety check in _clear_param().

	Group all GObjectClass override methods

	Use g_object_class_install_properties()
	Using _install_properties() helps to keep the code cleaner and also
	reduces the chance of having wrong props used.

	Use G_DEFINE_*_WITH_PRIVATE
	Together with this change, let's also get rid of our own _GET_PRIVATE()
	macros and use _get_instance_private() method instead.

	Use OSINFO_DECLARE_TYPE* macros

	macros: Add OSINFO_DECLARE_TYPE* macros
	OSINFO_DECLARE_TYPE is nothing else than a define to
	G_DECLARE_DERIVABLE_TYPE macro from GLib.

	OSINFO_DECLARE_TYPE_WITH_PRIVATE does exactly the same thing as
	OSINFO_DECLARE_TYPE plus adds a private structure to the declared type
	structure.

	OSINFO_DECLARE_TYPE_WITH_PRIVATE_AND_CLASS does exactly the same thing
	as OSINFO_DECLARE_TYPE_WITH_PRIVATE plus declares the class structure of
	the declared type.

	Using those new macros will help us to reduce a lot the GLib boilerplate
	in our codebase.

2020-04-13  Rafael Fonseca  <r4f4rfs@gmail.com>

	Do not error out when inlining fails
	-Winline causes error in GCC10, e.g

	error: inlining failed in call to ‘OSINFO_LIST’: call is unlikely and code size would grow [-Werror=inline]

	That particular macro, which will be introduced in the next commit, is
	bas based on GLib own macros and it just so happens that if they were
	also compiled with -Winline, the same error would happen [1]. Instead,
	let just suppress those warnings.

	[1] https://gitlab.gnome.org/GNOME/glib/issues/2042

2020-04-13  Fabiano Fidêncio  <fidencio@redhat.com>

	Enforce '-Wdeclaration-after-statement'
	Enforcing that variables are only declared in the beginning of a block
	makes the code easier to read.

	image: Add cloud-init property
	cloud-init has been added on 81c43558687b40d but the property has never
	been added.

	datamap: Rename _init() argument name
	"list" was a c&p from when OsinfoDatamap was introduced.

	avatar_format: Remove unused OSINFO_AVATAR_FORMAT_GET_PRIVATE()
	OsinfoAvatarFormat does not have a private member.

	tests: Remove duplicated tests
	There's no reason to keep testing union, filter, and intersection on
	types which inherit from OsinfoList. Mainly considering test-list
	already test those.

	Update Copyright year

	Remove Fabiano Fidêncio's Copyright statements
	Does not make sense to keep my own Copyright statements in 3 files of
	the project, which were added during 2012's Google Summer of Code.

	Remove Authors
	Authors are not often updated and do not reflect the current state of
	the code.

	media/tree: Force "wget" user-agent in SoupSession
	Spoiler alert, it'll sound insane ... because it is insane. Some servers
	treat libsoup user-agent differently than how they treat wget
	user-agent.

	With the default agent set, Soup would end up downloading the file
	containing the redirection information, instead of actually redirecting
	to one of the addresses present in that file. While when forcing "wget"
	as user-agent, the redirection happens as expected.

	This issue was faced at least with CentOS[0] and Manjaro[1] links.

	After a talk with Patrick Griffis, he mentioned that:
	"I imagine there isn't too much of a problem pretending to be wget. I would
	guess the assumption by these services is 'A CLI tool is downloading us and
	not a browser' rather than 'wget has unique behavior'.".

	Knowing that, let's force "wget" as user-agent on our side.

	[0]: http://isoredirect.centos.org/centos/8/isos/x86_64/CentOS-8.1.1911-x86_64-dvd1.iso
	[1]: https://osdn.net/dl/manjaro/manjaro-gnome-19.0.2-200312-linux54.iso

2020-04-11  Oğuz Ersen  <oguzersen@protonmail.com>

	Translated using Weblate (Turkish)
	Currently translated at 100.0% (168 of 168 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/tr/

2020-04-10  Rafael Fonseca  <r4f4rfs@gmail.com>

	Add API to track distro cloud-init usernames
	We already have cloud-init='true' so add a cloud-image-username='foo' to
	go with it.

	The property has been added to `OsinfoOs` instead of `OsinfoImage`
	because it's not expected to change in a per image basis. Instead we can
	define it once and inherit it, in the same way that it's done for
	kernel-url-argument.

	Fixes #39

2020-04-09  Oğuz Ersen  <oguzersen@protonmail.com>

	Translated using Weblate (Turkish)
	Currently translated at 100.0% (168 of 168 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/tr/

2020-03-31  Fabiano Fidêncio  <fidencio@redhat.com>

	tests: Add tests for only matching "rolling" as a fallback
	The reason to have this in a different commit from the code is to ease
	the backport of the previous patch by the distros which feel like doing
	that.

	db: Match "rolling" distros only as a fallback
	Let's only match "rolling" distros as a fallback. The reason we need to
	do so is to properly deal with distros as Manjaro, which has a mix of
	versioned and rolling entries.

	By matching the "rolling" only as a fallback, we ensure we'll have
	exhausted all the "versioned" possibilites in the first place.

	tests: Remove invalid release-status test
	This should be tested on osinfo-db side and leaving this test here
	causes failures in other non-related tests, all of them related to
	identify_media, which gets the release-status and ends up hitting the
	failures caused by this specific test.

	media: Fix typo in the "eject-after-install" description
	"installtion" should be "installation", as pointed out by Oğuz Ersen.
	Together with the change, libosinfo.pot has been regenerated.

2020-03-30  Andrea Bolognani  <abologna@redhat.com>

	gitlab: Enable ccache usage
	The $PATH definition has always included a reference to the symlink
	farm that is used to enable transparent ccache usage, but since the
	directory itself does not exist in the container image it never did
	anything.

	Since libvirt-jenkins-ci commit 2563aebb6c5c, container images do
	actually contain the symlink directory, so it's finally possible to
	enable ccache usage. This requires including the correct directory
	in $PATH, as well as telling 1) ccache where to store its data and
	2) GitLab that this data should be preserved across jobs.

	The exact cache size (50 MB) is sort of arbitrary, but it should
	be enough to store build artifacts for both osinfo-db-tools and
	libosinfo for the foreseeable future.

	gitlab: Create job templates
	These avoid having to repeat the same build steps over and over.

	gitlab: Use $MAKE
	Just like $NINJA, this is defined as part of the container's
	environment.

	gitlab: Don't define $NINJA
	Since libvirt-jenkins-ci commit 27cfddee8835, paths to build tools
	such as ninja and make are exported in the container's environment
	and can be used directly.

2020-03-27  Oğuz Ersen  <oguzersen@protonmail.com>

	Translated using Weblate (Turkish)
	Currently translated at 100.0% (168 of 168 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/tr/

2020-03-26  Oğuz Ersen  <oguzersen@protonmail.com>

	osinfo: Fix typo in the "initrd-path" description
	"inirtd" -> "initrd"

2020-03-25  Oğuz Ersen  <oguzersen@protonmail.com>

	Added translation using Weblate (Turkish)

2020-03-23  Fabiano Fidêncio  <fidencio@redhat.com>

	po: Import libosinfo.pot
	Weblate requires the pot file to be commited, in order to be able to add
	new translations to the project.

	This file has to be updated every time a new string is added.

2020-03-06  Pino Toscano  <ptoscano@redhat.com>

	media: fix docs of OsinfoMediaDetectFlags
	Move the "Since" after the description, so the description block
	(including the version) is properly handled.

	gitignore: remove almost all old content
	Some of the content refers to autotools, which is not used anymore.
	Also, meson enforces builddir!=srcdir, so the generated build files are
	never directly among the sources.

	Hence remove almost all the existing content, as it is not relevant.

	Fix typo in Fabiano' surname

2020-02-28  Pino Toscano  <ptoscano@redhat.com>

	Fix OsinfoDB typo in docs

	Add few missing "Since" in docs
	Add the version information for some APIs, so it is easier to know when
	they were introduced.

	product: fix doc typo
	Most probably one rogue s/OS/PRODUCT/ that changed CentOS to
	CentPRODUCT.

	firmware: fix doc of osinfo_firmware_get_firmware_type

	device-driver: add doc for osinfo_device_driver_get_priority

2020-02-26  Fabiano Fidêncio  <fidencio@redhat.com>

	Add osinfo_firmware_is_supported()
	This function has been missed when rebasing 904b65e7a1dda and. right
	now, only its declaration in the header file is present.

	Pointed out by Pino Toscano.

2020-02-25  Andrea Bolognani  <abologna@redhat.com>

	ci: Don't set $PKG_CONFIG_LIBDIR
	The pkg-config binary used for MinGW builds is cross-compilation
	aware, so it doesn't need us to point it in the right direction
	when it comes to globally-installed .pc files.

2020-02-24  Andrea Bolognani  <abologna@redhat.com>

	ci: Perform MinGW builds in dedicated containers
	Instead of using the same Fedora 30 container for both native and
	MinGW builds, we are now building separate containers tailored for
	each scenario. Re-introduce MinGW builds, and have them use the
	new container images.

	The corresponding libvirt-dockerfiles commit is ea6286acbbfd.

	ci: Temporarily disable MinGW builds
	We're going to use dedicated container images for them going
	forward, but switching all at once would break CI so let's do it
	in two steps: first disable the current builds, then enable the
	new ones once the external requirements (container images) are
	in place for a smoother transition.

2020-02-16  Julien Humbert  <julroy67@gmail.com>

	Translated using Weblate (French)
	Currently translated at 100.0% (168 of 168 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/fr/

2020-01-29  Fabiano Fidêncio  <fidencio@redhat.com>

	loader: Avoid conflicting object ids for extension files
	Currently, when building the id of some of our objects, we do:
	- Loop over the several objects of that type;
	  - Concatenate the id of the parent object with the loop index;

	By doing this, conflicts can be seen when using more than one extension
	file, as osinfo-db does for Windows, where pre and post installable
	drivers extension files are used and end up being loaded as we'd do:

	- Loop over pre installable drivers;
	  - Concatenate the id of the parent object with the loop index;

	- Loop over post installable drivers;
	  - Concatenate the id of the parent object with the loop index;

	In order to avoid such issues, let's also use the filename as part of
	the object id, avoiding then conflicts.

	It's important to note that the conflict is cause by osinfo_list_add(),
	which will replace the object in the list in case some other object with
	the very same id is already stored there.

2020-01-25  Julien Humbert  <julroy67@gmail.com>

	Translated using Weblate (French)
	Currently translated at 100.0% (168 of 168 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.fedoraproject.org/projects/libosinfo/libosinfo/fr/

2020-01-24  Piotr Drąg  <piotrdrag@gmail.com>

	Translated using Weblate (Polish)
	Currently translated at 100.0% (168 of 168 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.stg.fedoraproject.org/projects/libosinfo/libosinfo/pl/

2020-01-13  Fabiano Fidêncio  <fidencio@redhat.com>

	Silence -Wstring-plus-int
	The warning is triggered because we're ignoring the "treeinfo-" part of
	the OSINFO_TREE_PROP_TREEINFO_* string.

	A possible way to fix that, instead of just disabling the warning, would
	be doing something like:
	```
	const char *prop = OSINFO_TREE_PROP_TREEINFO_FAMILY;
	prop += strlen("treeinfo-");
	```

	However, I sincerely do not think it's worth the verbosity of the
	solution.

2020-01-13  Piotr Drąg  <piotrdrag@gmail.com>

	Translated using Weblate (Polish)
	Currently translated at 100.0% (168 of 168 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.stg.fedoraproject.org/projects/libosinfo/libosinfo/pl/

2020-01-10  Fabiano Fidêncio  <fidencio@redhat.com>

	ci: Build osinfo-db in all containers
	For some reason the job for building osinfo-db was not present in a few
	distros' containers.

	ci,centos8: Build project's RPM

	ci: Add openSUSE 15.1 container

	ci,centos8: Add DCO check
	46db2e234a8ed82 introduced the DCO check. However, the check was not
	added to the CentOS 8 container.

	Partially revert "list: Update GObject boilerplate"
	This partially reverts commit 706b6fd0d97ed572d92c4a33882605d561ebe3c8,
	which introduced an ABI breakage by using G_DECLARE_DERIVABLE_TYPE when
	declaring an OsinfoList.

2020-01-09  Antoni Bella Pérez  <antonibella5@yahoo.com>

	Translated using Weblate (Catalan)
	Currently translated at 88.1% (148 of 168 strings)

	Translation: libosinfo/libosinfo
	Translate-URL: https://translate.stg.fedoraproject.org/projects/libosinfo/libosinfo/ca/
	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

2020-01-07  Fabiano Fidêncio  <fidencio@redhat.com>

	po: Remove empty files
	https://gitlab.com/libosinfo/libosinfo/issues/40

2020-01-07  Daniel P. Berrangé  <berrange@redhat.com>

	po: refresh translations from zanata

2020-01-04  Fabiano Fidêncio  <fidencio@redhat.com>

	loader: Introduce OsinfoError enum
	Let's create an OsinfoError enum instead of just using 0 as the error
	type. This solves the following instrospection warning:
	```
	<unknown>:: Warning: Libosinfo: (ErrorQuarkFunction)error_quark: osinfo_error_quark: Couldn't find corresponding enumeration
	```

	product: Use product instead of prod as argument name
	Header, source, and documentation were not matching with regarding to
	the argument product name.

	Let's standardise them and use product all over the place. By doing this
	the following warnings will be fixed:
	```
	../osinfo/osinfo_product.c:318: Warning: Libosinfo: osinfo_product_get_codename: unknown parameter 'product' in documentation comment, should be 'prod'
	../osinfo/osinfo_product.c:329: Warning: Libosinfo: osinfo_product_get_release_date_string: unknown parameter 'product' in documentation comment, should be 'prod'
	../osinfo/osinfo_product.c:342: Warning: Libosinfo: osinfo_product_get_eol_date_string: unknown parameter 'product' in documentation comment, should be 'prod'
	../osinfo/osinfo_product.c:369: Warning: Libosinfo: osinfo_product_get_release_date: unknown parameter 'product' in documentation comment, should be 'prod'
	../osinfo/osinfo_product.c:388: Warning: Libosinfo: osinfo_product_get_eol_date: unknown parameter 'product' in documentation comment, should be 'prod'
	```

	install_config: Don't use different variable names in .c and .h
	The tz variable, used in the source file, is declared in the header file
	as timezone. Let's just use the same name used in the header as it's
	more descriptive.

	By doing so, the following GTK-Doc warning is fixed:
	```
	../osinfo/osinfo_install_config.c:231: Warning: Libosinfo: osinfo_install_config_set_l10n_timezone: unknown parameter 'tz' in documentation comment, should be 'timezone'
	```

	os: Move the "Since: " annotation
	The "Since: " annotation should be *always* added to the end of the
	comment block. More than that, multiplce "Since: " annotations cannot be
	part of a same comment block and in order to solve that, let's avoid
	adding a "Since: " in the end of the block, but explicitly mention when
	each of the values were added.

	By taking this approach, the following warnings can be avoided:
	```
	../osinfo/osinfo_os.h:90: Warning: Libosinfo: "@OSINFO_RELEASE_STATUS_RELEASED" parameter unexpected at this location:
	 * @OSINFO_RELEASE_STATUS_RELEASED: A released OS.
	    ^
	../osinfo/osinfo_os.h:96: Error: Libosinfo: multiple "Since:" tags for identifier "OsinfoReleaseStatus":
	 * Since: 1.4.0
	   ^
	../osinfo/osinfo_os.h:97: Warning: Libosinfo: "@OSINFO_RELEASE_STATUS_ROLLING" parameter unexpected at this location:
	 * @OSINFO_RELEASE_STATUS_ROLLING: A rolling version of an OS and thus with no
	    ^
	```

	tree: Move the "Since: " annotation
	Let's move the "Since: " annotation to the end of the comment block,
	otherwise the following warning will be shown:
	```
	../osinfo/osinfo_tree.h:41: Warning: Libosinfo: "@OSINFO_TREE_ERROR_NO_TREEINFO" parameter unexpected at this location:
	 * @OSINFO_TREE_ERROR_NO_TREEINFO: No treeinfo found;
	    ^
	```

	install_script: Move the "Since: " annotation
	Let's move the "Since: " annotation to the end of the comment blocks,
	otherwise the following warnings will be shown:
	```
	../osinfo/osinfo_install_script.h:100: Warning: Libosinfo: "@OSINFO_DEVICE_DRIVER_SIGNING_REQ_NONE" parameter unexpected at this location:
	 * @OSINFO_DEVICE_DRIVER_SIGNING_REQ_NONE: Script do not require device drivers
	    ^
	../osinfo/osinfo_install_script.h:123: Warning: Libosinfo: "@OSINFO_INSTALL_SCRIPT_INJECTION_METHOD_CDROM" parameter unexpected at this location:
	 * @OSINFO_INSTALL_SCRIPT_INJECTION_METHOD_CDROM: Support injection of the
	    ^
	../osinfo/osinfo_install_script.h:145: Warning: Libosinfo: "@OSINFO_INSTALL_SCRIPT_INSTALLATION_SOURCE_MEDIA" parameter unexpected at this location:
	 * @OSINFO_INSTALL_SCRIPT_INSTALLATION_SOURCE_MEDIA: A media will be used as
	    ^
	```

	install_config_param: Fix annotation for _get_value_map()
	The function name was wrong, causing the following warning:
	```
	../osinfo/osinfo_install_config_param.h:94: Warning: Libosinfo: osinfo_install_config_param_get_value_map: return value: Missing (transfer) annotation
	```

	install_config_param: Don't use invalid "transfer" annotation
	"transfer" annotation shouldn't be used with gboolean or enums, causing
	the following warnings:
	```
	../osinfo/osinfo_install_config_param.c:252: Warning: Libosinfo: invalid "transfer" annotation for gboolean: only valid for array, struct, union, boxed, object and interface types
	../osinfo/osinfo_install_config_param.c:267: Warning: Libosinfo: invalid "transfer" annotation for gboolean: only valid for array, struct, union, boxed, object and interface types
	```

2020-01-03  Fabiano Fidêncio  <fidencio@redhat.com>

	install_config_param: Move the "Since: " annotation
	Let's move the "Since: " annotation to the end of the comment block,
	otherwise the following warning will be shown:
	```
	../osinfo/osinfo_install_config_param.h:50: Warning: Libosinfo: "@OSINFO_INSTALL_CONFIG_PARAM_POLICY_NONE" parameter unexpected at this location:
	 * @OSINFO_INSTALL_CONFIG_PARAM_POLICY_NONE: no policy defined
	    ^
	```

	loader: Remove ueseless /** PUBLIC METHODS */ comment
	The comment is not exactly helpful and causes the following GTK-Doc
	error:
	```
	../osinfo/osinfo_loader.c:133: Error: Libosinfo: Skipping invalid GTK-Doc comment block:
	/** PUBLIC METHODS */
	^
	```

	db: Remove useless /** PUBLIC METHODS */ comment
	The comment is not exactly helpful and causes the following GTK-Doc
	error:
	```
	../osinfo/osinfo_db.c:183: Error: Libosinfo: Skipping invalid GTK-Doc comment block:
	/** PUBLIC METHODS */
	^
	```

	tree: Fix typo in osinfo_tree_new() annotation
	trasfer -> transfer, otherwise the following warning will be shown:
	```
	../osinfo/osinfo_tree.c:472: Warning: Libosinfo: unknown annotation: trasfer
	```

	tree: Fix osinfo_tree_new() annotation
	The extra line between the function name and its first parameter causes
	the following warning:
	```
	../osinfo/osinfo_tree.c:467: Warning: Libosinfo: "@id" parameter unexpected at this location:
	 * @id: the id of the tree to be created
	    ^
	```

	media: Don't use invalid "transfer" annotation
	"transfer" annotation shouldn't be used with gint or gint64, otherwise
	the following warnings will be shown:
	```
	../osinfo/osinfo_media.c:1635: Warning: Libosinfo: invalid "transfer" annotation for gint: only valid for array, struct, union, boxed, object and interface types
	../osinfo/osinfo_media.c:1768: Warning: Libosinfo: invalid "transfer" annotation for gint64: only valid for array, struct, union, boxed, object and interface types
	```

	media: Don't use deprecated annotations
	Both Type and Transfer are deprecated and should be replaced by (type
	TYPE) (transfer MODE), otherwise the following warnings will be shown:
	```
	../osinfo/osinfo_media.c:657: Warning: Libosinfo: GObject-Introspection specific GTK-Doc tag "Type" has been deprecated, please use annotations on the identifier instead:
	     * Type: GLib.List(utf8)
	       ^
	../osinfo/osinfo_media.c:658: Warning: Libosinfo: GObject-Introspection specific GTK-Doc tag "Transfer" has been deprecated, please use annotations on the identifier instead:
	     * Transfer: container
	       ^
	```

	os_variant: Fix osinfo_os_variant_new() annotation
	The extra line between the function name and its first parameter causes
	the following warning:
	```
	../osinfo/osinfo_os_variant.c:129: Warning: Libosinfo: "@id" parameter unexpected at this location:
	 * @id: the id of the os variant to be created
	    ^
	```

	avatar_format: Don't use deprecated annotations
	Both Type and Transfer are deprecated and should be replaced by (type
	TYPE) (transfer MODE), otherwise the following warnings will be shown:
	```
	../osinfo/osinfo_avatar_format.c:102: Warning: Libosinfo: GObject-Introspection specific GTK-Doc tag "Type" has been deprecated, please use annotations on the identifier instead:
	     * Type: GLib.List(utf8)
	       ^
	../osinfo/osinfo_avatar_format.c:103: Warning: Libosinfo: GObject-Introspection specific GTK-Doc tag "Transfer" has been deprecated, please use annotations on the identifier instead:
	     * Transfer: container
	       ^
	```

2019-12-18  Fabiano Fidêncio  <fidencio@redhat.com>

	ci: Add a job to enforce DCO Signed-off-by
	This work is a copy-and-paste from what's been done by Daniel P. Berrangé
	on https://gitlab.com/bichon-project/bichon

	Add CONTRIBUTING.md
	Let's follow osinfo-db example and have a contributing guide, targetting
	both contributors and commiters.

2019-12-12  Fabiano Fidêncio  <fidencio@redhat.com>

	ci: Add CentOS 8 container

2019-12-11  Andrea Bolognani  <abologna@redhat.com>

	ci: Update name for Ubuntu images
	The corresponding libvirt-jenkins-ci commit is f289e64a5fd9.

2019-12-09  Roman Bogorodskiy  <bogorodskiy@gmail.com>

	meson: respect mandir option
	Construct man installation dir from libosinfo_mandir instead of
	libosinfo_datadir.

	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

2019-12-04  Fabiano Fidêncio  <fidencio@redhat.com>

	Post release version bump to 1.8.0

	Update NEWS for 1.7.1 release

	build: Switch the project's version to 1.7.1
	It's done as an 1.7.1 release is needed in order to fix the breakage
	caused by not using versioned symbols in 1.7.0 release.

	build: Only define {PCI,USB}_IDS in {pci,usb}-ids-path are defined
	Setting those regardless of {pci,usb}-ids-path being explicitly set or
	automatically detected is a regression compared to what we were doing
	when using autotools.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	build: Set {pci,usb}.ids paths
	In case pci.ids or usb.ids files are shipped by libosinfo, pci_ids_path
	and usb_ids_path must be set accordingly.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

2019-12-03  Fabiano Fidêncio  <fidencio@redhat.com>

	build: Use versioned symbols
	During 25c45ffd9a1b8f18f56974d5b9b6b2c1da8cbd0c, supported for versioned
	symbols were (wrongly) introduced but never used.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

2019-12-02  Fabiano Fidêncio  <fidencio@redhat.com>

	mingw,spec: Use %autosetup
	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	mingw,spec: Drop gettext BuildRequires
	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	mingw.spec: Add hwdata as BuildRequires
	Seems that when using `fedpkg scratch-build` we cannot rely on having
	network access, making the download of the usb and pci ids files to
	fail, causing then a build error as the files won't be found to be
	shipped.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	mingw.spec: Add gcc as BuildRequires
	meson requires both compiler and cross-compiler in order to perform a
	cross build.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	mingw,spec: Add intltool as BuildRequires
	Otherwise the translations are not generated.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	build: Install {usb,pci}.ids if not shipped
	In case usb.ids and pci.ids are not shipped, let's also install them as
	part of libosinfo installation.

	install_data() will automatically install the files to the
	standards-conforming location.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

2019-11-29  Fabiano Fidêncio  <fidencio@redhat.com>

	Post release version bump to 1.8.0

	build: Disable -Wcast-warn
	It causes issues when generating Libosinfo-scan.c on armv7hl.
	```
	Libosinfo-scan.c: In function ‘describe_type’:
	/usr/include/glib-2.0/gobject/gtype.h:2299:6: error: cast increases required alignment of target type [-Werror=cast-align]
	 2299 |     ((ct*) g_type_check_instance_cast ((GTypeInstance*) ip, gt))
	      |      ^
	/usr/include/glib-2.0/gobject/gtype.h:484:66: note: in expansion of macro ‘_G_TYPE_CIC’
	  484 | #define G_TYPE_CHECK_INSTANCE_CAST(instance, g_type, c_type)    (_G_TYPE_CIC ((instance), (g_type), c_type))
	      |                                                                  ^~~~~~~~~~~
	/usr/include/glib-2.0/gobject/gparamspecs.h:216:45: note: in expansion of macro ‘G_TYPE_CHECK_INSTANCE_CAST’
	  216 | #define G_PARAM_SPEC_INT64(pspec)          (G_TYPE_CHECK_INSTANCE_CAST ((pspec), G_TYPE_PARAM_INT64, GParamSpecInt64))
	      |                                             ^~~~~~~~~~~~~~~~~~~~~~~~~~
	Libosinfo-scan.c:871:30: note: in expansion of macro ‘G_PARAM_SPEC_INT64’
	  871 |     GParamSpecInt64 *pspec = G_PARAM_SPEC_INT64 (spec);
	      |                              ^~~~~~~~~~~~~~~~~~
	/usr/include/glib-2.0/gobject/gtype.h:2299:6: error: cast increases required alignment of target type [-Werror=cast-align]
	 2299 |     ((ct*) g_type_check_instance_cast ((GTypeInstance*) ip, gt))
	      |      ^
	/usr/include/glib-2.0/gobject/gtype.h:484:66: note: in expansion of macro ‘_G_TYPE_CIC’
	  484 | #define G_TYPE_CHECK_INSTANCE_CAST(instance, g_type, c_type)    (_G_TYPE_CIC ((instance), (g_type), c_type))
	      |                                                                  ^~~~~~~~~~~
	/usr/include/glib-2.0/gobject/gparamspecs.h:239:45: note: in expansion of macro ‘G_TYPE_CHECK_INSTANCE_CAST’
	  239 | #define G_PARAM_SPEC_UINT64(pspec)         (G_TYPE_CHECK_INSTANCE_CAST ((pspec), G_TYPE_PARAM_UINT64, GParamSpecUInt64))
	      |                                             ^~~~~~~~~~~~~~~~~~~~~~~~~~
	Libosinfo-scan.c:887:31: note: in expansion of macro ‘G_PARAM_SPEC_UINT64’
	  887 |     GParamSpecUInt64 *pspec = G_PARAM_SPEC_UINT64 (spec);
	      |                               ^~~~~~~~~~~~~~~~~~~
	/usr/include/glib-2.0/gobject/gtype.h:2299:6: error: cast increases required alignment of target type [-Werror=cast-align]
	 2299 |     ((ct*) g_type_check_instance_cast ((GTypeInstance*) ip, gt))
	      |      ^
	/usr/include/glib-2.0/gobject/gtype.h:484:66: note: in expansion of macro ‘_G_TYPE_CIC’
	  484 | #define G_TYPE_CHECK_INSTANCE_CAST(instance, g_type, c_type)    (_G_TYPE_CIC ((instance), (g_type), c_type))
	      |                                                                  ^~~~~~~~~~~
	/usr/include/glib-2.0/gobject/gparamspecs.h:354:45: note: in expansion of macro ‘G_TYPE_CHECK_INSTANCE_CAST’
	  354 | #define G_PARAM_SPEC_DOUBLE(pspec)         (G_TYPE_CHECK_INSTANCE_CAST ((pspec), G_TYPE_PARAM_DOUBLE, GParamSpecDouble))
	      |                                             ^~~~~~~~~~~~~~~~~~~~~~~~~~
	Libosinfo-scan.c:921:31: note: in expansion of macro ‘G_PARAM_SPEC_DOUBLE’
	  921 |     GParamSpecDouble *pspec = G_PARAM_SPEC_DOUBLE (spec);
	      |                               ^~~~~~~~~~~~~~~~~~~
	Libosinfo-scan.c: In function ‘describe_default’:
	/usr/include/glib-2.0/gobject/gtype.h:2299:6: error: cast increases required alignment of target type [-Werror=cast-align]
	 2299 |     ((ct*) g_type_check_instance_cast ((GTypeInstance*) ip, gt))
	      |      ^
	/usr/include/glib-2.0/gobject/gtype.h:484:66: note: in expansion of macro ‘_G_TYPE_CIC’
	  484 | #define G_TYPE_CHECK_INSTANCE_CAST(instance, g_type, c_type)    (_G_TYPE_CIC ((instance), (g_type), c_type))
	      |                                                                  ^~~~~~~~~~~
	/usr/include/glib-2.0/gobject/gparamspecs.h:216:45: note: in expansion of macro ‘G_TYPE_CHECK_INSTANCE_CAST’
	  216 | #define G_PARAM_SPEC_INT64(pspec)          (G_TYPE_CHECK_INSTANCE_CAST ((pspec), G_TYPE_PARAM_INT64, GParamSpecInt64))
	      |                                             ^~~~~~~~~~~~~~~~~~~~~~~~~~
	Libosinfo-scan.c:1004:30: note: in expansion of macro ‘G_PARAM_SPEC_INT64’
	 1004 |     GParamSpecInt64 *pspec = G_PARAM_SPEC_INT64 (spec);
	      |                              ^~~~~~~~~~~~~~~~~~
	/usr/include/glib-2.0/gobject/gtype.h:2299:6: error: cast increases required alignment of target type [-Werror=cast-align]
	 2299 |     ((ct*) g_type_check_instance_cast ((GTypeInstance*) ip, gt))
	      |      ^
	/usr/include/glib-2.0/gobject/gtype.h:484:66: note: in expansion of macro ‘_G_TYPE_CIC’
	  484 | #define G_TYPE_CHECK_INSTANCE_CAST(instance, g_type, c_type)    (_G_TYPE_CIC ((instance), (g_type), c_type))
	      |                                                                  ^~~~~~~~~~~
	/usr/include/glib-2.0/gobject/gparamspecs.h:239:45: note: in expansion of macro ‘G_TYPE_CHECK_INSTANCE_CAST’
	  239 | #define G_PARAM_SPEC_UINT64(pspec)         (G_TYPE_CHECK_INSTANCE_CAST ((pspec), G_TYPE_PARAM_UINT64, GParamSpecUInt64))
	      |                                             ^~~~~~~~~~~~~~~~~~~~~~~~~~
	Libosinfo-scan.c:1010:33: note: in expansion of macro ‘G_PARAM_SPEC_UINT64’
	 1010 |       GParamSpecUInt64 *pspec = G_PARAM_SPEC_UINT64 (spec);
	      |                                 ^~~~~~~~~~~~~~~~~~~
	/usr/include/glib-2.0/gobject/gtype.h:2299:6: error: cast increases required alignment of target type [-Werror=cast-align]
	 2299 |     ((ct*) g_type_check_instance_cast ((GTypeInstance*) ip, gt))
	      |      ^
	/usr/include/glib-2.0/gobject/gtype.h:484:66: note: in expansion of macro ‘_G_TYPE_CIC’
	  484 | #define G_TYPE_CHECK_INSTANCE_CAST(instance, g_type, c_type)    (_G_TYPE_CIC ((instance), (g_type), c_type))
	      |                                                                  ^~~~~~~~~~~
	/usr/include/glib-2.0/gobject/gparamspecs.h:354:45: note: in expansion of macro ‘G_TYPE_CHECK_INSTANCE_CAST’
	  354 | #define G_PARAM_SPEC_DOUBLE(pspec)         (G_TYPE_CHECK_INSTANCE_CAST ((pspec), G_TYPE_PARAM_DOUBLE, GParamSpecDouble))
	      |                                             ^~~~~~~~~~~~~~~~~~~~~~~~~~
	Libosinfo-scan.c:1070:31: note: in expansion of macro ‘G_PARAM_SPEC_DOUBLE’
	 1070 |     GParamSpecDouble *pspec = G_PARAM_SPEC_DOUBLE (spec);
	      |                               ^~~~~~~~~~~~~~~~~~~
	cc1: all warnings being treated as errors
	```

	Update NEWS for 1.7.0 release
	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>
	Reviewed-by: Ján Tomko <jtomko@redhat.com>

	Refresh translations from zanata

2019-11-26  Fabiano Fidêncio  <fidencio@redhat.com>

	os: Add "get_device_drivers_prioritized"
	get_device_drivers_prioritized() returns the list of highest priority
	device drivers for a given OS.

	In case management apps would like to add a fallback mechanism, the
	recommendation is to use get_device_drivers(), which returns all the
	drivers.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	device-driver: Add "priority" attribute
	Let's read the "priority" attribute from the "driver" element. If not
	set, the priority will be set to OSINFO_DEVICE_DRIVER_DEFAULT_PRIORITY
	(50) by default.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

2019-11-11  Andrea Bolognani  <abologna@redhat.com>

	ci: Remove Fedora 29
	The OS is no longer supported by the libvirt-jenkins-ci project
	and the existing container images will be deleted shortly.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	ci: Add Fedora 31
	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

2019-11-08  Fabiano Fidêncio  <fidencio@redhat.com>

	db: Take the media's volume size into account when sorting the medias
	If volume-size is not taken into account, when dealing with identical
	ISOs, we may end up wrongly matching an entry that has its volume-size
	with one which doesn't have the value, simply because the one which does
	not have the value may be declared first the in XML entry.

	Reviewed-by; Daniel P. Berrangé <berrange@redhat.com>

2019-11-06  Diego Escalante Urrelo  <diegoe@gnome.org>

	list: Improve API safety
	Add checks across the API to validate objects before trying to operate
	on them.

	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

	list: Remove unnecessary casts
	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

	list: Fix gtk-doc string
	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

	list: Add osinfo_list_set_element_type
	Add the corresponding setter for osinfo_list_get_element_type() and use
	it internally to ensure safety.

	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

	list: Use osinfo_list_get_instance_private
	Instead of repeateadly accessing the priv structure, use the GObject
	defined helper to ensure safety.

	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

	list: Update GObject boilerplate
	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

	list: Use API to avoid unsafe access
	Use osinfo_list_get_element_type() instead of referencing members
	directly. This ensures that we are not trying to reference invalid
	members in invalid structs.

	Also make said function safer by using
	osinfo_list_get_instance_private() that checks the sanity of the
	OsinfoList object for us.

	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

2019-10-14  Fabiano Fidêncio  <fidencio@redhat.com>

	ci: Add Ubuntu 18 container

	ci: Add Ubuntu 16 container

	ci: Add Debian 9 container

	ci: Add CentOS 7 container
	We cannot run osinfo-db-tools-rpm job in the CentOS 7 container as it
	doesn't have the needed meson macros.

	ci: Keep the containers alphabetically sorted

	ci: Deal with multilib path
	When building a project using Meson, the project will be installed
	respecting the multi-library path.

	In order to get the right path we should do:
	- Debian based machines:
	  - Use the value of `dpkg-architecture -q DEB_TARGET_MULTIARCH`
	- RPM based machines:
	  - Use the value of `rpm --eval '%{_lib}'`

	ci: Set NINJA environment variable
	We'll start testing on CentOS 7, which doesn't have the "ninja" binary.
	Knowing this, we better have a NINJA environment variable setting
	accodingly.

	meson: Disable -Wunsafe-loop-optimizations warnings
	This commit is basically bringing b2574d33aa back:

	'''
	Disable -Wunsafe-loop-optimizations warnings

	This warning option is not reporting broken code. Rather it is merely
	identifying loops which GCC would not be able to optimize fully when
	using -funsafe-loop-optimizations.  In GCC 7 this triggers on the
	loader code

	osinfo_loader.c: In function 'osinfo_loader_process_list':
	osinfo_loader.c:2127:11: error: missed loop optimization, the loop counter may overflow [-Werror=unsafe-loop-optimizations]
	     while (tmp && *tmp) {
	           ^

	The warning just needs to be turned off since the code is not broken,
	and we don't care about the optimization level
	'''

2019-10-08  Pino Toscano  <ptoscano@redhat.com>

	tools: Minor POD fixes
	- use B<> for some parameters
	- use C<> instead of a manually quoted identifier
	- make the install-script config file a verbatim block, so it is kept
	  as-is, and not wrapped as normal text block
	- use L<> for linking to other man pages
	- switch example from Fedora 16 to Fedora 30
	- other minor changes

	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

2019-09-25  Fabiano Fidêncio  <fidencio@redhat.com>

	syms: Add osinfo_firmware_new
	osinfo_firmware_new() has been introduced as part of commit 904b65e7a1.
	However, it was not added to the libosinfo.syms file.

	ci: Introduce CI
	Let's introduce a basic CI, which basically runs an out-of-tree build
	with `make check`, running against the following systems:
	- Fedora 29, Fedora 30, Fedora Rawhide;
	- Debian 10, Debian Sid;

	meson: Disable gtk-doc for cross-builds
	Let's disable gtk-doc build when performing a cross-build as
	`./Libosinfo-scan` will be generated for the cross architecture and
	cannot be run from the host machine architecture.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	meson: Fix build on BSDs
	Unless explicitly passing "-Wno-typedef-redefinition" and
	"-Wno-missing-field-initializers", builds would fail not only on macOS,
	but also on BSDs.Knowing that, let's just use disable those warnings
	when not building on Linux.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	meson: Add syntax-check as part of our test-suite
	Let's take advantage of that we can run `make syntax-check` without the
	need of having a Makefile around and add it as part of our test suite.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	Move files needed for `make syntax-check` to build-aux
	Together with the changes, let's adapt GNUmakefile and maint.mk in order
	to be able to run those files from build-aux.

	GNUmakefile:
	- changing both srcdir & top_srcdir, and adjusting the includes of
	  cfg.mk and maint.mk were enough to be able to run `make syntax-check`
	  from build-aux directory;

	maint.mk:
	- "ME" variable had to be changed to point to the right place;
	- Some paths expecting cfg.mk in the top_srcdir had to be changed;
	- tight-scope.mk target dependency has been changed from $(ME) to
	  maint.mk;

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	Support `make syntax-check` without Makefile
	A few dirty hacks have been done in GNUmakefile, cfg.mk, and maint.mk
	in order to support running `make syntax-check` without having to have a
	Makefile around.

	GNUmakefile: set srcdir & top_srcdir and remove the parts that would
	cause an error due to no presence of a Makefile.

	cfg.mk: add sc_prohibit_always-defined_macros to the list of local
	checks to skip as it looks for Makefile, which is generated after
	running ./configure.

	maint.mk: allow running `make syntax-check` without having a Makefile
	generated.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	Drop autotools support
	Let's try to drop autotools support as meson is in place. There are a
	few files that were not dropped though, as:
	- cfg.mk
	- maint.mk
	- GNUmakefile
	- build-aux/bracket-spacing.pl
	- build-aux/gitlog-to-changelog
	- build-aux/useless-if-before-free
	- build-aux/vc-list-files

	From the list above, build-aux/gitlog-to-changelog is currently used by
	meson as part of the `dist`.

	All the other files, with a few changes, will be useful for meson as,
	with a few changes, we will be able have `ninja syntax-check` working.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	prepare-release: Adapt to use meson
	Let's adapt the prepare-release script to use meson build system instead
	of autotools.

	This change has been tested and is working fine on Fedora 30+.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	spec: Adapt to use meson
	The changes needed in the spec files are not so intrusive.

	One thing that has to be mentioned is the requirement for
	mingw-filesystem >= 107 (which is only present on Fedora 30+) in order
	to generate the mingw rpms for osinfo-db-tools. This huge bump in the
	version happened because the `%mingw_ninja_install` was only recently
	introduced to mingw-filesystem package.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	spec: Remove BuildRoot definition
	None of the currently supported distributions need that. Last one which
	did was EL5 (which, thankfully, is EOL now).

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	spec: Switch to %ldconfig_scriptlets
	This change has been part of Fedora spec file for a quite long time, but
	it was never replicated upstream.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	Add support to meson build system
	Meson build system is a "simpler and easier" to understand build system
	that that can provide (with some work-arounds here and there) the same
	functionalities currently available with our current build system
	(autotools).

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	loader: Fix "switch-default" warning
	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	readme: Add "Testing" section
	Let's add a short section explaning how to build & run the libosinfo
	tests.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	Don't include config.h
	config.h file is only used in osinfo-db-tools for the GETTEXT_PACKAGE
	macro. Fortunately, when AC_CONFIG_HEADER macro is dropped from
	configure, -DGETTEXT_PACKAGE=... is automatically passed as a compilar
	argument, allowing us then to drop the file.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	maint.mk: Update to the latest gnulib
	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	cfg.mk: Update exclude_file_name_regexp--sc_trailing_blank
	tests/isodata/* have been removed a long time ago.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	cfg.mk: Update exclude_file_name_regexp--sc_bindtextdomain
	Let's *not* run the check only for tests files.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	cfg.mk: Remove exclude_file_name_regexp--sc_space_tab
	tests/isodata has been removed a long time ago.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	cfg.mk: Remove exclude_file_name_regexp--sc_prohibit_atoi_atof
	Let's run sc_prohibit_atoi_atof in all files.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	cfg.mk: Remove exclude_file_name_regexp--sc_require_config_h*
	Those were added as a copy & paste mistake from libvirt-glib.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	cfg.mk: Remove exclude_file_name_regexp--sc_preprocessor_indentation
	Let's run the check in all files.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	Indent includes/defines
	By doing this, we can stop excluding files from
	sc_preprocessor_indentation check.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	test-install-script: Use g_unlink() instead of unlink()
	Not like unlink(), g_unlink() is a portable function and using it would
	allow us to build this test using mingw.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

2019-09-17  Fabiano Fidêncio  <fidencio@redhat.com>

	test-firmware: Add tests
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	loader: Load Firmwares to OSes
	Let's read the <firmware> attribute from the XMLs and store this into
	our OS representation.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	os: Add support to Firmware
	Let's add APIs for both adding a firmware to or retrieving the list of
	firmwares from an OS.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	tests: Add test-firmwarelist
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	firmwarelist: Add OsinfoFirmwareList
	OsinfoFirmwareList has been created in order to represent a list of
	firmwares supported by an OS, as an OS may support various firmwares
	without any issue.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	tests: Add test-firmware
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	firmware: Add OsinfoFirmware
	OsinfoFirmware has been created in order to represent the firmware types
	supported by an OS.

	The schema representation of this object is:
	<firmware arch="arch name" type="bios|efi"/>

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

2019-09-12  Fabiano Fidêncio  <fidencio@redhat.com>

	build: Use a minimum gettext requirement rather than an exact one
	In configure.ac, specify the minimum gettext version we require, rather
	than the exact one. This fixes a situation where the autoconf macros
	used for gettext will be the latest available on the system (for
	example, 0.20); but the copied-in Makefile.in.in will be for the exact
	version specified in configure.ac (in this case, 0.19).

	In that situation, the gettext build rules will error out at `make` time
	with the message:
	   *** error: gettext infrastructure mismatch: using a Makefile.in.in
	   from gettext version 0.19 but the autoconf macros are from gettext
	   version 0.20

	Avoid that by specifying a minimum version dependency rather than an
	exact one. This should not cause problems as we haven’t committed any
	generated or external gettext files into git, so each developer will end
	up regenerating the build system for their system’s version of gettext,
	as expected.

	See the subsection of
	https://www.gnu.org/software/gettext/manual/html_node/Version-Control-Issues.html
	for more information.

	This patch is basically the same as
	https://gitlab.gnome.org/GNOME/geocode-glib/commit/6ba0e38fd1987be0de8432afd93b9a5c1f487b63

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

2019-09-02  Fabiano Fidêncio  <fidencio@redhat.com>

	media: Check whether an InputStream is seekable
	SoupInputStream is not seekable, causing errors as:
	```
	fidencio@laerte ~/src/upstream/libosinfo $ ./tools/osinfo-detect https://cdimage.debian.org/cdimage/archive/8.10.0/powerpc/iso-dvd/debian-8.10.0-powerpc-DVD-1.iso
	(lt-osinfo-detect:27922): GLib-GObject-WARNING **: 18:52:29.494: invalid cast from 'SoupClientInputStream' to 'GSeekable'
	(lt-osinfo-detect:27922): GLib-GIO-CRITICAL **: 18:52:29.494: g_seekable_seek: assertion 'G_IS_SEEKABLE (seekable)' failed
	(lt-osinfo-detect:27922): GLib-GIO-CRITICAL **: 18:52:29.494: g_task_return_error: assertion 'error != NULL' failed
	```

	In order to avoid those, let's check whether the InputStream is seekable
	or not.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

2019-08-20  Fabiano Fidêncio  <fidencio@redhat.com>

	tools,detect: Don't leak OS when detecting trees
	From g_object_get() documentation:

	In general, a copy is made of the property contents and the caller is
	responsible for freeing the memory in the appropriate manner for the
	type, for instance by calling g_free() or g_object_unref().

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	tools,detect: Remove 'env' output type
	--format env was intended for udev scripts which was dropped in

	  commit 16cf1f797728dff9e361033937faea9f38ffbe49
	  Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
	  Date:   Fri Feb 15 19:00:37 2013 +0200

	    Ditch udev rule

	Let's remove this piece and avoid having two formats with discrepant
	information being displayed.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	tools,detect: Print the arch of the detected tree/media
	This information is useful in order to check whether we're not only
	matching the right OS, but also the right architecture.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

2019-08-16  Fabiano Fidêncio  <fidencio@redhat.com>

	install-script: Don't expand entities when parsing XML
	The XML_PARSE_NOENT flag to libxml will cause it to expand all entities
	in the input XML document when parsing. Doing this is bad practice if the
	XML input file comes from an untrusted source, because it can cause the
	XML parser to load arbitrary files that are readable by the user running
	XML parsing.

	This is basically the same fix as 47233d0b9dc (from osinfo-db-tools)

	Reviewed-by: Felipe Borges feborges@redhat.com

	loader: Don't expand entities when parsing XML
	The XML_PARSE_NOENT flag to libxml will cause it to expand all entities
	in the input XML document when parsing. Doing this is bad practice if the
	XML input file comes from an untrusted source, because it can cause the
	XML parser to load arbitrary files that are readable by the user running
	XML parsing.

	This is basically the same fix as 47233d0b9dc (from osinfo-db-tools)

	Reviewed-by: Felipe Borges feborges@redhat.com

2019-08-07  Fabiano Fidêncio  <fidencio@redhat.com>

	tree: Deal with file:// trees
	Let's add back the code we dropped as part of e0e06c7bc but, this time,
	to be executed condionatilly only when dealing with "file://", which
	does not require GVFS to be installed at all.

	https://gitlab.com/libosinfo/libosinfo/issues/35

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	tree: Rename on_location_read() to on_soup_location_read()
	In order to add back the support to create a tree from a location that's
	a "file://...", let's, as the first step, rename on_location_read() to
	os_soup_location_read() as it'll make things cleaner later on.

	https://gitlab.com/libosinfo/libosinfo/issues/35

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	tree: Add _create_from_treeinfo() API
	osinfo_tree_create_from_treeinfo() API has been added so apps can stick
	to whatever is their preference on downloading the treeinfo file, mainly
	now that ftp:// is not supported by _create_from_location(), and just
	pass the treeinfo file content to libosinfo in order to create an
	OsinfoTree.

	https://gitlab.com/libosinfo/libosinfo/issues/34

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

2019-08-06  Fabiano Fidêncio  <fidencio@redhat.com>

	examples: Remove non functional examples
	libosinfo examples are not working for some time. Let's remove them and,
	later on, we can come up with a new set of functional ones.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

2019-08-01  Fabiano Fidêncio  <fidencio@redhat.com>

	configure: Relax gettext requirement
	Since commit 3a2dd3050, we've added gettext 0.19.8 as a dependency for
	libosinfo. However, it broke libosinfo build on Ubuntu 16.04 as the
	gettext provided by them is 0.19.7.

	Taking a look at the "noteworthy"* changes, seems that for our usecase we
	can just depend 0.19.7 and keep building on Ubuntu 16.04

	*: https://lists.gnu.org/archive/html/info-gnu/2016-06/msg00003.html

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

2019-07-26  Fabiano Fidêncio  <fidencio@redhat.com>

	Post release version bump to 1.7.0

	Update NEWS for 1.6.0 release
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	Refresh translations from zanata

	spec,mingw: Add mingw*-libsoup as dependency
	Commit ac692eaa4680 introduced libsoup dependency but forgot to add it
	to the mingw spec files.

2019-07-18  Fabiano Fidêncio  <fidencio@redhat.com>

	tools,detect: Check for NULL variants
	Both trees & medias may return NULL in case no os-variant was found.
	Let's check for this and avoid a segmentation fault on calling
	osinfo_list_get_length() with a NULL argument.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	tree: Add "os" property
	Similarly to what we have for media, let's add the "os" property to the
	trees.

	osinfo-detect code is already relying on having an "os" property and,
	since commit 722e7d1d4, it errors out due to the missing property:

	(osinfo-detect:7808): GLib-GObject-WARNING **: 09:27:58.656: g_object_get_is_valid_property: object class 'OsinfoTree' has no property named 'os

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

2019-07-17  Fabiano Fidêncio  <fidencio@redhat.com>

	tree: cleanup on any error & return on _create_from_location_async_helper()
	When calling a g_task_return_error(), we should also cleanup the
	CreateFromLocationAsyncData and return immediately after that.

	By doing so we avoid errors as:
	g_task_return_error: assertion 'task->ever_returned' failed.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	tree: goto cleanup on any error, on on_content_read()
	Instead of just free'ing the CreateFromLocationAsyncData, let's just go
	to cleanup, which will call create_from_location_async_data_free() and
	return after that.

	By doing so we avoid errors as:
	g_task_return_error: assertion 'task->ever_returned' failed.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	tree: Use g_clear_object in create_from_location_async_data_free()
	We should check whether the objects are NULL or not before calling
	g_object_unref(). Instead of doing so, let's use g_clear_object(), which
	doesn't require the check.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	spec: Drop gvfs dependency
	As we rely on libsoup to handle http://, https://, and ftp:// requests
	there's no need to depend on gvfs anymore.

	https://gitlab.com/libosinfo/libosinfo/issues/30

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	tree: Use libsoup for http:// & https:// requests
	As osinfo_tree_create_from_location() handles non-local requests, it'd
	end up relying on GVFS under the hood, which would cause this API to not
	work when called from an app running as root.

	In order to avoid this situation, let's rely on libsoup for this cases.

	It's important to mention that glib minimum version has been bumped to
	2.44 as that's the version where g_input_stream_read_all_async() has
	been introuced.

	https://gitlab.com/libosinfo/libosinfo/issues/30

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	media: Use libsoup for http:// & https:// requests
	As osinfo_media_create_from_location_with_flags_async() can handle
	non-local cases, they'd end up relying on GVFS under the hood, which
	would cause those APIs to not work when called from an app running as
	root.

	In order to avoid this situation, let's rely on libsoup for these cases.

	https://gitlab.com/libosinfo/libosinfo/issues/30

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	media: Use GInpuStream directly in on_location_read()
	Let's do this in order to always deal with a GInputStream directly and
	avoid dealing with a GFileInputStream or something else when we start
	using libsoup to deal with non-local files.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	media: Improve on_location_read error message readability
	Let's add a ": " by the end of the error message, so the prefix doesn't
	get concatenated with error message, increasing its readability.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	tree: Remove not used Tree from _CreateFromLocationAsyncData struct
	As the OsinfoTree is not used anywhere in our code, let's just remove
	it.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	media: Fix indentation in create_from_location_async_data_free()
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	install-script: Add _generate_*_for_tree()
	Similarly to what we already have for media, let's add APIs for
	generating both the install-script and the install-script command line
	for trees.

	These new APIs take a tree as parameter and, by that, can access tree
	specific elements as such its URLs.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

2019-07-16  Fabiano Fidêncio  <fidencio@redhat.com>

	Add "Since: 1.6.0" to the documentation
	Let's add the "Since: ..." information as part of the function's
	documentation. It helps developers reading our docs to easily figure out
	when a function has been introduced.

	Together with this change, documentation has been added to the functions
	missing them.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	Add "Since: 1.5.0" to the documentation
	Let's add the "Since: ..." information as part of the function's
	documentation. It helps developers reading our docs to easily figure out
	when a function has been introduced.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	Add "Since: 1.4.0" to the documentation
	Let's add the "Since: ..." information as part of the function's
	documentation. It helps developers reading our docs to easily figure out
	when a function has been introduced.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	Add "Since: 1.3.0" to the documentation
	Let's add the "Since: ..." information as part of the function's
	documentation. It helps developers reading our docs to easily figure out
	when a function has been introduced.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	Add "Since: 0.2.13" to the documentation
	Let's add the "Since: ..." information as part of the function's
	documentation. It helps developers reading our docs to easily figure out
	when a function has been introduced.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	Add "Since: 0.2.12" to the documentation
	Let's add the "Since: ..." information as part of the function's
	documentation. It helps developers reading our docs to easily figure out
	when a function has been introduced.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	Add "Since: 0.2.11" to the documentation
	Let's add the "Since: ..." information as part of the function's
	documentation. It helps developers reading our docs to easily figure out
	when a function has been introduced.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	Add "Since: 0.2.10" to the documentation
	Let's add the "Since: ..." information as part of the function's
	documentation. It helps developers reading our docs to easily figure out
	when a function has been introduced.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	Add "Since: 0.2.9" to the documentation
	Let's add the "Since: ..." information as part of the function's
	documentation. It helps developers reading our docs to easily figure out
	when a function has been introduced.

	Together with this change, documentation has been added to the functions
	missing them.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	Add "Since: 0.2.8" to the documentation
	Let's add the "Since: ..." information as part of the function's
	documentation. It helps developers reading our docs to easily figure out
	when a function has been introduced.

	Together with this change, documentation has been added to the functions
	missing them.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	Add "Since: 0.2.7" to the documentation
	Let's add the "Since: ..." information as part of the function's
	documentation. It helps developers reading our docs to easily figure out
	when a function has been introduced.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	Add "Since: 0.2.6" to the documentation
	Let's add the "Since: ..." information as part of the function's
	documentation. It helps developers reading our docs to easily figure out
	when a function has been introduced.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	Add "Since: 0.2.3" to the documentation
	Let's add the "Since: ..." information as part of the function's
	documentation. It helps developers reading our docs to easily figure out
	when a function has been introduced.

	Together with this change, documentation has been added to the functions
	missing them.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	Add "Since: 0.2.2" to the documentation
	Let's add the "Since: ..." information as part of the function's
	documentation. It helps developers reading our docs to easily figure out
	when a function has been introduced.

	Together with this change, documentation has been added to the functions
	missing them.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	Add "Since: 0.2.1" to the documentation
	Let's add the "Since: ..." information as part of the function's
	documentation. It helps developers reading our docs to easily figure out
	when a function has been introduced.

	Together with this change, documentation has been added to the functions
	missing them.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	Add "Since: 0.2.0" to the documentation
	Let's add the "Since: ..." information as part of the function's
	documentation. It helps developers reading our docs to easily figure out
	when a function has been introduced.

	Together with this change, documentation has been added to the functions
	missing them.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	Add "Since: 0.1.0" to the documentation
	Let's add the "Since: ..." information as part of the function's
	documentation. It helps developers reading our docs to easily figure out
	when a function has been introduced.

	Together with this change, documentation has been added to the functions
	missing them.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	Add "Since: 0.0.6" to the documentation
	Let's add the "Since: ..." information as part of the function's
	documentation. It helps developers reading our docs to easily figure out
	when a function has been introduced.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	Add "Since: 0.0.5" to the documentation
	Let's add the "Since: ..." information as part of the function's
	documentation. It helps developers reading our docs to easily figure out
	when a function has been introduced.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	Add "Since: 0.0.3" to the documentation
	Let's add the "Since: ..." information as part of the function's
	documentation. It helps developers reading our docs to easily figure out
	when a function has been introduced.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

2019-07-10  Fabiano Fidêncio  <fidencio@redhat.com>

	tools,install-script: Deprecate --config {user,admin}-password
	Let's deprecate user-password and admin-password options of --config and
	also warn out whenever they're passed to osinfo-install-script.

	CVE-2019-13313
	Libosinfo: osinfo-install-script option leaks password via command line
	argument. 'osinfo-install-script' is used to generate a script for
	automated guest installations. It accepts user and admin passwords via
	command line arguments, thus leaking them via process listing.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	tools,install-script: Add --config-file (-f) option
	Let's add a new option so users can set their config from a file,
	instead of directly passing the values via command-line.

	CVE-2019-13313
	Libosinfo: osinfo-install-script option leaks password via command line
	argument. 'osinfo-install-script' is used to generate a script for
	automated guest installations. It accepts user and admin passwords via
	command line arguments, thus leaking them via process listing.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

2019-07-02  Fabiano Fidêncio  <fidencio@redhat.com>

	db: deprecate osinfo_db_guess_os_from_tree()
	Let's deprecate osinfo_db_guess_os_from_tree() and "force" the apps to
	use the new/simpler API.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>
	Tested-by: Cole Robinson <crobinso@redhat.com>

	tools,detect: Use osinfo_db_identify_tree()
	Let's switch osinfo-detect to use the new API as the old one will end up
	being deprecated soon.

	Also,, the code path for medias and trees is now way more similar with
	the changes.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>
	Tested-by: Cole Robinson <crobinso@redhat.com>

	db: Add identify_tree() API
	Similarly to identify_media() API, let's add a osinfo_db_identify_tree()
	API, which is going to simplify a bit tree detection code on the apps
	level.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>
	Tested-by: Cole Robinson <crobinso@redhat.com>

	tree: Fix treeinfo APIs' documentation
	The documention was copied & pasted from media APIs. Let's fix them ir
	order to actually match trees/treeinfo.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>
	Tested-by: Cole Robinson <crobinso@redhat.com>

	tree: Add treeinfo-* properties
	Reviewed-by: Cole Robinson <crobinso@redhat.com>
	Tested-by: Cole Robinson <crobinso@redhat.com>

	tree: Don't set "has-treeinfo" property's default to TRUE
	Doesn't make sense to set "has-treeinfo" property to TRUE by default
	knowing that debian and ubuntu trees do not support treeinfo.

	This was mistakenly added as part of commit eb53f8d6.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>
	Tested-by: Cole Robinson <crobinso@redhat.com>

	tree: Remove useless properties
	A bunch of media properties were mistakenly added as tree properties as
	part of commit 0202b4db. Although this is clearly a copy & paste error,
	it has never been noticed so far.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>
	Tested-by: Cole Robinson <crobinso@redhat.com>

2019-06-25  Fabiano Fidêncio  <fidencio@redhat.com>

	media: Add _is_bootable() API
	Let's add an API in order to let the applications known whether a media
	created is bootable or not (according to libosinfo detection).

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	media: Only error out if a media is not bootable when REQUIRE_BOOTABLE flag is passed
	It'll give more flexibility for the apps to, at least, detect a media,
	even if the media is not bootable.

	https://gitlab.com/libosinfo/libosinfo/issues/15

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	media: Rewrite create_from_location* functions
	Let's rewrite those functions, using the
	create_from_location_with_flags* functions behind.

	https://gitlab.com/libosinfo/libosinfo/issues/15

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	media: Add create_from_location_with_flags* APIs
	The newly added APIs are introduced in order to extend the current
	create_from_location* APIs in a way that a flag can be passed in order
	to decided whether a media should be created even if the media is not
	recognised as bootable by libosinfo.

	https://gitlab.com/libosinfo/libosinfo/issues/15

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	media: Add OsinfoMediaDetectFlags
	Let's add a new type in order to specify flags to osinfo_media_detect.
	This type, at least for now, contains only one specific flag that will
	be used to specify whether the detection of the media should or should
	not fail in case the media is not bootable.

	https://gitlab.com/libosinfo/libosinfo/issues/15

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	media: Ignore case when detecting bootable ppc ISO
	When detecting a PPC bootable iso, we should search by the
	"/ppc/bootinfo.txt" file inside the iso. However, there's no guarantee
	that the name of the file will be always lowercased as it depends on the
	extensions used to generate the ISO.

	The problematic ISO can be found at:
	http://cdimage.debian.org/cdimage/release/9.9.0/ppc64el/iso-cd/debian-9.9.0-ppc64el-netinst.iso

	And one curious thing to mention is that there's no TRANS.TBL file (the
	one used to translate, for instance, PPC -> ppc) present in the ISO.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

2019-05-22  Fabiano Fidêncio  <fidencio@redhat.com>

	tree: Cleanup _create_from_location_async_helper()
	There's no need to pass neither the URL nor the cancellable to this
	function as those can be taken directly from data.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	tree: Avoid use of memory after it's freed
	We've been passing data->location as the @url argument of
	osinfo_tree_create_from_location_async_helper(), freeing it and trying
	to g_strdup() it as the new content of data->location.

	In order to avoid doing so, let's set the data->location only once, in
	the first caller of osinfo_tree_create_from_location_async_helper(), as
	its content is always going to be the same doesn't matter the treeinfo
	format to be used with.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	db: Avoid dereference of null pointer
	As any consumer of libosinfo API may pass NULL as the @matched argument
	of compare_tree(), the current code could be dereferencing a NULL
	pointer when calling `osinfo_tree_set_os()`.

	In order to avoid doing so, let's set the os to the OsinfoTree at the
	moment the @matched argument is set.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

2019-05-10  Fabiano Fidêncio  <fidencio@redhat.com>

	os: Add kernel-url-argument API
	Tree based installations will require a kernel-url-argument to be
	assed. Let's provide an API to the apps to get this info from OsinfoOS.

	https://gitlab.com/libosinfo/osinfo-db/issues/28

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

2019-05-09  Fabiano Fidêncio  <fidencio@redhat.com>

	Post release version bump to 1.6.0

	Update NEWS for 1.5.0 release
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	Refresh translations from zanata
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	docs: Add missing docs links from main docs page
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	install_script: Use the same parameter's name in .c and .h
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	install_script: Document OsinfoInstallScriptInstallationSource
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	media: Use the same parameter's name for .c and .h
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	media: Document OSINFO_MEDIA_ERROR_NO_DIRECTORY_RECORD_EXTENT
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	install_config: Fix _get_installation_url docs
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	Revert "osinfo-detect: print os variants info for env format"
	This reverts commit 44cab89243220223b0ac6312237c08a514055664, as the
	commit was mistakenly pushed.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

2019-05-02  Fabiano Fidêncio  <fidencio@redhat.com>

	tests: Add tests for multiple short-ids
	I've decided to for testing the multiple short-ids at the os level, as
	it reflects better the usage of the newly added APIs.

	https://gitlab.com/libosinfo/libosinfo/issues/19

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	product: Add osinfo_product_get_short_id_list() API
	As multiple short-ids is fully supported, let's add a new API for
	getting the whole list instead.

	https://gitlab.com/libosinfo/libosinfo/issues/19

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	loader: Fully support multiple short-id values
	osinfo-db schema allows for multiple short-id, and there's already some
	entries that rely on that. For example, debian and ubuntu have something
	like:
	```
	<short-id>debian9</short-id>
	<short-id>debianstretch</short-id>
	```

	or

	```
	<short-id>ubuntu19.04</short-id>
	<short-id>ubuntudisco</short-id>
	```

	However, OsinfoLoader has always been treating "short-id" as a single
	property entry and, as a consequence of this, apps would always have to
	use the first listed id as shown below:
	```
	fidencio@dahmer ~/src/upstream/libosinfo $ osinfo-install-script debian9
	preseed.cfg
	fidencio@dahmer ~/src/upstream/libosinfo $ osinfo-install-script debianstretch
	Error finding OS: debianstretch
	fidencio@dahmer ~/src/upstream/libosinfo $ osinfo-install-script ubuntu19.04
	preseed.cfg
	fidencio@dahmer ~/src/upstream/libosinfo $ osinfo-install-script ubuntudisco
	Error finding OS: ubuntudisco
	```

	As OsinfoEntity already has support for multiple property entries, let's
	take advantage of this and properly treat OSINFO_PRODUCT_PROP_SHORT_ID as
	so.

	This doesn't break any compatibility with the existent code as
	osinfo_entity_get_param_value() will *always* return the first added
	entry, as it was done before.

	OsinfoFilter also already has support for multiple property entries and
	the filter works as expected.

	Here's the result of the very same example used above with this fix:
	```
	fidencio@dahmer ~/src/upstream/libosinfo $ ./tools/osinfo-install-script debian9
	preseed.cfg
	fidencio@dahmer ~/src/upstream/libosinfo $ ./tools/osinfo-install-script debianstretch
	preseed.cfg
	fidencio@dahmer ~/src/upstream/libosinfo $ ./tools/osinfo-install-script ubuntu19.04
	preseed.cfg
	fidencio@dahmer ~/src/upstream/libosinfo $ ./tools/osinfo-install-script ubuntudisco
	preseed.cfg
	````

	https://gitlab.com/libosinfo/libosinfo/issues/19

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

2019-04-23  Fabiano Fidêncio  <fidencio@redhat.com>

	osinfo-detect: Improve --help wording
	The "URL type" text leads to the misunderstanding that `osinfo-detect`
	only works for URLs and not for local medias as well.

	Let's change the wording in order to make it clearer.

	https://gitlab.com/libosinfo/libosinfo/issues/26

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	spec: Require GVFS
	GVFS is required as g_file_new_from_path() and g_file_new_from_uri()
	rely on GVFS.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

2019-04-12  Fabiano Fidêncio  <fidencio@redhat.com>

	osinfo-detect: print os variants info for env format
	Similarly to what's been done for the plain format, let's also print
	os variants' information when using --format=env.

	osinfo-detect: Be aware of tree's os variants
	In the same way done for medias, make the tree detection aware of
	os-variants.

	https://gitlab.com/libosinfo/libosinfo/issues/25

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	media,image,tree: Avoid critical errors when getting the os variants
	When getting the os variant of media, image, or tree, let's ensure their
	OS is not NULL* before calling osinfo_os_get_variant_list(). In case
	it's NULL, let's just return NULL.

	*: having a media, image, or tree with no OS set is a common case when
	the user has been creating it manually.

	https://gitlab.com/libosinfo/libosinfo/issues/25

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	db: Set the os to the detected tree
	When detecting a tree, let's also set its OS.

	https://gitlab.com/libosinfo/libosinfo/issues/25

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	test-image: Expand the tests to consider variants
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	image: Add get_os_variants() API
	osinfo-db schema allows that, but libosinfo never really had an API to
	support it.

	In order to add get_os_variants(), (get,set)_os APIs were also added.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

2019-04-10  Fabiano Fidêncio  <fidencio@redhat.com>

	test-image: Add test for loading an entry

	loader: Properly load the arch value for images
	osinfo_loader_image() has been considering the XML tag for the
	images' architecture was "architecture", while it actually is "arch".

	By trying to read the wrong tag, no arch was loaded, causing then any
	image load to fail with:
	CRITICAL **: 13:30:06.539: osinfo_entity_set_param: assertion 'value != NULL' failed

2019-04-03  Fabiano Fidêncio  <fidencio@redhat.com>

	media: Fix usage of application id
	Christophe Fergeau pointed this issue out during the review of 6d789033e
	and, even though, the bogus code ended up merged (sorry, mea culpa
	here!).

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	test-db: Add test to cover identifying a media with "unknown" arch
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	db: Deal with "all" media architecture
	Medias with "all" architecture are used as a fallback when guessing an OS
	from a media.

	Knowing that, any entry with "all" architecture should not be considered
	when first comparing the medias, thus those are skipped and, later on,
	if no match has been found, those are used.

	https://gitlab.com/libosinfo/libosinfo/issues/20

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	test-db: Add test for guessing tree from OS
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	db: Deal with "all" tree architectures
	Tree with "all" architecture are used as a fallback when guessing an OS
	from a tree.

	Knowing that, any entry with "all" architecture should not be considered
	when first comparing the trees, thus those are skipped and, later on,
	if no match has been found, those are used.

	https://gitlab.com/libosinfo/libosinfo/issues/20

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	db: Rename os_* to os_treeinfo_* in guess_os_from_tree()
	It'll make clear that we're dealing with the treeinfo attributes and not
	with the tree ones.

	https://gitlab.com/libosinfo/libosinfo/issues/20

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	db: Rename tree to treeinfo in guess_os_from_tree()
	It'll make clear that we're dealing with the treeinfo attributes and not
	with the tree ones.

	https://gitlab.com/libosinfo/libosinfo/issues/20

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

2019-04-02  Pino Toscano  <ptoscano@redhat.com>

	gitignore: remove old entries, simplify existing ones
	Remove patterns referring to old tests, and in general to files that do
	not exist anymore.

	Simplify few existing patterns into more general ones.

	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

2019-03-28  Fabiano Fidêncio  <fidencio@redhat.com>

	tests: Add test-tree.c
	This test, at least for now, tests:
	- The basic functionality of creating a OsinfoTree object;
	- osinfo_tree_get_os_variants() API;

	https://gitlab.com/libosinfo/libosinfo/issues/16

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	tree: Add get_os_variants() API
	osinfo-db schema allows that, but libosinfo never really had an API to
	support it.

	In order to add get_os_variants(), (get,set)_os APIs were also added,
	matching the behaviour for OsinfoMedia.

	https://gitlab.com/libosinfo/libosinfo/issues/16

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	tree: Also check fore "treeinfo" in addition to ".treeinfo"
	Akamai CDN hosted files can't start with a dot, making trees published to
	a CDN having their ".treeinfo" files renamed to "treeinfo".

	https://gitlab.com/libosinfo/libosinfo/issues/18

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

2019-03-27  Fabiano Fidêncio  <fidencio@redhat.com>

	Add a git-publish configuration file

2019-03-21  Fabiano Fidêncio  <fidencio@redhat.com>

	test-os: Remove test_devices_duplication
	This test is now part of osinfo-db.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	test-os: Remove test_resources_uniqueness
	This test is now part of osinfo-db.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	test-os: Remove test_resources_minimum_recommended_maximum
	This test is now part of osinfo-db.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	tests: Remove test-isodetect
	This test is now part of osinfo-db

	With this change we can get rid of the whole isodata we have.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	tests: Remove test-*.uris
	Those tests are now part of osinfo-db.

	With this change we can get rid of the curl dependency we have.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

2019-03-15  Fabiano Fidêncio  <fidencio@redhat.com>

	isodata,centos: Add a new LiveGNOME isodata
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

2019-03-07  Cole Robinson  <crobinso@redhat.com>

	Remove emacs 'Local variables' annotations
	No other virt projects have annotations like this, plus IMO
	.editorconfig handles this in a much nicer way and more flexible
	way. Ditch them

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	Add toplevel .dir-locals.el
	This centralizes emacs config in a top level file, matching the
	bits sprinkled around in 'Local variable' comments

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

2019-03-07  Fabiano Fidêncio  <fidencio@redhat.com>

	mingw,spec: Fix the Source URL
	https://releases.pagure.org/libosinfo/... instead of
	https://releases.pagure.io/libosinfo/...

	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

	mingw: Use %mingw_find_Lang macro
	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

	spec: Use standard vala packaging pattern where vapi files are in -devel
	This commit brings upstream the changes done on Fedora on
	42b96ea66d7b3e.

	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

	spec: Add "BuildRequires: gcc"
	Reference: https://fedoraproject.org/wiki/Changes/Remove_GCC_from_BuildRoot

	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

	mingw,spec: Remove obsolete Group tag
	This commit brings upstream the changes done on Fedora on
	61fea0d48407c0ee,

	References: https://fedoraproject.org/wiki/Changes/Remove_Group_Tag

	And "The Group: tag is not required in any live Fedora or EPEL release.
	RHEL5 did need it, but EPEL5 did not as it was supplied automatically
	via magic in the epel-rpm-macros package. The Packaging Guidelines have
	indicated that the Group: tag should not be used since March of 2017."

	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

	spec: Remove needless use of %defattr
	This commit is bringing upstream the change done on Fedora on
	4a678b2f4d59,

	The change is related to
	https://docs.fedoraproject.org/en-US/packaging-guidelines/#_file_permissions

	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

2019-03-07  Fabiano Fidêncio  <fabiano@fidencio.org>

	haikur1beta1: Add tests data
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	haikunightly: Update test data
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

2019-03-07  Fabiano Fidêncio  <fidencio@redhat.com>

	tests: Add coverage for _set_installation_url()
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	install-config: Add _set_installation_url()
	Although the installer URL can be taken from OsinfoTree, there are
	situations where OsinfoTree doesn't have a URL or even the management
	apps should prefer the URL set by their users instead of fallbacking to
	the one get from OsinfoTree.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

2019-03-01  Fabiano Fidêncio  <fidencio@redhat.com>

	Post release version bump to 1.5.0

	Update NEWS for 1.4.0 release

	Refresh translations from zanata

	syms: Add "global" to 1.4.0 symbols
	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	tests: Add identify_media() tests
	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	db: Add missing attributes to fill_media()
	Some new attributes have been added to OsinfoMedia, as:
	- the install-script list (during this cycle);
	- installer-script (1.3.0);

	However, none of those attributes have been filled in in the media
	accordingly to matched media.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

2019-02-19  Martin Blanchard  <tchaik@gmx.com>

	build: Prefer gettext over intltool
	intltool is outdated:

	https://wiki.gnome.org/Initiatives/GnomeGoals/GettextMigration

	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

	build: Prefer autoreconf over gnome-autogen
	gnome-common is completely deprecated:

	https://wiki.gnome.org/Projects/GnomeCommon/Migration

	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

2019-02-18  Fabiano Fidêncio  <fidencio@redhat.com>

	tests: Add test-uris-common.h to the SOURCES
	Otherwise some breakage can be seen when building libosinfo's RPM

	test-uris-common.c:24:10: fatal error: test-uris-common.h: No such file or directory
	 #include "test-uris-common.h"
	          ^~~~~~~~~~~~~~~~~~~~
	compilation terminated.
	make[2]: *** [Makefile:1296: test_mediauris-test-uris-common.o] Error 1
	make[2]: *** Waiting for unfinished jobs....
	  CCLD     test-entity
	test-mediauris.c:27:10: fatal error: test-uris-common.h: No such file or directory
	 #include "test-uris-common.h"
	          ^~~~~~~~~~~~~~~~~~~~
	compilation terminated.
	make[2]: *** [Makefile:1282: test_mediauris-test-mediauris.o] Error 1
	test-treeuris.c:27:10: fatal error: test-uris-common.h: No such file or directory
	 #include "test-uris-common.h"
	          ^~~~~~~~~~~~~~~~~~~~
	compilation terminated.
	make[2]: *** [Makefile:1394: test_treeuris-test-treeuris.o] Error 1
	test-uris-common.c:24:10: fatal error: test-uris-common.h: No such file or directory
	 #include "test-uris-common.h"
	          ^~~~~~~~~~~~~~~~~~~~
	compilation terminated.
	make[2]: *** [Makefile:1408: test_treeuris-test-uris-common.o] Error 1
	test-imageuris.c:27:10: fatal error: test-uris-common.h: No such file or directory
	 #include "test-uris-common.h"
	          ^~~~~~~~~~~~~~~~~~~~
	compilation terminated.
	make[2]: *** [Makefile:1184: test_imageuris-test-imageuris.o] Error 1
	test-uris-common.c:24:10: fatal error: test-uris-common.h: No such file or directory
	 #include "test-uris-common.h"

	test-uris-common: remove empty line at EOF
	The empty line caused:
	tests/test-uris-common.c
	maint.mk: empty line(s) or no newline at EOF
	make: *** [maint.mk:926: sc_prohibit_empty_lines_at_EOF] Error 1

2019-02-18  Pino Toscano  <ptoscano@redhat.com>

	voidlinux: add Void Linux test data

	gentoo: add Gentoo Linux test data

	archlinux: add Arch Linux test data

	os: add OSINFO_RELEASE_STATUS_ROLLING
	Add the OSINFO_RELEASE_STATUS_ROLLING value to the OsinfoReleaseStatus
	enum, to track the new "rolling" release-status available in the osinfo
	schema.

2019-02-18  Fabiano Fidêncio  <fidencio@redhat.com>

	tests: Reduce code duplication in URI tests
	Let's introduce a common file that does the check of the URI for all the
	URI related tests.

	By doing this we can avoid code duplication while also avoiding to have
	all the tests merged together into a single one, which is not so good as
	limits the developer to run and wait for the whole set of tests instead
	of having the ability to just run the a specific one.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	tests: Add ubuntu 18.04.1 and 18.04.1.0 test data
	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

	media: Don't assume identifiers are null terminated
	Identifiers as volume-id, application, publisher, and system are not
	null terminated and cannot be assumed as so.

	By assuming those are null terminated strings, libosinfo ends up not
	counting the last character of a MAX_* string and, consequently, not
	properly identifying medias that have their identifiers with the MAX_*
	size.

	One example is the ubuntu-18.04.1.0-live-server-amd64.iso media, which
	has as volume-id 'Ubuntu-Server 18.04.1+ LTS amd64'. As the volume-id
	has exactly 32 characters it's never been matched as when reading the
	media's volume-id it'd be read as 'Ubuntu-Server 18.04.1+ LTS amd6'.

	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

	pureos: Add test data for pureos8
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

2019-02-12  Fabiano Fidêncio  <fidencio@redhat.com>

	media: Make _supports_installer_script() aware of media installers
	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

	test-media: Add test for media installer script
	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

	media: Add installer to the media
	Having the installer tied to the OS is something that has been shown not
	optimal, unfortunately.

	An OS may have a few different medias and each media may support a
	specific type of script or, even, not support an installer script at
	all. With this in mind, let's have the installer scripts tied to the
	medias themselves.

	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

2019-02-04  Fabiano Fidêncio  <fidencio@redhat.com>

	tests: abort() in case curl misbehaves
	Although the issue with curl should be fixed by the previous commit,
	let's abort in case it misbehaves, avoiding then to have all the data
	printed on stdout.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	tests: Avoid re-using the curl handler on URIs tests
	On CentOS, we've hit an issue that when a curl handler is re-used we end
	up receiving malfunctioning responses from NetBSD CDN.

	Dan investigated the issue found out that the problem is that libcurl in
	CentOS 7 at least is not ignoring the body. Sometimes it closes the
	keepalive connection so this doesn't matter, but other times it gives
	us back the body that it should be ignoring.

	In order to work the issue around, let's no re-use the curl handler but
	always open a new one for each of the URIs.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

2019-02-04  Cole Robinson  <crobinso@redhat.com>

	ubuntu: Add 19.04 ppc64el test data
	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

2019-02-04  Daniel P. Berrangé  <berrange@redhat.com>

	tests: add one test case per OS tested
	The image, media & tree URIs test suites just register one test case for
	all the work they do. As a result when they run they just sit there
	printing no progress information for a long time.

	This changes then to register one test case per OS in the database. As a
	result we get progress information. An added benefit is that it is
	possible to now run tests for individual OS by passing the -p argument.

	  eg  test-mediauris -p /mediauris/uris/rhel3.9

2019-01-30  Daniel P. Berrangé  <berrange@redhat.com>

	Post release version bump to 1.4.0

	Update NEWS for 1.3.0 release

	Refresh translations from zanata

2019-01-24  Fabiano Fidêncio  <fidencio@redhat.com>

	test-os: Fix make syntax-check
	While applying the last patches a few trailing whitespaces have been
	introduced, making `make syntax-check` fail.

	tools: Remove a reference to fedorahosted.org
	Although it's just the id used for the install script, let's remove the
	reference to the already sunset fedorahosted.org and just use
	"https://libosinfo.org/config" as the id.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

2019-01-24  Fabiano Fidêncio  <fabiano@fidencio.org>

	test-os: Add basic test for resources
	This test only ensures that libosinfo is able to properly load the
	resource info from an OS entry.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	os: Make get_resources_*_without_inheritance() static
	With that we can get rid of osinfo_os_private.h

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	loader: Deal with network-install resources
	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	os: Deal with network-install resources
	network-install resources represent the resources to be used during a
	network installation. It may differs from the minimum resources as the
	network installers (not only the medias, but the trees) may download a
	huge amount of data to the RAM* consuming way more than the minimum or
	recommended RAM for the OS.

	*: anaconda downloads the whole stage2 of the installer into the RAM in
	order to perform a network installation.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	test-os: Fix typo in resources tests
	osinfo_os_get_recommended_resources -> osinfo_os_get_maximum_resources

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	loader: Fix typo when loading maximum resources
	osinfo_os_add_recommended_resources -> osinfo_os_add_maximum_resources

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	os: Make get_maximum_resources() aware of inheritance
	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	os: Group get_*_resources() together
	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	os: Remove extra line from _get_recommended_resources()
	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	os: Fix typos in resources methods
	methos -> method
	*private! -> *private*!

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

2019-01-15  Fabiano Fidêncio  <fidencio@redhat.com>

	db: improve _guess_os_from_media() checks
	Do not check against a distro which doesn't have *any* of the values we
	use to check as match_regex() would just match whatever we compare to
	it.

	tree: fix typo in the annotations: 'and' -> 'an'

2019-01-09  Fabiano Fidêncio  <fidencio@redhat.com>

	loader: improve warning message from loader_check_id()
	"should" needs to be changed to "must" as since commit 00f258a6be
	libosinfo refuses to load non-compliant named files.

	README: Update download information
	Let's point to https://libosinfo.org/download/ instead of pointing to
	pagure, as it could change again in the future.

2019-01-04  Fabiano Fidêncio  <fidencio@redhat.com>

	dragonflybsd: Add 5.4.1 test data
	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

	loader: refuse to load non-compliant named files
	There was a period of grace needed for backwards compatibility. After 3+
	years, we can safely remove the code instroduced as part of 09ae3cf09
	(which was released on 0.3.0).

	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

	README: Reword the patch submission paragraph
	Just mention that the libosinfo's mailing list is the *preferred* way to
	send patches. More info, as the one about the project accepting Merge
	Request, can be found in the project's website.

	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

	README: Update download link
	Let's point to pagure instead of referring to the already sunset
	fedorahosted.

	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

2019-01-04  Felipe Borges  <felipe10borges@gmail.com>

	endlessos: Add Endless OS 3.4 isodata
	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

2018-12-20  Pino Toscano  <ptoscano@redhat.com>

	Use g_list_free_full where easily possible
	Use g_list_free_full instead of g_list_foreach + g_list_free, so the
	lists are cleared with a single call.

	test-isodetect gets a void* wrapper, so there is no need to add casts
	everywhere.

	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

2018-12-20  Fabiano Fidêncio  <fidencio@redhat.com>

	media: Pass the source object to GTask new
	When creating the new GTask in osinfo_media_create_from_location_async,
	no source object has been passed. Consequently
	search_ppc_bootinfo_callback receives NULL as its source object, causing
	warnings when trying to unref it.

	Let's just pass the stream as the source object of the GTask in
	osinfo_media_create_from_location_async in order to avoid the issue.

	The issue has been introduced as part of 29f97cb7648.

	media: Don't try to unref a NULL entry
	In case g_file_read_finish() fails, the stream will always be NULL.
	The issue has been introduced as part of f977527c82.

	media: Check whether PPC ISOs are bootable
	PPC ISOs do not have the "El Torito" extension that describes whether
	the media is bootable or not. However, they have a "bootinfo.txt" file
	placed under "ppc" directory in order to specify the media is bootable.

	So, let's add a few more checks looking for "/ppc/bootinfo.txt" in case
	the El Torito header is not found.

	The whole implementation has been based on the following sources:
	- The ISO 9660 (ECMA-119) specification:
	  http://www.ecma-international.org/publications/files/ECMA-ST/Ecma-119.pdf
	- The ISO 9660 osdev wiki page:
	  https://wiki.osdev.org/ISO_9660
	- IBM's developer article:
	  https://www.ibm.com/developerworks/linux/library/l-detecting-bootable-ibm-power-server-iso-images/index.html

	And what the implementation does is:
	- Access the *root* directory record, which has a fixed size of 33 bytes
	  and is located at the bytes offset 156 of the PVD;
	- Load the *root* directory record extent content into the memory and:
	  - Search for the the dir/file we're looking at;
	  - In the dir is present, we load its directory record extent content
	    into the memory and search for the next dir/file;
	    - In case the file is present, we return that the media is bootable;
	    - Otherwise, we return the media is non bootable;

	Mind, though, that this code is *not* generic enough to be adapted in
	case we want to search for a different dir/file and the reason for that
	is related to some ISOs using a TRANS.TBL table that translates the
	given name of a file to the shown name of the same file.

	If, for some reason, we ever want to take the path of having this code
	more generic we'd have to:
	- For each directory acessed, search for TRANS.TBL;
	  - In case it's present, load its content into a hash table and, for
	    each dir/file, check the name of the file we're looking for with the
	    shown name (only present in the TRANS.TBL;
	  - Otherwise, just follow the very same code we currently have;

	The decision for not implementing this TRANS.TBL changes is, mainly,
	because it'd make the code circa twice slower than it currently is
	(as we'd have to search for the TRANS.TBL as the first thing ...)
	without any specific gain for the needs we have right now. In case
	there's the need, in the future, it could be implemented in the way
	described here.

	https://gitlab.com/libosinfo/libosinfo/issues/8

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	media: Add set_non_bootable_media_error()
	This is a helper to set the "non bootable" error for a media. It'll
	become really handy in the next few patches in the series in order to
	avoid code duplication.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	media: Add create_from_location_async_data()
	This is a helper to create the OsinfoMedia from the
	CreateFromLocationAsyncData. It'll become really handy in the next few
	patches in the series in order to avoid code duplication.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	media: Use G_STATIC_ASSERT()
	Let's use G_STATIC_ASSERT() instead of creating a dummy array to check
	the size of the _PrimaryVolumeDescriptor struct.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	media: Use better naming for goto labels
	Let's replace EXIT for cleanup and ON_ERROR for error and follow a
	normal naming convention for the labels.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	media: Don't leak stream in case of errors
	stream has to be freed whenever an error occurr on
	osinfo_media_create_from_location_async() internals.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	tools,install-script: Add "installation-source" parameter
	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	test-install-script: Cover _(get|set)_installation_source()
	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	install-script: Add _(get|set)_installation_source()
	As install-scripts may behave differently depending on their
	installation source, let's add two new methods to properly set what's
	the installation source being used with the script and then decide what
	we should do depending on the installation-source value.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	test-install-script: Cover _(get|set)_preferred_injection_method()
	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	install-script: Add _(get|set)_preferred_injection_method()
	Those new methods are going to be used to tell the install-scripts
	whether the injection-method that's going to be used is. We have to do
	so as the command-line may be different depending on the
	injection-method used, for example:
	- fedora using cdrom, disk or floppy: ks=hd:/(vda|sda)/fedora.ks
	- fedora using initrd: ks=file:/fedora.ks

	It's important to mention that although the methods are taking GFlags,
	those are treated as GEnum and only one value is expected to be set, as
	mentioned in the documentation.

	Also, mind that the usage of osinfo_entity_set_param() to store the
	nick of the OSINFO_INSTALL_SCRIPT_INJECTION_METHOD_* is intentional as
	the nick is exactly what's going to be used in the install-scripts to
	generate the proper command-line.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

2018-12-17  Roman Bogorodskiy  <bogorodskiy@gmail.com>

	freebsd: add FreeBSD 12.0 isodata
	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

2018-12-14  Felipe Borges  <felipeborges@gnome.org>

	android-x86: Add Android-x86 8.1 test data
	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

2018-12-14  Fabiano Fidêncio  <fidencio@redhat.com>

	test-media: Add tests for OsinfoMedia attributes
	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	tests: Add basic tests for OsinfoMedia
	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	media: Add _supports_installer_script()
	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	loader: Deal with "installer-script" media attribute
	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	dragonflybsd: Add 5.4.0 test data
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

2018-12-11  Fabiano Fidêncio  <fidencio@redhat.com>

	tree: cleanup non-fatal errors in load_key_info()
	There are errors which are not fatal and just ignored in load_keyinfo.
	However, as those have not been cleaned up, we could see messages like:
	(lt-osinfo-detect:20658): GLib-WARNING **: GError set over the top of a
	previous GError or uninitialized memory.
	This indicates a bug in someone's code. You must ensure an error is NULL
	before it's set.
	The overwriting error message was: Key file does not have key “boot.iso”
	in group “images-x86_64”

	In order to avoid this, let's just call g_clear_error() after situations
	where an error may have been set but it can just be ignored.

	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

	tree: cleanup load_key_info()
	Instead of doing the same checks for key or group not found all over the
	place, let's just add a new function that does that and replace the old
	check for the new function.

	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

2018-12-10  Fabiano Fidêncio  <fidencio@redhat.com>

	os: Fix _find_install_script() annotation
	osinfo_os_find_install_script() returns an object which ownsership is
	not transferred.

	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

2018-12-10  Fabiano Fidêncio  <fabiano@fidencio.org>

	db: improve _guess_os_from_tree() checks
	Do not check against a distro which doesn't have treeinfo data as
	match_regex() would just match whatever we compare to it.

	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

2018-12-10  Fabiano Fidêncio  <fidencio@redhat.com>

	test-os: Cover osinfo_tree_has_treeinfo()
	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

	tree: Add osinfo_tree_has_treeinfo()
	As not all the "trees" we stored in osinfo-db have "treeinfo" data,
	let's add a new method, osinfo_tree_has_treeinfo(), that can be used to
	check whether the tree has treeinfo or not.

	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>
	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

2018-12-10  Fabiano Fidêncio  <fabiano@fidencio.org>

	test-os: expand test_loader() to cover loading treeinfo
	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

	loader: properly load the treeinfo attributes
	treeinfo attributes haven't been loaded properly due to the change done
	in ab2ab35f, changing the hardcoded 9 to sizeof("treeinfo-").

	The problem here is that size("treeinfo-") is 10, causing that any
	comparison to fail.

	Let's change the sizeof("treeinfo-") to strlen("treeinfo-").

	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

2018-12-10  Fabiano Fidêncio  <fidencio@redhat.com>

	test-os: Add tests for osinfo_os_find_install_script()
	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

	os: Do not crash when passing a NULL profile to _find_install_script()
	Let's ensure we're not going to crash in case a NULL profile is passed
	for osinfo_find_install_script(). Instead of crashing, though, we're
	returning an error.

	Also, document which are the expected values for @profile

	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

	os: Fix typo in _find_install_script()
	osinfo_find_install_script() doesn't work as expected due to a typo when
	getting the elements of the script list as an OsinfoList must be passed
	instead of an OsinfoOs.

	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

2018-12-06  Vera Cholasta  <vbudikov@redhat.com>

	alpinelinux3.8: Add test files for 3.8.1
	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

2018-11-30  Fabiano Fidêncio  <fidencio@redhat.com>

	image: Add "cloud-init" attribute to the image
	Some images may support cloud init customization and for those we'd like
	to explicitly indicate it.

	The "cloud-init" attribute is similar to the "live" attribute for
	medias, has its default value as FALSE and can be optinionally set in
	the XML.

	This commit also extends the basic image tests to also cover the
	cloud-images attribute.

	https://gitlab.com/libosinfo/osinfo-db/issues/10

	Reviewed-by: Pino Toscano <ptoscano@redhat.com>

	tests: Add test-imageuris
	In a quite similar way than test-mediauris and test-treeuris, let's have
	a test for the imageuris.

	https://gitlab.com/libosinfo/osinfo-db/issues/10

	Reviewed-by: Pino Toscano <ptoscano@redhat.com>

	loader: Load Images information
	Now that we've OsinfoImage and OsinfoImageList objects in place and
	OsinfoOs already provides us an API to add an OsinfoImage to an
	OsinfoOS, let's properly load the images' information present in
	osinfo-db.

	https://gitlab.com/libosinfo/osinfo-db/issues/10

	Reviewed-by: Pino Toscano <ptoscano@redhat.com>

	os: Introduce APIs to deal with images
	Let's introduce the needed APIs on os side to deal will the images.
	For now, there's no info being loaded as the loader part depends on one
	of these APIs.

	https://gitlab.com/libosinfo/osinfo-db/issues/10

	Reviewed-by: Pino Toscano <ptoscano@redhat.com>

	tests: Add test-imagelist
	test-imagelist is totally based on test-devicelist.

	https://gitlab.com/libosinfo/osinfo-db/issues/10

	Reviewed-by: Pino Toscano <ptoscano@redhat.com>

	Introduce OsinfoImageList object
	OsinfoImageList object represents has been created to easily deal with
	OsinfoImage objects.

	https://gitlab.com/libosinfo/osinfo-db/issues/10

	Reviewed-by: Pino Toscano <ptoscano@redhat.com>

	tests: Add test-image
	test-image tests the basic functionally of OsImage APIs.

	https://gitlab.com/libosinfo/osinfo-db/issues/10

	Reviewed-by: Pino Toscano <ptoscano@redhat.com>

	Introduce OsinfoImage object
	OsinfoImage object has been created to represent pre-installed images
	distributed by the OSes.

	We've decided to go for the simplespet approach possible that's just
	exposing the Image URL for an existing OS and then Apps that want to
	deal with the Image itself can just use libguestfs for that as they
	already do a quite good job on this field.

	https://gitlab.com/libosinfo/osinfo-db/issues/10

	Reviewed-by: Pino Toscano <ptoscano@redhat.com>

2018-11-22  Christophe Fergeau  <cfergeau@redhat.com>

	build: Use EXTRA_..._DEPENDENCIES rather than _DEPENDENCIES
	This allows us to use the dependencies automatically generated by
	automake while appending the additional one that we need.

	https://www.gnu.org/software/automake/manual/automake.html#index-EXTRA_005fmaude_005fDEPENDENCIES-1

	« The EXTRA_*_DEPENDENCIES variable may be useful for cases where you
	merely want to augment the automake-generated _DEPENDENCIES variable
	rather than replacing it. »

	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

2018-11-21  Fabiano Fidêncio  <fidencio@redhat.com>

	tests: Fix `make check` breakage for FreeBSD 11
	Let's take advantage of the newly added libosinfo-impl.la that contains
	all the symbols that we need and link our tests against it.

	By doing so, we can remove the referrence to osinfo_product.c when
	building test-os, which has been causing test-os binary to contain 2
	copies of the very same code, one linked in the test and the other from
	libosinfo.so.

	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>
	Tested-by: Andrea Bolognani <abologna@redhat.com>

	osinfo: Create an intermediate convenience library
	Let's create libosinfo-impl.la which is nothing else than
	libosinfo-1.0.la without stripping out its non-public symbols.

	libosinfo-impl.la can be used to link directly against our tests (as
	those may use private functions that we do *not* want to expose), while
	the "official" one (libosinfo-1.0.la) will remain the same.

	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>
	Tested-by: Andrea Bolognani <abologna@redhat.com>

2018-11-20  Fabiano Fidêncio  <fidencio@redhat.com>

	devicelink: Rename "removed" to "supported"
	After some discussion seems that a better name for the "removed"
	attribute would be "supported" (as it'd be more coherent with features
	that are about to come).

	While there's still no release of libosinfo or osinfo-db with the
	"removed" attribute, let's just rename it to "supported".

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

2018-11-19  Fabiano Fidêncio  <fidencio@redhat.com>

	test-devicelinklist: Remove duplicated assert
	Having a duplicated g_assert_true() on CentOS7 breaks `make check` as
	the compiler tries to make the second assert into a constant.

	As the second assert was a typo anyways, let's just remove it in order
	to fix `make check`.

	test-os: Add missing XML files
	Those XMLs should have been added as part be1f2def2 but unfortunately
	something went wrong while rebasing the patches.

2018-11-19  Daniel P. Berrangé  <berrange@redhat.com>

	tests: ignore transient failures in media/tree URI tests
	Some times the media/tree URI tests will fail with a timeout trying
	to connect to the server. Treat this as non-fatal since it will
	usually just indicate a transient network or server failure.

	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

	tests: display info about what failed in media/tree URI tests
	Make it possible to debug failures by displaying the URL,
	curl error code/message and http code.

	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

2018-11-19  Fabiano Fidêncio  <fidencio@redhat.com>

	os: Fix build breakage
	Similarly to what was fixed by commit 6b246cd9e, let's do not use
	variable declarations inside "for" loop as it's only allowed in C99
	mode.

	test-os: Add test_resources_inheritance()
	Now that resources are inherited between OSes that derives-from/clones
	some other OS, let's have a test case to ensure it's not going to break
	in the future.

	https://gitlab.com/libosinfo/osinfo-db/issues/15

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	os: Support inherited resources
	As resources are pretty much the same for new releases of a same OS,
	having them explicitly set is a source of copy-and-paste error and
	redundant information in our db.

	The approach taken to properly support inheritance of OSes is a
	explicitly set attribute to the resources indicating that they should be
	inherited.

	Here's an example of how the XML will look like:
	foo:
	  <resources arch="all">
	    <minimum>
	      <n_cpus>1</n_cpus>
	      <storage>1</storage>
	    </minimum>
	  </resources>

	bar (which derives-from/clones foo):
	  <resources arch="all" inherit="true">
	    <minimum>
	      <n_cpus>3</n_cpus>
	      <ram>3</ram>
	    </minimum>
	  </resources>

	When querying for bar's minimum resources, we'll get:
	n_cpus: 3
	cpu: -1 (not set, by any of the OSes)
	ram: 3
	storage: 1

	https://gitlab.com/libosinfo/osinfo-db/issues/15

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	os: Add _get_.*_resources_without_inheritance()
	Those two private methods have been added and those are part of the
	field preparation for having Resources inherited in the same way we do
	inherit devices.

	https://gitlab.com/libosinfo/osinfo-db/issues/15

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	loader: Set "inherit" accordingly to the resources
	"inherit" is the new attribute of the resources that means whether this
	resources should have its (non filled) values inherited.

	In case the "inherit" attribute is present and as is "true", let's set
	it. Otherwise (the default option), there's no change from the current
	behaviour.

	https://gitlab.com/libosinfo/osinfo-db/issues/15

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	resources: Add osinfo_resources_{get,set}_inherit()
	Those two private functions will help to keep track whether the
	resources should be inherited or not.

	https://gitlab.com/libosinfo/osinfo-db/issues/15

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	test-os: Add test_devices_inheritance_removal()
	now that OsinfoOs can deal with the conpect of a "removed" device, let's
	add some tests covering the possible situations we may face and ensure
	we won't regress here.

	https://gitlab.com/libosinfo/osinfo-db/issues/13

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	os: Deal with "removed" devices
	This commit introduces some logic to deal with "removed" devices and the
	way chosen to do so was to filter out the "removed" devices from the
	full list of devices (for both DeviceLinks and Device lists).

	https://gitlab.com/libosinfo/osinfo-db/issues/13

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	os: Add add_entity_to_list_check()
	The addition of this new function is basically preparing the ground for
	the changes that are coming in the next commits where we'll need to do
	the very same check in both _get_device_links_internal() and
	_get_devices_internal(). With that in mind, let's avoid code
	duplication and have a single function that can be used in both methods.

	https://gitlab.com/libosinfo/osinfo-db/issues/13

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	os: Use get_device_links_internal in _get_all callback
	This commit is just preparing the ground for changes that will come in
	the next commits where we'll start supporting "removed" devices and in
	order to so, we'll have to explicitly call _get_device_links_internal()
	forcing it to return *all* devices, even the "removed" ones, as they'll
	be filtered out later.

	https://gitlab.com/libosinfo/osinfo-db/issues/13

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	os: Use get_devices_internal in _get_all callback
	This commit is just preparing the ground for changes that will come in
	the next commits where we'll start supporting "removed" devices and in
	order to so, we'll have to explicitly call _get_devices_internal()
	forcing it to return *all* devices, even the "removed" ones, as they'll
	be filtered out later.

	https://gitlab.com/libosinfo/osinfo-db/issues/13

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	os: Add osinfo_os_get_all_device_links_internal()
	The addition of this new function is basically preparing the ground for
	the changes that are coming in the next commits where
	osinfo_os_get_all_device_links() will have to deal with "removed"
	devices.

	https://gitlab.com/libosinfo/osinfo-db/issues/13

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	os: Add osinfo_os_get_device_links_internal()
	The addition of this new function is basically preparing the ground for
	the changes that are coming in the next commits where
	osinfo_os_get_device_links() will have to deal with "removed" devices.

	https://gitlab.com/libosinfo/osinfo-db/issues/13

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	os: Add osinfo_os_get_devices_internal()
	The addition of this new function is basically preparing the ground for
	the changes that are coming in the next commits where
	osinfo_os_get_devices() will have to deal with "removed" devices.

	https://gitlab.com/libosinfo/osinfo-db/issues/13

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	os: Add osinfo_os_get_all_device_links()
	This function is a helper for the commits that are about come related to
	properly dealing with "removed" devices.

	https://gitlab.com/libosinfo/osinfo-db/issues/13

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	loader: Deal with "removed" devices for an OS
	Let's make the loader aware of the "removed" attribute that can be set
	for a device linked from an OS entry.

	https://gitlab.com/libosinfo/osinfo-db/issues/13

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	test-os: Add test_devices_inheritance_basic()
	Devices are inherited from OSes that derives-from/clones some other OS.
	Let's have a test case to ensure it's not going to break in the future.

	https://gitlab.com/libosinfo/osinfo-db/issues/13

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	test-devicelinklist: Add _get_devices() test
	https://gitlab.com/libosinfo/osinfo-db/issues/13

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	tests: Add basic tests for devicelinklist
	https://gitlab.com/libosinfo/osinfo-db/issues/13

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	devicelinklist: Fix _get_devices()
	osinfo_devicelinklist_get_devices() returns a list of OsinfoDevice
	structs and in order to do so it has to iterate over the list of
	OsinfoDeviceLink structs and get the device associated to each of the
	OsinfoDeviceLink struct.

	The current implementation was just trying to add the OsinfoDeviceLink
	struct to the list, instead of getting the devices associated to it.

	https://gitlab.com/libosinfo/osinfo-db/issues/13

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	test-os: Add test_devices_duplication()
	As devices are inherited from entries that "derives-from" or "clones"
	any other entries, there's no reason to keep declaring those devices in
	several places.

	By adding this test, hopefully there'll be no more devices duplication
	from now on.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	test-os: Add test_resources_uniqueness
	This test enforces that we'll never have more than one resources entry
	for the very same architecture in an OS entry.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	test-os: Fix test breakage
	"for" loop initial declarations are only allowed in C99 mode but some
	old compilers (like the ones in centos7 or debian8) just don't use it by
	default.

	Reviewed-by: Andrea Bolognani <abologna@redhat.com>

2018-11-16  Fabiano Fidêncio  <fidencio@redhat.com>

	test-os: Cover maximum resources in tests
	Reviewed-by: Michal Privoznik <mprivozn@redhat.com>

	test-os: Make test_resources_minimum_recommended generic
	Reviewed-by: Michal Privoznik <mprivozn@redhat.com>

	os: Deal with "maximum" resources
	In the samw way OSes have minimum and recommended resources, let's add
	support for "maximum" resources.

	https://gitlab.com/libosinfo/osinfo-db/issues/11

	Reviewed-by: Michal Privoznik <mprivozn@redhat.com>

	popos: Add popos18.10 isodata
	Reviewed-by: Felipe Borges <feborges@redhat.com>

	test-os: move test-os-resources tests
	Let's have all OS related tests grouped together.

	Reviewed-by: Felipe Borges <feborges@redhat.com>

	test-os-resources: Fix typo in test_minimum_recommended_resources()
	Thanks to this typo the test was iterating over a single OS, always.

	Reviewed-by: Felipe Borges <feborges@redhat.com>

	rhel: Add rhel8.0 isodata
	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

	ubuntu: Add 19.04 prerelease isodata

	ubuntu18.10: Update isodata after release
	Reviewed-by: Didier Roche <didier.roche@canonical.com>

2018-11-15  Vicente Chaves de Melo  <vchaves@ymail.com>

	NetBSD: add NetBSD 7.2 tests isodata
	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

2018-11-09  Vera Cholasta  <vbudikov@redhat.com>

	tests: continue after failure in mediauris & treeuris
	https://bugzilla.redhat.com/show_bug.cgi?id=1639108

	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

2018-11-08  Fabiano Fidêncio  <fidencio@redhat.com>

	os: Don't leak scripts list
	osinfo_list_get_elements() calls g_hash_table_get_values() which returns
	a GList that must be freed after used.

	For more info, please, refer to:
	https://developer.gnome.org/glib/unstable/glib-Hash-Tables.html#g-hash-table-get-values

	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

2018-11-01  Felipe Borges  <feborges@redhat.com>

	rhel: Add rhel7.6 isodata
	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

2018-11-01  Fabiano Fidêncio  <fabiano@fidencio.org>

	tests: Update silverblue29 isodata
	Reviewed-by: Felipe Borges <feborges@redhat.com>

	tests: Update f29 isodata
	Reviewed-by: Felipe Borges <feborges@redhat.com>

2018-10-19  Alexey Shabalin  <shaba@altlinux.org>

	alt: Add alt8.X, alt.p8 and alt.sisyphus isodata
	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

2018-10-18  Věra Cholasta  <vbudikov@redhat.com>

	test-isodetect: continue after failure
	https://bugzilla.redhat.com/show_bug.cgi?id=1639108

	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

	test-isodetect: replace while loop with for loop
	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

2018-10-15  Fabiano Fidêncio  <fidencio@redhat.com>

	Remove FSF address from source files
	Let's follow what's already done for the most part of libosinfo and
	recommended from http://www.gnu.org/licenses/gpl-howto.html and do not
	put FSF address in the source files. Instead, just link to FSF website.

	Based on:
	https://gitlab.com/libosinfo/libosinfo/commit/3343d0f9c1b0937824bee2527612047bc2e75f84

	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

2018-10-09  Fabiano Fidêncio  <fidencio@redhat.com>

	silverblue: Add silverblue29 (Beta) isodata
	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	fedora: Add fedora29 (Beta) isodata
	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	authors,maintainers: Add all gitlab's group members
	Let's update the list of authors/maintainers accordingly to the
	libosinfo's gitlab group members[0].

	The list has been put in alphabetical order on purpose.

	[0]: https://gitlab.com/groups/libosinfo/-/group_members

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

2018-10-08  Fabiano Fidêncio  <fidencio@redhat.com>

	Revert "db: Force anchored patterns when matching regex"
	Daniel suggested that the fix should go to the osinfo-db entries that
	are causing the issue instead of forcing anchored patterns in libosinfo.

	This reverts commit e6168463f4fc659b9827b5c8694dc1c6d7d5239a.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

2018-10-03  Charles Arnold  <carnold@suse.com>

	Add SUSE CaaS Platform 3.0 isodata
	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

	Add SUSE CaaS Platform 2.0 isodata
	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

	Add SUSE CaaS Platform 1.0 isodata
	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

2018-09-24  Fabiano Fidêncio  <fidencio@redhat.com>

	centos: Add 6.10 isodata
	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

2018-09-21  Fabiano Fidêncio  <fidencio@redhat.com>

	ubuntu: Add isodata for 18.10
	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

2018-09-21  Christophe Fergeau  <cfergeau@redhat.com>

	install-script: Add propagate_libxml_error() helper
	This simplifies the code a bit.

	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

	install-script: Use g_set_error_literal where appropriate
	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

	Use OSINFO_ERROR in more places
	Passing a NULL error domain will trigger runtime warnings from glib.

	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

	loader: Introduce OSINFO_ERROR
	Since glib commit 2.31.10~16 [1], g_set_error() will issue a warning if
	it's passed a NULL domain. libosinfo is doing this in a few places (try
	for example 'osinfo-query os winxp'). This commit adds a generic OSINFO_ERROR
	domain which will be used instead of NULL. It's a bit inconsistent with
	OSINFO_MEDIA_ERROR and OSINFO_TREE_ERROR in that they both start with
	"osinfo-*" while OSINFO_ERROR uses "libosinfo". However, since
	OsinfoLoader already makes use of that quark, changing that would
	arguably be an (very small) ABI break.

	[1] https://gitlab.gnome.org/GNOME/glib/commit/6d9f874330

	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

	loader: Use OSINFO_LOADER_SET_ERROR in a few more places
	There are 2 calls to g_set_error(err, "%s", "constant string"); which
	can be replaced with OSINFO_LOADER_SET_ERROR

	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

	loader: Rename OSINFO_ERROR to OSINFO_LOADER_SET_ERROR
	This will be useful in the following commits where another OSINFO_ERROR
	 #define will be introduced

	Reviewed-by: Fabiano Fidêncio <fidencio@redhat.com>

2018-09-11  Fabiano Fidêncio  <fidencio@redhat.com>

	haiku: Add Nightly isodata
	https://bugzilla.redhat.com/show_bug.cgi?id=1092627

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	haiku: Add R1/Alpha4.1 isodata
	https://bugzilla.redhat.com/show_bug.cgi?id=1092627

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	haiku: Add R1/Alpha3 isodata
	https://bugzilla.redhat.com/show_bug.cgi?id=1092627

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	haiku: Add R1/Alpha2 isodata
	https://bugzilla.redhat.com/show_bug.cgi?id=1092627

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	haiku: Add R1/Alpha1 isodata
	https://bugzilla.redhat.com/show_bug.cgi?id=1092627

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	openbsd: Add 5.3 isodata
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	openbsd: Add 5.2 isodata
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	openbsd: Add 5.1 isodata
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	db: Force anchored patterns when matching regex
	Without forcing anchored patterns some matches may be completely wrong
	as "(J_)?CENN?A_X64FREV" (volume-id for Windows 10) that could be taken
	as a match for "HRM_CENNA_X64FREV" (volume-id of a Windows 8 ISO).

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	tests: Expand the arch's parser for isodetect
	Some Windows ISOs isodata, as the ones added as part of commit 857f503,
	uses X64 and X86 and load_iso() didn't take those into consideration.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

2018-09-07  Fabiano Fidêncio  <fidencio@redhat.com>

	centos7: Add "NetInstall" isodata
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	centos7: Add "Minimal" isodata
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	centos7: Add another "DVD" isodata
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	centos7: Add another "DVD" isodata
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	centos7: Add LiveKDE isodata
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	centos7: Add LiveGNOME isodata
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	popos: Add 18.04 isodata
	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	win10: Add LTSB Evaluation isodata
	https://bugzilla.redhat.com/show_bug.cgi?id=1139394

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

	gitignore: Add test-os-resources
	test-os-resources has been added as part of 6a88a78143.

	Reviewed-by: Cole Robinson <crobinso@redhat.com>

2018-09-06  Fabiano Fidêncio  <fidencio@redhat.com>

	rhel-atomic: Add 7.4 isodata
	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	rhel-atomic: Add 7.3 isodata
	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	rhel-atomic: Add missing 7.2 isodata
	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	maint.mk: Adjust sc_prohibit_strcmp
	- There's no need to exclude STRN?EQ as those are not defined in
	libosinfo;
	- Adjust the comment and the halt message to suggest the usage of
	g_str_equal() instead of the non existent STRN?EQ();

	https://bugzilla.redhat.com/show_bug.cgi?id=1335291

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	maint.mk: Re-enable sc_prohibit_strcmp
	https://bugzilla.redhat.com/show_bug.cgi?id=1335291

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	osinfo-detect: Replace strcmp() with g_str_equal()
	https://bugzilla.redhat.com/show_bug.cgi?id=1335291

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	loader: Replace strcmp() with g_str_equal()
	https://bugzilla.redhat.com/show_bug.cgi?id=1335291

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

2018-09-05  Daniel P. Berrangé  <berrange@redhat.com>

	Refresh translations from zanata

2018-07-24  Pierre-Alain TORET  <pierre-alain.toret@protonmail.com>

	netbsd: Add NetBSD 8.0 isodata
	Acked-by: Christophe Fergeau <cfergeau@redhat.com>

2018-07-20  Věra Cholasta  <vbudikov@redhat.com>

	ubuntu: Add test files for Ubuntu18.04
	Reviewed-by: Fabiano Fidêncio <fabiano@fidencio.org>

2018-07-20  Pierre-Alain TORET  <pierre-alain.toret@protonmail.com>

	dragonflybsd : Add DragonFlyBSD 5.x isodata
	Reviewed-by: Fabiano Fidêncio <fabiano@fidencio.org>

2018-07-18  Věra Cholasta  <vbudikov@redhat.com>

	rhel: Add RHEL6.10 iso test files
	Reviewed-by: Fabiano Fidêncio <fabiano@fidencio.org>

2018-07-18  Charles Arnold  <carnold@suse.com>

	sles: Add SLE15 ISO Information
	Reviewed-by: Fabiano Fidêncio <fabiano@fidencio.org>

2018-07-18  Věra Cholasta  <vbudikov@redhat.com>

	Add test files for Alpinelinux 3.8
	Acked-by: Christophe Fergeau <cfergeau@redhat.com>

2018-07-03  Roman Bogorodskiy  <bogorodskiy@gmail.com>

	freebsd: add FreeBSD 11.2 isodata
	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

2018-06-20  Daniel P. Berrangé  <berrange@redhat.com>

	Post release version bump

	Update NEWS for 1.2.0 release

2018-06-12  Fabiano Fidêncio  <fabiano@fidencio.org>

	silverblue: Move isodata to its own folder
	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

2018-06-07  Fabiano Fidêncio  <fabiano@fidencio.org>

	syms: Add missing "global" on 0.2.[7-10] versions
	Reported-by: Michal Privoznik <mprivozn@redhat.com>
	Reviewed-by: Michal Privoznik <mprivozn@redhat.com>

	syms: Fix identation of 0.2.13 symbols
	When adding the symbols for LIBOSINFO_0.2.13 I mistakenly added the
	symbols not respecting default identation used (1 tab) and ended up
	using 4 spaces instead.

	Reviewed-by: Michal Privoznik <mprivozn@redhat.com>

2018-05-31  Fabiano Fidêncio  <fabiano@fidencio.org>

	opensuse: Add Leap 15.0 isodata
	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

	tests: Add test-os-resources
	test-os-resources has been written to avoid bug as having minimum
	resources greater than the recommended resources in osinfo-db.

	This problem was exposed by RHEL/CentOS data files, which caused some
	really bad UI effect in clientes using those two attributes (as GNOME
	Boxes).

	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

2018-05-14  Fabiano Fidêncio  <fabiano@fidencio.org>

	fedora: Add f28 isodata
	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

2018-05-12  Pierre-Alain TORET  <pierre-alain.toret@protonmail.com>

	netbsd: Add NetBSD 7.1.2 isodata
	Reviewed-by: Fabiano Fidêncio <fabiano@fidencio.org>

2018-05-12  Andrea Bolognani  <abologna@redhat.com>

	tools: Fix compilation with Clang 6
	Clang 6 doesn't like the way the last item in a GOptionEntry
	array is initialized:

	  ../../tools/osinfo-install-script.c:87:12: error: missing field
	  'short_name' initializer [-Werror,-Wmissing-field-initializers]
	      { NULL }
	             ^
	  1 error generated.
	  gmake[2]: *** [Makefile:540: osinfo-install-script.o] Error 1
	  gmake[2]: *** Waiting for unfinished jobs....
	  ../../tools/osinfo-detect.c:104:12: error: missing field
	  'short_name' initializer [-Werror,-Wmissing-field-initializers]
	      { NULL }
	             ^
	  1 error generated.
	  gmake[2]: *** [Makefile:540: osinfo-detect.o] Error 1

	Fix the issue by using the { 0 } initializer instead.

	Reviewed-by: Eric Blake <eblake@redhat.com>
	Reviewed-by: Fabiano Fidêncio <fabiano@fidencio.org>

2018-05-10  Andrea Bolognani  <abologna@redhat.com>

	autogen: Don't hardcode --enable-gtk-doc
	The usual behavior is for configure to detect the availability
	of gtk-doc, along with other optional features, and only enable
	it if found.

	Hardcoding it this way is causing issues for MinGW builds,
	where pkg-config is looking in the MinGW-specific paths and
	can't locate the native gtk-doc.pc file, thus concluding
	gtk-doc must not be present and aborting the build altogether
	instead of simply skipping API reference generation.

	Both 'make distcheck' (through the DISTCHECK_CONFIGURE_FLAGS
	variable) and the prepare-release.sh script are already
	enforcing the availability of gtk-doc when preparing releases,
	so it's safe to use the default behavior for regular builds.

2018-05-08  Daniel P. Berrangé  <berrange@redhat.com>

	configure: fix HAVE_CURL conditional on Win32
	AM_CONDITIONAL lines must always be executed, but HAVE_CURL was inside
	an "if ...", which caused configure to fail when run on Win32.

2018-05-08  Andrea Bolognani  <abologna@redhat.com>

	spec: Drop %{extra_release}
	It was mainly meant to be used for automatic builds through
	Test::AutoBuild, so it can be removed now.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	prepare-release: Drop references to Test::AutoBuild
	They are misleading, and no longer relevant anyway.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

	maint: Rename autobuild.sh to prepare-release.sh
	The script was originally used by the Test::AutoBuild
	project to perform periodic automatic builds; however, that
	effort has been abandoned a long time ago, and these days
	libosinfo CI builds are happening on the Jenkins-based
	CentOS CI environment under the libvirt umbrella[1], where
	build recipes are maintained separately from the projects
	themselves.

	The script is still used to prepare releases, so it can't
	be dropped from the repository: rename it so that its
	purpose is more clearly communicated instead.

	[1] https://ci.centos.org/view/libvirt/

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

2018-05-04  Andrea Bolognani  <abologna@redhat.com>

	rhel: Fix isodata for RHEL 7.5 on ppc64le
	There is a spurious empty line at the end of the file that
	causes 'make syntax-check' to fail with:

	  [...]
	  tests/isodata/rhel/rhel7.5/RHEL-7.5-20180322.0-Server-ppc64le-dvd1.iso.txt
	  maint.mk: empty line(s) or no newline at EOF
	  make: *** [maint.mk:927: sc_prohibit_empty_lines_at_EOF] Error 1

	Get rid of it to solve the issue.

	See also

	  https://ci.centos.org/view/libvirt/job/libosinfo-master-syntax-check/123/

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

2018-05-02  Felipe Borges  <felipe10borges@gmail.com>

	rhel: Add RHEL 7.5 isodata
	Reviewed-by: Christophe Fergeau <cfergeau@redhat.com>

2018-04-24  Fabiano Fidêncio  <fabiano@fidencio.org>

	tumbleweed: Add "Kubic DVD/USB Stick" isodata
	Reviewed-by: Charles Arnold <carnold@suse.com>

	tumbleweed: Add "Network Image" isodata
	Reviewed-by: Charles Arnold <carnold@suse.com>

	opensuse-42.3: Add "Network Image" isodata
	Reviewed-by: Charles Arnold <carnold@suse.com>

2018-04-10  Christophe Fergeau  <cfergeau@redhat.com>

	loader: Fix leak in osinfo_loader_find_files()
	'tmp' is used to iterate over the list of files, so it will be NULL at
	the end of the iteration, and g_list_free() will be a no-op.
	The initial list is stored in 'children', so free that instead.

	Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>

2018-04-10  Pierre-Alain TORET  <pierre-alain.toret@protonmail.com>

	openbsd: add OpenBSD 6.3 isodata

2018-04-10  Natanael Copa  <ncopa@alpinelinux.org>

	alpinelinux: add Alpine Linux isodata

2018-04-10  Vincent  <vincent.dao@asianux.com>

	asianux: add Asianux isodata

2018-03-18  Daniel P. Berrangé  <berrange@redhat.com>

	loader: process files in alphabetical order
	Currently when loading DB files we process them in whatever order
	readdir() returns them in, which is often inode order. This makes the
	order of loading files non-deterministic across installs, and if there
	are ambiguities in the data, we can in turn get different results.
	eg ISO images match different OS entries depending on load order.

	Alphabetically sorting the files doesn't remove any ambiguity that
	may exist, but at least gives us consistent results on every host.

	Reviewed-by: Fabiano Fidêncio <fabiano@fidencio.org>

2018-03-18  Pierre-Alain TORET  <pierre-alain.toret@protonmail.com>

	fedora27: Add Atomic Workstation isodata
	Reviewed-by: Fabiano Fidêncio <fabiano@fidencio.org>

2018-03-11  Pierre-Alain TORET  <pierre-alain.toret@protonmail.com>

	fedora: add Fedora 27 isodata
	Reviewed-by: Fabiano Fidêncio <fabiano@fidencio.org>

2018-03-11  Charles Arnold  <carnold@suse.com>

	sles: add SLE12 SP3 ISO Information
	Add SLE12 SP3 ISO Information

	Reviewed-by: Fabiano Fidêncio <fabiano@fidencio.org>

2018-03-11  Felipe Borges  <felipeborges@gnome.org>

	windows: add win2k16 test data
	Reviewed-by: Fabiano Fidêncio <fabiano@fidencio.org>

	pop_os: add Pop!_OS test data
	Reviewed-by: Fabiano Fidêncio <fabiano@fidencio.org>

2018-03-11  Christophe Fergeau  <cfergeau@redhat.com>

	tests: Remove calls to g_log_set_always_fatal()
	All tests call that method because they want g_warning() to be fatal.
	Since the switch to GTest, this is no longer necessary as this is the
	default  behaviour.

	Reviewed-by: Fabiano Fidêncio <fabiano@fidencio.org>

2018-02-23  Daniel P. Berrangé  <berrange@redhat.com>

	m4: turn off -Wfunction-cast-type warning flag from gcc8
	GCC 8 adds -Wfunction-cast-type to -Wextra, but this breaks when using
	G_DEFINE_TYPE which does so called "bad" function casts.

2018-02-19  Christophe Fergeau  <cfergeau@redhat.com>

	test-isodetect: Iterate over all isodata/ subdirs
	When adding support for a new vendor, test-isodetect.c needs to be
	updated to list it, which is too easy to forget.
	This commit iterates over subdirs in tests/isodata/ and uses these as
	the vendors to test for. This means no further modification of
	test-isodetect.c is needed when adding a new vendor.

2018-02-16  Christophe Fergeau  <cfergeau@redhat.com>

	NetBSD: add NetBSD 6.x and 7.x tests isodata
	Based on a patch from Vicente Chaves de Melo <vchaves@ymail.com>

2018-02-15  Felipe Borges  <felipeborges@gnome.org>

	opensuse: add OpenSUSE Leap 42.3 test data

2018-02-14  Felipe Borges  <felipeborges@gnome.org>

	freedos: add freedos 1.2 test data

2018-01-15  Christophe Fergeau  <cfergeau@redhat.com>

	test-isodetect: Improve error message on detection failures
	Since the switch to the GTest framework, when the test suite fails to
	identify an ISO, the error message is:
	ERROR:test-isodetect.c:359:test_one: 'matched' should be TRUE
	while it used to be the much more explicit:
	ERROR **: ISO alpine-extended-3.7.0_rc2-x86_64.iso.txt was not matched by OS alpinelinux3.7

	This commit readds the explicit message on this particular failure.

2017-12-04  Daniel P. Berrange  <berrange@redhat.com>

	Refresh translations from zanata

2017-11-29  Pino Toscano  <ptoscano@redhat.com>

	ubuntu: add Ubuntu 17.10 test data

2017-11-22  Zeeshan Ali  <zeeshan@kinvolk.io>

	Drop redundant 'const' keyword from object parameters
	Use of 'const' parameter on object parameters is redundant, inconsistent
	(both internally and against other GObject libraries) and currently breaks
	the low-level Rust binding generator:

	https://github.com/gtk-rs/glib/pull/249

2017-11-06  Christophe Fergeau  <cfergeau@redhat.com>

	tests: Add test case for Windows 10 1709 builds
	These are currently missing from osinfo-db


	https://bugzilla.redhat.com/show_bug.cgi?id=1509387

2017-11-06  Debarshi Ray  <debarshir@gnome.org>

	Marginally simplify the code to create and run a GMainLoop
	Even though g_main_loop_new accepts a is_running parameter, it isn't
	very important since g_main_loop_run will set it to TRUE anyway. There
	is no requirement that it should be set before calling g_main_loop_run.
	The vast majority of GMainLoop users simply ignore the is_running
	parameter unless they are doing something out of the ordinary.

2017-11-01  Pavel Hrdina  <phrdina@redhat.com>

	tests: get the curl response code every time (more)
	This failed on FreeBSD with following error:

	../../tests/test-treeuris.c:47:13: error: variable 'response_code' is used uninitialized whenever 'if' condition is false [-Werror,-Wsometimes-uninitialized]

	tests: get the curl response code every time
	This failed on FreeBSD with following error:

	../../tests/test-mediauris.c:47:13: error: variable 'response_code' is used uninitialized whenever 'if' condition is false [-Werror,-Wsometimes-uninitialized]

	Reviewed-by: Daniel P. Berrange <berrange@redhat.com>

2017-10-20  Roman Bogorodskiy  <bogorodskiy@gmail.com>

	freebsd: Add FreeBSD 10.4 isodata
	Acked-by: Christophe Fergeau <cfergeau@redhat.com>

2017-10-19  Pino Toscano  <ptoscano@redhat.com>

	tests: convert from check to the GLib testing framework
	GLib has shipped a testing framework for many years already, so we can
	make use of it, replacing the external "check".

	The conversion only switches framework without changing the structure of
	the tests, making use of the more appropriate assertion in the various
	places.

	build: make curl optional, and only for tests
	Look for curl only when the tests are enabled, and as optional build
	dependency.  If curl is missing, then the two network tests are not
	built.  Also, limit the use of curl CFLAGS/LIBS only for the tests that
	really need it.

	As side result, it is possible to drop the curl BuildRequires from the
	mingw spec, as it builds with --enable-tests=no.

	Reviewed-by: Daniel P. Berrange <berrange@redhat.com>

	build: fix disabling of tests
	Actually use the result of the configure switch --enable-tests, enabling
	or disabling the tests accordingly.

	Reviewed-by: Daniel P. Berrange <berrange@redhat.com>

2017-10-18  Pierre-Alain TORET  <pierre-alain.toret@protonmail.com>

	openbsd: add OpenBSD 5.9 isodata

2017-10-16  Pierre-Alain TORET  <pierre-alain.toret@protonmail.com>

	openbsd: add OpenBSD 6.2 isodata
	Acked-by: Christophe Fergeau <cfergeau@redhat.com>

	openbsd: add OpenBSD 6.1 isodata
	Acked-by: Christophe Fergeau <cfergeau@redhat.com>

	openbsd: add OpenBSD 6.0 isodata
	Acked-by: Christophe Fergeau <cfergeau@redhat.com>

2017-10-16  Pino Toscano  <ptoscano@redhat.com>

	tests: test-mediauris: raise timeout to 5 minutes
	With the growing amount of distros in osinfo-db, the test takes more
	and more time to complete, hitting the 2 minutes timeout in case of any
	network hiccup (or simply when a server takes more time to reply).

	Hence, raise the timeout to 5 minutes, which ought to be enough now.

	Acked-by: Christophe Fergeau <cfergeau@redhat.com>

	Revert "tests: test-mediauris: skip non-http URLs"
	Now that test-mediauris uses libcurl, it can handle protocols different
	than http(s), like ftp, just fine.

	This reverts commit 4c9c7185475a9739af51a9fc680e5b8a97055467.

	Acked-by: Christophe Fergeau <cfergeau@redhat.com>

	Switch from libsoup to libcurl
	libsoup is used to check the validity of URLs in distributions in
	osinfo-db; OTOH it supports only HTTP(S), so this limits the checks to
	that protocol.

	To overcome this limitation, switch to libcurl: while it requires
	slightly more code to do the same task, it provides a bit more
	flexibility, and support for other protocols.  No version check is
	performed, since the APIs used are old enough.

	Adapt also the README, and the packaging files.

	Acked-by: Christophe Fergeau <cfergeau@redhat.com>

2017-08-15  Daniel P. Berrange  <berrange@redhat.com>

	Post-release version bump

	Update NEWS for 1.1.0 release

2017-08-14  Daniel P. Berrange  <berrange@redhat.com>

	Unset LC_ALL, as LC_CTYPE doesn't override a previous LC_ALL setting

2017-08-10  Daniel P. Berrange  <berrange@redhat.com>

	Run glib-mkenums in en_US.UTF-8 locale
	The new python based glib-mkenums crashes if run in the C
	locale as python is (incorrectly) not 8-bit clean when
	processing input.

2017-08-03  Pino Toscano  <ptoscano@redhat.com>

	rhel: add RHEL 7.4 test data

2017-08-02  Pino Toscano  <ptoscano@redhat.com>

	tests: make the network tests run
	Load the default osinfo path, since the osinfo data are no more part of
	the libosinfo sources.

	The tests still fails though, but this is due to missing paths to ISOs
	and trees.

	tests: test-mediauris: show status code on failure
	It helps when debugging failures, to check what is actual error for an
	URL.

	tests: test-mediauris: skip non-http URLs
	The test uses libsoup, which supports only HTTP, and not other
	protocols such as FTP.  Hence, allow only http and https URLs.

	mageia: add Mageia 6 test data

2017-08-02  Roman Bogorodskiy  <bogorodskiy@gmail.com>

	freebsd: add FreeBSD 11.1 isodata

2017-07-13  Guido Günther  <agx@sigxcpu.org>

	test-isodetect: add Debian's arm flavours
	to avoid "Unknown arch" debug messages

2017-07-12  Guido Günther  <agx@sigxcpu.org>

	test-isodetect: fix parsing of application, system and publisher id

2017-07-12  Pino Toscano  <ptoscano@redhat.com>

	fedora: add Fedora 26 test data

2017-07-11  Guido Günther  <agx@sigxcpu.org>

	tests: add Debian 9.0 test data

2017-05-30  Christophe Fergeau  <cfergeau@redhat.com>

	build: Don't use private headers for gir/vapi generation
	Using private headers when generating the gir/vapi files mean that they
	are listing private methods which are not exported by the shared
	library, as well as types which are not present in public headers, and
	not meant to be used by external users.

	This was noticed with recent vala.git as it started erroring out on the
	ProductForeachFlag which is only defined in osinfo_product_private.h

	https://bugzilla.redhat.com/show_bug.cgi?id=1456709

2017-05-03  Pino Toscano  <ptoscano@redhat.com>

	ubuntu: add Ubuntu 17.04 test data
	Acked-by: Fabiano Fidêncio <fabiano@fidencio.org>

2017-05-02  Roman Bogorodskiy  <bogorodskiy@gmail.com>

	configure: add (usb|pci).ids locations on FreeBSD
	Add default locations for usb.ids and pci.ids on FreeBSD,
	i.e. paths used when installing this from misc/usbids
	and misc/pciids ports.

	This way users on FreeBSD don't need to explicitly set
	these paths using --with-(usb|pci)-ids-path flag.

2017-05-02  Daniel P. Berrange  <berrange@redhat.com>

	Move FreeBSD 11 data into tests/ subdir

	Remove trailing whitespace from FreeBSD 11 data files

2017-05-02  Roman Bogorodskiy  <bogorodskiy@gmail.com>

	freebsd: add FreeBSD 11.0 isodata

2017-04-28  Daniel P. Berrange  <berrange@redhat.com>

	Rename test/ to tests/ directory.
	To simplify libvirt Jenkins CI setup, rename the test directory
	to tests, so its name matches that used in other virt projects.

2017-04-27  Daniel P. Berrange  <berrange@redhat.com>

	Fix error propagation in DB loader
	When failing to read the pci/usb ID files we failed to
	propagate the reported error.

	We also had some dead code which would never be reached
	due to earlier gotos.

2017-04-24  Daniel P. Berrange  <berrange@redhat.com>

	Remove blank lines at end of file

2017-04-22  Michal Privoznik  <mprivozn@redhat.com>

	gitignore: Ignore tags
	Acked-by: Christophe Fergeau <cfergeau@redhat.com>

	docs: Fix couple of warnings
	Firstly, two functions
	(osinfo_install_script_has_config_param_{name,list}) don't
	document their arguments.  Secondly, gtk-doc requires enum
	documentation to be in one block with no empty lines in it.
	Then at last, private enums are marked as <private> not <skip>.

	Acked-by: Christophe Fergeau <cfergeau@redhat.com>

2017-04-21  Fabiano Fidêncio  <fabiano@fidencio.org>

	Add 'eject-after-install' parameter to OsinfoMedia
	If the media is an installer, thus specifies whether the media should be
	ejected after the installation process. Default value is true.

	This is mainly needed for applications like GNOME Boxes (and maybe
	virt-install) to be able to decide whether the media should be ejected
	or not when the final reboot happens during its installation process.

	The latter case may happen when the installer leaves some packages to be
	installed after rebooting the OS for the last time.

	The issue solved by this patch is a corner-case faced when adding the
	install scripts for SLES, as during its installation only one reboot is
	performed (so, installer-reboots attribute doesn't help us) and the media
	must not be ejected after the reboot in order to finish the installation.

	Acked-by: Daniel P. Berrange <berrange@redhat.com>

2017-04-18  Pino Toscano  <ptoscano@redhat.com>

	centos: add CentOS 6.8 and 6.9 test data

	rhel: add RHEL 6.9 and 7.3 test data

2017-03-20  Guido Günther  <agx@sigxcpu.org>

	Debian: Update Jessie test data
	Acked-by: Fabiano Fidêncio <fabiano@fidnecio.org>

2017-03-20  Pino Toscano  <ptoscano@redhat.com>

	mageia: add Mageia 4 and 5 test data
	Acked-by: Fabiano Fidêncio <fabiano@fidencio.org>

	ubuntu: add Ubuntu 16.10 test data
	Acked-by: Fabiano Fidêncio <fabiano@fidencio.org>

2017-02-23  Roman Bogorodskiy  <bogorodskiy@gmail.com>

	Improve Perl-related routines
	 * Add a check for the 'perl' program to configure.ac as
	   $(PERL) is used in various places
	 * Do not hardcode '/usr/bin/perl' in perl scripts
	   because on FreeBSD and maybe some other systems it's installed
	   in a different prefix, so use '/usr/bin/env perl' instead.

2017-02-23  Daniel P. Berrange  <berrange@redhat.com>

	Remove reference to fedorahosted.org in spec files

2017-02-22  Daniel P. Berrange  <berrange@redhat.com>

	Disable -Wunsafe-loop-optimizations warnings
	This warning option is not reporting broken code. Rather it is merely
	identifying loops which GCC would not be able to optimize fully when
	using -funsafe-loop-optimizations.  In GCC 7 this triggers on the
	loader code

	osinfo_loader.c: In function 'osinfo_loader_process_list':
	osinfo_loader.c:2127:11: error: missed loop optimization, the loop counter may overflow [-Werror=unsafe-loop-optimizations]
	     while (tmp && *tmp) {
	           ^

	The warning just needs to be turned off since the code is not broken,
	and we don't care about the optimization level

2017-02-07  Charles Arnold  <carnold@suse.com>

	suse: Add SLED-12-SP2 data

	suse: Add SLES-12-SP2 data

	opensuse: Add openSUSE Leap 42.2 data

2017-01-12  Fabiano Fidêncio  <fidencio@redhat.com>

	fedora: Add F25 data
	Acked-by: Christophe Fergeau <cfergeau@redhat.com>

2016-12-23  Fabiano Fidêncio  <fidencio@redhat.com>

	media: Remove ISO header strings' padding
	The strings in the ISO header ("volume-id", "system-id", "publisher-id"
	and "application-id") have a predefined size and are padded with spaces,
	but nothing in on_{pvd,svd}_read() removes these padding spaces from
	those strings, which makes osinfo_media_get_volume_id() always return
	[SOME-ISO-LABEL                  ] rather than the expected
	[SOME-ISO-LABEL].

	Resolves: rhbz#1408271

	Reported-by: Allan Day <aday@redhat.com>
	Acked-by: Christophe Fergeau <cfergeau@redhat.com>

2016-12-20  Christophe Fergeau  <cfergeau@redhat.com>

	win10: Add test cases for recent Windows 10 builds
	Recent Windows 10 builds (build 1607) seem to have dropped the J_ at the
	beginning of the volume ID.
	These additional files make sure we've got test cases for this kind of
	win10 ISOs.

2016-11-06  Guido Günther  <agx@sigxcpu.org>

	loader: Fix typo in error message

	test-isodetect: extend arch table
	Reduces the output a bit when running under G_MESSAGES_DEBUG.

2016-10-29  Guido Günther  <agx@sigxcpu.org>

	examples: avoid PyGIWarning
	This fixes

	demo.py:3: PyGIWarning: Libosinfo was imported without specifying a version first. Use gi.require_version('Libosinfo', '1.0') before import
	to ensure that the right version gets loaded.
	  from gi.repository import Libosinfo as osinfo;

2016-10-10  Daniel P. Berrange  <berrange@redhat.com>

	Test suite requires osinfo-db to be installed

2016-10-07  Daniel P. Berrange  <berrange@redhat.com>

	Post-release version bump

	Update NEWS for 1.0.0

	Refresh PO files from zanata

	Revert "Fix mingw DLL version after bump to 1.0.0"
	This reverts commit dd68d8ccb0abb9cab7324da1b3a706dbf158870b.

	This is not required after

	  commit 8ec2de1ff44e47d189386cb5e83d26521fc76f29
	  Author: Daniel P. Berrange <berrange@redhat.com>
	  Date:   Wed Aug 10 10:09:17 2016 +0100

	    configure: fix accidental break in soname

2016-08-11  Daniel P. Berrange  <berrange@redhat.com>

	spec: fix path to test-suite.log - its in the test subdir

2016-08-10  Daniel P. Berrange  <berrange@redhat.com>

	spec: preserve error exit code on test failure

	spec: display test results on failure
	autotools hides detailed test output by default, so we must
	cat test-suite.log on failure to actually see what went
	wrong.

	configure: fix accidental break in soname
	The change in version from 0.3.0 to 1.0.0 triggered a latent
	bug in our code which sets the library soname. This meant we
	created libosinfo-1.0.so.1 instead of libosinfo-1.0.so.0

	Pull in the fix from libvirt which is where the original logic
	was copied from.

	Remove database files
	Remove the database files and add a dependency on the
	osinfo-db RPM

	loader: update to comply with new database install location
	The new database locations are

	  - System location

	    This is determined by the env variable

	      $OSINFO_SYSTEM_DIR

	    If not set, then defaults to /usr/share/osinfo

	    This location is intended for use by operating system
	    distributors to install the initial data set via a
	    package management system like RPM or Deb

	  - Local location

	    This is determined by the env variable

	      $OSINFO_LOCAL_DIR

	    If not set, then defaults to /etc/osinfo

	    This location is intended for use by local system
	    administrators to install custom local data that
	    should be available to all users on a host

	  - User location

	    This is determined by the env variable

	      $OSINFO_USER_DIR

	    If not set, then defaults to $XDG_CONFIG_HOME/osinfo

	    If that is not set, then defaults to $HOME/.config/osinfo

	    This location is intended for use by unprivileged users
	    wishing to install local data for use by their applications

	Adapt to use those, but include temporary support for looking
	at the legacy local & user directory locations, and the
	OSINFO_DATA_DIR env variable for back-compat.

2016-07-18  Daniel P. Berrange  <berrange@redhat.com>

	Remove osinfo-db-validate tool
	Remove the osinfo-db-validate tool which is now available
	via osinfo-db-tools. Add a RPM dep on osinfo-db-tools to
	pull it in for upgradability.

	Assume availability of gobject introspection during RPM build
	The gobject introspection support is available for all
	currently targetted platforms, so remove RPM conditionals.

	Fix mingw DLL version after bump to 1.0.0

2016-07-08  Daniel P. Berrange  <berrange@redhat.com>

	fedora: record when virtio devices were made available
	We currently only record virtio-net, virtio-blk data against
	Fedora. virtio-9p, virtio-balloon and virtio-console were
	also all available in Fedora 9 kernels, with virtio-rng
	added in Fedora 10 and virtio-scsi in Fedora 17.

	The virtio-1.0 devices all appeared in Fedora 23 guest
	kernels

	Add missing virtio PCI devices
	We were missing virtio-rng and virtio-scsi, as well as
	all the virtio 1.0 device variants, which have different
	PCI IDS

	The pci.ids file lists the following known devices

		1000  Virtio network device
		1001  Virtio block device
		1002  Virtio memory balloon
		1003  Virtio console
		1004  Virtio SCSI
		1005  Virtio RNG
		1009  Virtio filesystem
		1041  Virtio network device
		1042  Virtio block device
		1043  Virtio console
		1044  Virtio RNG
		1045  Virtio memory balloon
		1048  Virtio SCSI
		1049  Virtio filesystem
		1050  Virtio GPU
		1052  Virtio input

	Of which, only 1001, 1001, 1002 and 1009 were recorded in
	libosinfo. They would have appeared via pci.ids file loading,
	but they would have lacked friendly names.

2016-07-05  Marc-André Lureau  <marcandre.lureau@redhat.com>

	fedora: Add F24 info & testcases
	Fedora 24 with virtio-gpu support.

2016-07-04  Marc-André Lureau  <marcandre.lureau@gmail.com>

	device: add virtio-gpu
	virtio-gpu is a non-legacy device, so device_id is always 0x10 + 0x1040.

2016-07-01  Daniel P. Berrange  <berrange@redhat.com>

	Post-release version bump to 1.0.0
	Bump major version to reflect that that we're splitting up
	the codebase in next release

	Update NEWS for 0.3.1 release

2016-07-01  Christophe Fergeau  <cfergeau@redhat.com>

	test: Remove empty line at end of XML test file
	This fixes a make syntax-check failure.

	install-script: Return glib-allocated string from ::apply_xslt()
	Strings created by libxml2 should be freed with xmlFree while glib ones
	should be freed with g_free, so it's cleaner to allocate the string
	returned from ::apply_xslt() with the glib allocator as it's meant to be
	g_free'ed later on.

	osinfo: Add GDestroyNotify callback to g_task_return_pointer calls
	The GDestroyNotify callback passed to g_task_return_pointer() is used to
	free the associated pointer in case g_task_propagate_pointer() is not
	called (error cases, _finish() never called, ...).

	When the GTask owns the pointer it's passed through
	g_task_return_pointer() (for example the _finish() function is (transfer
	full) and only calls g_task_propagate_pointer()), we need to set a
	GDestroyNotify when calling g_task_return_pointer() or we may have leaks
	in corner cases.

	tools: Fix OsinfoOs leak in osinfo-install-script
	The OsinfoOs instance returned by osinfo_media_get_os() must be unref'ed
	when no longer needed.
	osinfo-install-script has code doing:
	if (media == NULL) {
	        os = find_os();
	} else {
	        os = osinfo_media_get_os();
	}

	find_os() does not return a ref'ed OsinfoOs to the caller, while
	osinfo_media_get_os() does. In order to make it possible to release the
	ref returned by osinfo_media_get_os(), this commit changes find_os() to
	always ref the OsinfoOs instance it returns.

	Moreover, one of the codepaths in find_os() looks like it was
	potentially returning an invalid pointer:

	os = OSINFO_OS(osinfo_list_get_nth(OSINFO_LIST(filteredList), 0));
	g_object_unref(filteredList);

	The OsinfoOs instance was probably kept alive by references held outside
	of the filtered list, but it's safer to keep a reference to ourselves,
	which this commit is doing anyway in order to fix find_os() memory
	handling.

	install-script: Fix OsinfoOs leaks
	The OsinfoOs instance returned by osinfo_media_get_os must be unref'ed
	when no longer needed.

	This fixes:

	==29859== 3,926 (96 direct, 3,830 indirect) bytes in 1 blocks are definitely lost in loss record 2,286 of 2,295
	==29859==    at 0x65E19D0: g_type_create_instance (gtype.c:1854
	==29859==    by 0x65C36AA: g_object_new_internal (gobject.c:1781)
	==29859==    by 0x65C55ED: g_object_new_valist (gobject.c:2040)
	==29859==    by 0x65C58A0: g_object_new (gobject.c:1624)
	==29859==    by 0x5339F69: osinfo_os_new (osinfo_os.c:201)
	==29859==    by 0x5347FFD: osinfo_loader_get_os (osinfo_loader.c:464)
	==29859==    by 0x534B439: osinfo_loader_os (osinfo_loader.c:1410)
	==29859==    by 0x534BFB1: osinfo_loader_root (osinfo_loader.c:1599)
	==29859==    by 0x534C399: osinfo_loader_process_xml (osinfo_loader.c:1680)
	==29859==    by 0x534CFEE: osinfo_loader_process_file_reg_xml (osinfo_loader.c:1877)
	==29859==    by 0x534DA1F: osinfo_loader_process_list (osinfo_loader.c:2160)
	==29859==    by 0x534DCEA: osinfo_loader_process_path (osinfo_loader.c:2232)
	==29859==    by 0x402310: test_script_file (test-install-script.c:146)
	==29859==    by 0x5117535: tcase_run_tfun_nofork.isra.9 (check_run.c:390)
	==29859==    by 0x51178EB: srunner_iterate_tcase_tfuns (check_run.c:231)
	==29859==    by 0x51178EB: srunner_run_tcase (check_run.c:373)
	==29859==    by 0x51178EB: srunner_iterate_suites (check_run.c:195)
	==29859==    by 0x51178EB: srunner_run (check_run.c:782)
	==29859==    by 0x40303D: main (test-install-script.c:349)
	==29859==-
	==29859== 3,926 (96 direct, 3,830 indirect) bytes in 1 blocks are definitely lost in loss record 2,287 of 2,295
	==29859==    at 0x65E19D0: g_type_create_instance (gtype.c:1854)
	==29859==    by 0x65C36AA: g_object_new_internal (gobject.c:1781)
	==29859==    by 0x65C55ED: g_object_new_valist (gobject.c:2040)
	==29859==    by 0x65C58A0: g_object_new (gobject.c:1624)
	==29859==    by 0x5339F69: osinfo_os_new (osinfo_os.c:201)
	==29859==    by 0x5347FFD: osinfo_loader_get_os (osinfo_loader.c:464)
	==29859==    by 0x534B439: osinfo_loader_os (osinfo_loader.c:1410)
	==29859==    by 0x534BFB1: osinfo_loader_root (osinfo_loader.c:1599)
	==29859==    by 0x534C399: osinfo_loader_process_xml (osinfo_loader.c:1680)
	==29859==    by 0x534CFEE: osinfo_loader_process_file_reg_xml (osinfo_loader.c:1877)
	==29859==    by 0x534DA1F: osinfo_loader_process_list (osinfo_loader.c:2160)
	==29859==    by 0x534DCEA: osinfo_loader_process_path (osinfo_loader.c:2232)
	==29859==    by 0x402626: test_script_data (test-install-script.c:199)
	==29859==    by 0x5117535: tcase_run_tfun_nofork.isra.9 (check_run.c:390)
	==29859==    by 0x51178EB: srunner_iterate_tcase_tfuns (check_run.c:231)
	==29859==    by 0x51178EB: srunner_run_tcase (check_run.c:373)

	install-script: Fix leak in _template_loaded()
	The file content obtained through g_file_load_contents_finish() was
	never freed.

	This fixes:
	==29859== 16,384 bytes in 1 blocks are definitely lost in loss record 2,294 of 2,295
	==29859==    at 0x4C2DC57: realloc (vg_replace_malloc.c:785)
	==29859==    by 0x684FF1F: g_realloc (gmem.c:159)
	==29859==    by 0x681DE68: g_array_maybe_expand (garray.c:779)
	==29859==    by 0x681E783: g_array_set_size (garray.c:555)
	==29859==    by 0x681F328: g_byte_array_set_size (garray.c:1752)
	==29859==    by 0x626F143: load_contents_read_callback (gfile.c:6885)
	==29859==    by 0x6289129: async_ready_callback_wrapper (ginputstream.c:532)
	==29859==    by 0x62B0342: g_task_return_now (gtask.c:1107)
	==29859==    by 0x62B0378: complete_in_idle_cb (gtask.c:1121)
	==29859==    by 0x684A702: g_main_dispatch (gmain.c:3154)
	==29859==    by 0x684A702: g_main_context_dispatch (gmain.c:3769)
	==29859==    by 0x684AAAF: g_main_context_iterate.isra.29 (gmain.c:3840)
	==29859==    by 0x684ADD1: g_main_loop_run (gmain.c:4034)
	==29859==    by 0x402442: test_script_file (test-install-script.c:165)
	==29859==    by 0x5117535: tcase_run_tfun_nofork.isra.9 (check_run.c:390)
	==29859==    by 0x51178EB: srunner_iterate_tcase_tfuns (check_run.c:231)
	==29859==    by 0x51178EB: srunner_run_tcase (check_run.c:373)
	==29859==    by 0x51178EB: srunner_iterate_suites (check_run.c:195)
	==29859==    by 0x51178EB: srunner_run (check_run.c:782)
	==29859==    by 0x40303D: main (test-install-script.c:349)

	install-script: Fix leak in error case in generate_entity_xml()
	The key list returned by osinfo_entity_get_param_keys() was freed in the
	nominal case, but not in the error case.

	install-script: Fix GFile leaks
	This fixes:

	==12193== 89 (32 direct, 57 indirect) bytes in 1 blocks are definitely lost in loss record 1,826 of 2,310
	==12193==    at 0x4C2BBAD: malloc (vg_replace_malloc.c:299)
	==12193==    by 0x684FE58: g_malloc (gmem.c:94)
	==12193==    by 0x6866D42: g_slice_alloc (gslice.c:1025)
	==12193==    by 0x686736D: g_slice_alloc0 (gslice.c:1051)
	==12193==    by 0x65E1821: g_type_create_instance (gtype.c:1857)
	==12193==    by 0x65C36AA: g_object_new_internal (gobject.c:1781)
	==12193==    by 0x65C50CC: g_object_newv (gobject.c:1928)
	==12193==    by 0x65C58B3: g_object_new (gobject.c:1621)
	==12193==    by 0x6320EF9: _g_local_file_new (glocalfile.c:301)
	==12193==    by 0x98512F7: g_daemon_vfs_get_file_for_path (gdaemonvfs.c:383)
	==12193==    by 0x98513A1: g_daemon_vfs_get_file_for_uri (gdaemonvfs.c:407)
	==12193==    by 0x5334B09: osinfo_install_script_generate_async_common (osinfo_install_script.c:959)
	==12193==    by 0x5335170: osinfo_install_script_generate_for_media_async (osinfo_install_script.c:1216)
	==12193==    by 0x402B8A: test_script_file (test-install-script.c:157)
	==12193==    by 0x5117535: tcase_run_tfun_nofork.isra.9 (check_run.c:390)
	==12193==    by 0x51178EB: srunner_iterate_tcase_tfuns (check_run.c:231)
	==12193==    by 0x51178EB: srunner_run_tcase (check_run.c:373)
	==12193==    by 0x51178EB: srunner_iterate_suites (check_run.c:195)
	==12193==    by 0x51178EB: srunner_run (check_run.c:782)
	==12193==    by 0x401F82: main (test-install-script.c:345)

	==12193== 89 (32 direct, 57 indirect) bytes in 1 blocks are definitely lost in loss record 1,827 of 2,310
	==12193==    at 0x4C2BBAD: malloc (vg_replace_malloc.c:299)
	==12193==    by 0x684FE58: g_malloc (gmem.c:94)
	==12193==    by 0x6866D42: g_slice_alloc (gslice.c:1025)
	==12193==    by 0x686736D: g_slice_alloc0 (gslice.c:1051)
	==12193==    by 0x65E1821: g_type_create_instance (gtype.c:1857)
	==12193==    by 0x65C36AA: g_object_new_internal (gobject.c:1781)
	==12193==    by 0x65C50CC: g_object_newv (gobject.c:1928)
	==12193==    by 0x65C58B3: g_object_new (gobject.c:1621)
	==12193==    by 0x6320EF9: _g_local_file_new (glocalfile.c:301)
	==12193==    by 0x98512F7: g_daemon_vfs_get_file_for_path (gdaemonvfs.c:383)
	==12193==    by 0x98513A1: g_daemon_vfs_get_file_for_uri (gdaemonvfs.c:407)
	==12193==    by 0x402899: test_script_data (test-install-script.c:191)
	==12193==    by 0x5117535: tcase_run_tfun_nofork.isra.9 (check_run.c:390)
	==12193==    by 0x51178EB: srunner_iterate_tcase_tfuns (check_run.c:231)
	==12193==    by 0x51178EB: srunner_run_tcase (check_run.c:373)
	==12193==    by 0x51178EB: srunner_iterate_suites (check_run.c:195)
	==12193==    by 0x51178EB: srunner_run (check_run.c:782)
	==12193==    by 0x401F82: main (test-install-script.c:345)
	=

	test-install-script: Fix various small leaks
	The value returned by osinfo_install_script_generate_for_media_finish()
	was not freed in several codepaths, and the mainloop was not destroyed when
	no longer needed. Data read with g_file_load_contents was also not freed
	when no longer used.

	This fixes:
	==12193== 528 bytes in 1 blocks are definitely lost in loss record 2,279 of 2,310
	==12193==    at 0x4C2BBAD: malloc (vg_replace_malloc.c:299)
	==12193==    by 0x5F6D459: xmlStrndup (xmlstring.c:45)
	==12193==    by 0x556EF95: xsltSaveResultToString (xsltutils.c:1780)
	==12193==    by 0x53345C2: osinfo_install_script_apply_xslt (osinfo_install_script.c:824)
	==12193==    by 0x53346EC: osinfo_install_script_apply_template (osinfo_install_script.c:853)
	==12193==    by 0x5334A7A: osinfo_install_script_generate_async_common (osinfo_install_script.c:942)
	==12193==    by 0x5335170: osinfo_install_script_generate_for_media_async (osinfo_install_script.c:1216)
	==12193==    by 0x40298A: test_script_data (test-install-script.c:212)
	==12193==    by 0x5117535: tcase_run_tfun_nofork.isra.9 (check_run.c:390)
	==12193==    by 0x51178EB: srunner_iterate_tcase_tfuns (check_run.c:231)
	==12193==    by 0x51178EB: srunner_run_tcase (check_run.c:373)
	==12193==    by 0x51178EB: srunner_iterate_suites (check_run.c:195)
	==12193==    by 0x51178EB: srunner_run (check_run.c:782)
	==12193==    by 0x401F82: main (test-install-script.c:345)

	==12193== 16 bytes in 1 blocks are definitely lost in loss record 772 of 2,310
	==12193==    at 0x4C2DA60: calloc (vg_replace_malloc.c:711)
	==12193==    by 0x684FEB0: g_malloc0 (gmem.c:124)
	==12193==    by 0x684ABF1: g_main_loop_new (gmain.c:3929)
	==12193==    by 0x402373: test_script_datamap (test-install-script.c:284)
	==12193==    by 0x5117535: tcase_run_tfun_nofork.isra.9 (check_run.c:390)
	==12193==    by 0x51178EB: srunner_iterate_tcase_tfuns (check_run.c:231)
	==12193==    by 0x51178EB: srunner_run_tcase (check_run.c:373)
	==12193==    by 0x51178EB: srunner_iterate_suites (check_run.c:195)
	==12193==    by 0x51178EB: srunner_run (check_run.c:782)
	==12193==    by 0x401F82: main (test-install-script.c:345)

	==29859== 16,384 bytes in 1 blocks are definitely lost in loss record 2,295 of 2,295
	==29859==    at 0x4C2BAEE: malloc (vg_replace_malloc.c:298)
	==29859==    by 0x4C2DCA1: realloc (vg_replace_malloc.c:785)
	==29859==    by 0x684FF1F: g_realloc (gmem.c:159)
	==29859==    by 0x681DE68: g_array_maybe_expand (garray.c:779)
	==29859==    by 0x681E783: g_array_set_size (garray.c:555)
	==29859==    by 0x681F328: g_byte_array_set_size (garray.c:1752)
	==29859==    by 0x62775AE: g_file_load_contents (gfile.c:6748)
	==29859==    by 0x4025E9: test_script_data (test-install-script.c:195)
	==29859==    by 0x5117535: tcase_run_tfun_nofork.isra.9 (check_run.c:390)
	==29859==    by 0x51178EB: srunner_iterate_tcase_tfuns (check_run.c:231)
	==29859==    by 0x51178EB: srunner_run_tcase (check_run.c:373)
	==29859==    by 0x51178EB: srunner_iterate_suites (check_run.c:195)
	==29859==    by 0x51178EB: srunner_run (check_run.c:782)
	==29859==    by 0x40303D: main (test-install-script.c:349)

	productfilter: Free 'supportDate' in ::finalize()
	This fixes:
	==4878== 8 bytes in 1 blocks are definitely lost in loss record 8 of 319
	==4878==    at 0x4C2BBAD: malloc (vg_replace_malloc.c:299)
	==4878==    by 0x6849E58: g_malloc (gmem.c:94)
	==4878==    by 0x682A114: g_date_new_dmy (gdate.c:289)
	==4878==    by 0x5335C6D: osinfo_productfilter_add_support_date_constraint (osinfo_productfilter.c:210)
	==4878==    by 0x401E8B: test_supportdate (test-product.c:171)
	==4878==    by 0x5117535: tcase_run_tfun_nofork.isra.9 (check_run.c:390)
	==4878==    by 0x51178EB: srunner_iterate_tcase_tfuns (check_run.c:231)
	==4878==    by 0x51178EB: srunner_run_tcase (check_run.c:373)
	==4878==    by 0x51178EB: srunner_iterate_suites (check_run.c:195)
	==4878==    by 0x51178EB: srunner_run (check_run.c:782)
	==4878==    by 0x40165E: main (test-product.c:221)

	productfilter: Fix GDate leak
	osinfo_productfilter_matches_default() was not freeing the GDate
	instances returned by osinfo_product_get_{release,eol}_date().

	This fixes:

	==14496== 16 bytes in 2 blocks are definitely lost in loss record 141 of 382
	==14496==    at 0x4C2BBAD: malloc (vg_replace_malloc.c:299)
	==14496==    by 0x684FE58: g_malloc (gmem.c:94)
	==14496==    by 0x6830114: g_date_new_dmy (gdate.c:289)
	==14496==    by 0x5337012: date_from_string (osinfo_product.c:345)
	==14496==    by 0x533706D: osinfo_product_get_release_date (osinfo_product.c:354)
	==14496==    by 0x5337F6F: osinfo_productfilter_matches_default (osinfo_productfilter.c:279)
	==14496==    by 0x532CC8D: osinfo_filter_matches (osinfo_filter.c:288)
	==14496==    by 0x532D51B: osinfo_list_add_filtered (osinfo_list.c:272)
	==14496==    by 0x532DD52: osinfo_list_new_filtered (osinfo_list.c:443)
	==14496==    by 0x401B35: test_supportdate (test-product.c:140)
	==14496==    by 0x5117535: tcase_run_tfun_nofork.isra.9 (check_run.c:390)
	==14496==    by 0x51178EB: srunner_iterate_tcase_tfuns (check_run.c:231)
	==14496==    by 0x51178EB: srunner_run_tcase (check_run.c:373)
	==14496==    by 0x51178EB: srunner_iterate_suites (check_run.c:195)
	==14496==    by 0x51178EB: srunner_run (check_run.c:782)
	==14496==    by 0x40166E: main (test-product.c:219)
	==14496==-
	==14496== 16 bytes in 2 blocks are definitely lost in loss record 142 of 382
	==14496==    at 0x4C2BBAD: malloc (vg_replace_malloc.c:299)
	==14496==    by 0x684FE58: g_malloc (gmem.c:94)
	==14496==    by 0x6830114: g_date_new_dmy (gdate.c:289)
	==14496==    by 0x5337012: date_from_string (osinfo_product.c:345)
	==14496==    by 0x53370C8: osinfo_product_get_eol_date (osinfo_product.c:364)
	==14496==    by 0x5337F92: osinfo_productfilter_matches_default (osinfo_productfilter.c:280)
	==14496==    by 0x532CC8D: osinfo_filter_matches (osinfo_filter.c:288)
	==14496==    by 0x532D51B: osinfo_list_add_filtered (osinfo_list.c:272)
	==14496==    by 0x532DD52: osinfo_list_new_filtered (osinfo_list.c:443)
	==14496==    by 0x401B35: test_supportdate (test-product.c:140)
	==14496==    by 0x5117535: tcase_run_tfun_nofork.isra.9 (check_run.c:390)
	==14496==    by 0x51178EB: srunner_iterate_tcase_tfuns (check_run.c:231)
	==14496==    by 0x51178EB: srunner_run_tcase (check_run.c:373)
	==14496==    by 0x51178EB: srunner_iterate_suites (check_run.c:195)
	==14496==    by 0x51178EB: srunner_run (check_run.c:782)
	==14496==    by 0x40166E: main (test-product.c:219)

	test-product: Fix two small leaks
	This fixes:

	==14496== 456 (48 direct, 408 indirect) bytes in 1 blocks are definitely lost in loss record 373 of 382
	==14496==    at 0x65E1964: g_type_create_instance (gtype.c:1854)
	==14496==    by 0x65C36AA: g_object_new_internal (gobject.c:1781)
	==14496==    by 0x65C50CC: g_object_newv (gobject.c:1928)
	==14496==    by 0x65C58B3: g_object_new (gobject.c:1621)
	==14496==    by 0x53375FD: osinfo_productfilter_new (osinfo_productfilter.c:93)
	==14496==    by 0x401982: test_supportdate (test-product.c:121)
	==14496==    by 0x5117535: tcase_run_tfun_nofork.isra.9 (check_run.c:390)
	==14496==    by 0x51178EB: srunner_iterate_tcase_tfuns (check_run.c:231)
	==14496==    by 0x51178EB: srunner_run_tcase (check_run.c:373)
	==14496==    by 0x51178EB: srunner_iterate_suites (check_run.c:195)
	==14496==    by 0x51178EB: srunner_run (check_run.c:782)
	==14496==    by 0x40166E: main (test-product.c:219)
	==14496==-
	==14496== 1,964 (48 direct, 1,916 indirect) bytes in 1 blocks are definitely lost in loss record 379 of 382
	==14496==    at 0x65E1964: g_type_create_instance (gtype.c:1854)
	==14496==    by 0x65C36AA: g_object_new_internal (gobject.c:1781)
	==14496==    by 0x65C55ED: g_object_new_valist (gobject.c:2040)
	==14496==    by 0x65C58A0: g_object_new (gobject.c:1624)
	==14496==    by 0x5338257: osinfo_productlist_new (osinfo_productlist.c:81)
	==14496==    by 0x401946: test_supportdate (test-product.c:116)
	==14496==    by 0x5117535: tcase_run_tfun_nofork.isra.9 (check_run.c:390)
	==14496==    by 0x51178EB: srunner_iterate_tcase_tfuns (check_run.c:231)
	==14496==    by 0x51178EB: srunner_run_tcase (check_run.c:373)
	==14496==    by 0x51178EB: srunner_iterate_suites (check_run.c:195)
	==14496==    by 0x51178EB: srunner_run (check_run.c:782)
	==14496==    by 0x40166E: main (test-product.c:219)

	test: Fix osinfo_list_get_elements() leak
	The returned list must be freed after use.

	This fixes:

	==13583==    at 0x4C2BBAD: malloc (vg_replace_malloc.c:299)
	==13583==    by 0x684FE58: g_malloc (gmem.c:94)
	==13583==    by 0x6866D42: g_slice_alloc (gslice.c:1025)
	==13583==    by 0x68462B5: g_list_prepend (glist.c:311)
	==13583==    by 0x683A06B: g_hash_table_get_values (ghash.c:1814)
	==13583==    by 0x532D2CC: osinfo_list_get_elements (osinfo_list.c:212)
	==13583==    by 0x401961: test_uris (test-mediauris.c:87)
	==13583==    by 0x5117535: tcase_run_tfun_nofork.isra.9 (check_run.c:390)
	==13583==    by 0x51178EB: srunner_iterate_tcase_tfuns (check_run.c:231)
	==13583==    by 0x51178EB: srunner_run_tcase (check_run.c:373)
	==13583==    by 0x51178EB: srunner_iterate_suites (check_run.c:195)
	==13583==    by 0x51178EB: srunner_run (check_run.c:782)
	==13583==    by 0x4016A4: main (test-mediauris.c:146)

	entity: Fix osinfo_entity_get_param_keys() leak
	The content of the GList returned by osinfo_entity_get_param_key() is
	not owned by the caller, but by OsinfoEntity. However, the "id" field
	added to the list was owned by the caller, and could not be freed
	properly. This commit adds a const char * to the GList rather than
	adding a g_strdup'ed string in order to fix this leak.

	==12129== 3 bytes in 1 blocks are definitely lost in loss record 7 of 269
	==12129==    at 0x4C2BBAD: malloc (vg_replace_malloc.c:299)
	==12129==    by 0x684FE58: g_malloc (gmem.c:94)
	==12129==    by 0x686889E: g_strdup (gstrfuncs.c:363)
	==12129==    by 0x532BB81: osinfo_entity_get_param_keys (osinfo_entity.c:300)
	==12129==    by 0x401AFF: test_multi_props_clear (test-entity.c:266)
	==12129==    by 0x5117535: tcase_run_tfun_nofork.isra.9 (check_run.c:390)
	==12129==    by 0x51178EB: srunner_iterate_tcase_tfuns (check_run.c:231)
	==12129==    by 0x51178EB: srunner_run_tcase (check_run.c:373)
	==12129==    by 0x51178EB: srunner_iterate_suites (check_run.c:195)
	==12129==    by 0x51178EB: srunner_run (check_run.c:782)
	==12129==    by 0x401369: main (test-entity.c:344)

	test-entity: Fix osinfo_entity_get_param_keys() leak
	The list returned by osinfo_entity_get_param_keys() must be freed.

	==20812== 24 bytes in 1 blocks are definitely lost in loss record 109 of 262
	==20812==    at 0x4C2BBAD: malloc (vg_replace_malloc.c:299)
	==20812==    by 0x684FE58: g_malloc (gmem.c:94)
	==20812==    by 0x6866D42: g_slice_alloc (gslice.c:1025)
	==20812==    by 0x6846A13: g_list_append (glist.c:261)
	==20812==    by 0x532BB88: osinfo_entity_get_param_keys (osinfo_entity.c:300)
	==20812==    by 0x40160F: test_empty_props (test-entity.c:71)
	==20812==    by 0x5117535: tcase_run_tfun_nofork.isra.9 (check_run.c:390)
	==20812==    by 0x51178EB: srunner_iterate_tcase_tfuns (check_run.c:231)
	==20812==    by 0x51178EB: srunner_run_tcase (check_run.c:373)
	==20812==    by 0x51178EB: srunner_iterate_suites (check_run.c:195)
	==20812==    by 0x51178EB: srunner_run (check_run.c:782)
	==20812==    by 0x40314A: main (test-entity.c:344)

2016-07-01  Fabiano Fidêncio  <fidencio@redhat.com>

	osinfo-query: return failure when no matches are found
	According to `man osinfo-query`: "The exit status will be 0 if matching
	entries were found, or 1 if not matches were found". So, let's adapt the
	program in order to match the manual.

	Also, this patch was written keeping the current behavior about printing
	the Short ID, Name, Version, ID table.

	Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=1351718

	Acked-by: Christophe Fergeau <cfergeau@redhat.com>

2016-06-03  Christophe Fergeau  <cfergeau@redhat.com>

	test: Make warnings fatal
	Since standard output is hidden by default while we run make check, it's
	very easy to miss test cases emitting new warnings. This commit uses
	g_log_set_fatal_mask() to ensure that the test cases will abort if a
	warning is emitted while they run. This matches the behaviour of the
	GTest  framework.

	test: Silence expected warning in test-os

	os: Fix invalid URLs
	Some URLs have become obsolete since the last time
	test-treeuris/test-mediauris were run, this fixes these 2 tests.

	test: Adjust test database directory layout
	Since the database reorganization, the files must follow a directory
	layout matching their id, otherwise a warning is emitted.

	ubuntu: Fix initrd/kernel paths
	The initrd extensions are either .lz or .gz depending on the version
	(server/desktop), and the base directory is either casper or install.

	Some of the powerpc/parisc entries could be improved as the ISOs contain
	multiple kernels and initrds (eg 32/64 bit versions).

	ubuntu: Mark the sparc ISOs as sparc64
	These ISOs only contain a 64 bit kernel.

	ubuntu: Add Ubuntu 16.04 data

2016-06-02  Christophe Fergeau  <cfergeau@redhat.com>

	opensuse: Fix id of x11-keyboard datamap
	The correct id is http://x.org/x11-keyboard and not
	http://libosinfo.fedorahosted.org/x11-keyboard

	opensuse: Rename autoinst files according to their id
	This causes warnings when running ./test/test-isodetect if they are not
	named as expected:

	** (process:28952): WARNING **: Entity http://opensuse.org/opensuse/autoyast/desktop
	should be in file install-script/opensuse.org/opensuse-autoyast-desktop.xml not
	install-script/opensuse.org/autoinst-desktop.xml

	ubuntu: Add Ubuntu 15.10 test cases
	Detection was already present, but not the corresponding test files.

	rhel: Add RHEL 6.8 data

	rhel: Add RHEL Atomic 7.2 data

2016-05-23  Fabiano Fidêncio  <fidencio@redhat.com>

	Revert "debian: Allow empty passwords"
	The workaround that has been used so far doesn't work.

	For the user account, the password is indeed removed in the end of the
	installation, but then login in from GDM is impossible. Although it
	works from a VT (depending on the installed version), this is not
	something obvious that every user would try. So, requiring the user
	password seems the best to do for now and when a proper solution is
	found, the user password can be set to optional again.

	For the root account, the password is not removed in the of the
	installation and ends up being set as "dummyPa55w0rd", something that
	the user would never guess, unless they have access to the libosinfo
	code. So, requiring the admin password seems the best to do for now and
	when a proper solution is found the admin password can be set to
	optional again.

	This reverts commit 087a8f8a23895e2d792b0f6d26a9d0c01a6c7e87.

	 Conflicts:
		data/install-script/debian.org/debian-preseed-desktop.xml.in


	Resolves:
	https://bugzilla.redhat.com/show_bug.cgi?id=1336108
	https://bugzilla.redhat.com/show_bug.cgi?id=1336109

	Acked-by: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

2016-05-18  Fabiano Fidêncio  <fidencio@redhat.com>

	debian,installer: Set user avatar
	Set user avatar in the desktop installation's profile based on what is
	done in Fedora and openSUSE scripts.

	Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=1336112

	Acked-by: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

	debian,installers: Enable ftp mirror
	Currently, after completing the installation, the users are not able to
	install any software in the VM as the only entry in
	/etc/apt/sources.list is the installation media itself.

	Also, desktop installation's profile is broken as qemu-guest-agent is
	not part of the installation media and we have no mirror set up for
	downloading the package from.

	Let's fix these issues enabling the ftp mirror and removing the DVD from
	the /etc/apt/sources.list.

	Resolves:
	https://bugzilla.redhat.com/show_bug.cgi?id=1336110
	https://bugzilla.redhat.com/show_bug.cgi?id=1336111

	Acked-by: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

2016-05-17  Fabiano Fidêncio  <fidencio@redhat.com>

	debian: Add Debian Testing info
	Is worth mentioning that Debian Testing is a rolling release done every
	week. That's the reason the upgrades/derives-from fields are omitted in
	this patch and that the devices must be added here as well.

	Acked-by: Christophe Fergeau <cfergeau@redhat.com>

2016-05-13  Programmingkid  <programmingkidx@gmail.com>

	configure.ac: Fix darwin detection code
	The $host variable would be set to "x86_64-apple-darwin10.8.0" when using
	Mac OS X. So to detect it, we need to add another asterisk to the case.

	Acked-by: Fabiano Fidêncio <fidencio@redhat.com>

2016-05-13  Fabiano Fidêncio  <fidencio@redhat.com>

	win,installer: Fix "Windwos" typo
	Acked-by: Christophe Fergeau <cfergeau@redhat.com>

	win,installer: Fix misplaced parenthesis
	The commit 17809d54 inserted a wrong parenthesis in the test done for
	skipping the ProductKey during the WindowsPE phase of the script.

	In this patch, the bogus expression "count(media/variant != 0)" is
	replaced by "count(media/variant) != 0".

	Acked-by: Christophe Fergeau <cfergeau@redhat.com>

2016-05-11  Vladimir Beneš  <vbenes@redhat.com>

	debian,installer: Add ssh-server for installation
	Installing ssh-server is needed for testing purposes.

	Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=1251668
	Acked-by: Fabiano Fidêncio <fidencio@redhat.com>

2016-05-11  Andrew Stormont  <andyjstormont@gmail.com>

	build: Fix "--no-undefined" linker's flag for solaris
	Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=1302339
	Acked-by: Fabiano Fidêncio <fidencio@redhat.com>

2016-05-11  Fabiano Fidêncio  <fidencio@redhat.com>

	build: Fix "--no-undefined" linker's flag for OSX
	Apple's linker doesn't have support to "--no-undefined" and we must use
	something equivalent, like: "-undefined,error".

	The patch was test by Programmingkid and his positive feedback can be
	seen here:
	https://www.redhat.com/archives/libosinfo/2016-May/msg00164.html

	Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=1305016

	Acked-by: Christophe Fergeau <cfergeau@redhat.com>

2016-05-11  Christophe Fergeau  <cfergeau@redhat.com>

	media: Fix misplaced parenthesis in strncmp use
	Due to a misplaced parenthesis, bootable media detection was doing
	strncmp(.., .., sizeof(..) != 0)
	instead of
	strncmp(.., .., sizeof(..)) != 0

	This means we were comparing 1 character from BOOTABLE_TAG rather than
	the full string.

	This was found when trying to compile libosinfo with CC=clang

2016-05-10  Fabiano Fidêncio  <fidencio@redhat.com>

	win10: Enable unattended installation
	Unattended installation works properly, apart from the user avatar not
	being set for Windows 8 (or newer)[0].

	[0]: https://bugzilla.redhat.com/show_bug.cgi?id=1328637

	Acked-by: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

	win,installer: Improve "setting product key" logic
	Only a few variants of Windows 8 and Windows 8.1, like Enterprise,
	Enterprise Debug and Professional, have to have the ProductKey skipped
	during the WindowsPE phase of the installation script.

	This patch re-writes the "skipping ProductKey" logic in a cleaner way,
	making it work also for Windows 10 (and all its variants).

	Acked-by: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

	win10: Generalize "No Variant" volume ID expression
	Let's generalize the expression for x86 volume IDs in order to cover
	more volume IDs.

	The expression is based on the one used for the x86_64 volume IDs.

	Acked-by: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

	win10: Add two x86_64 volume IDs
	Acked-by: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

	win10: Generalize "Enterprise LTSB" volume ID expression
	Let's generalize the x86 volume ID expression in order to cover more
	volume IDs.

	The expression is based on the one used for the x86_64 volume IDs.

	Acked-by: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

	win10: Add two Enterprise LTSB (x86_64) volume IDs
	LTSB stands for Long Term Servicing Branch.

	Acked-by: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

	win10: Generalize "Enterprise" volume ID expression
	Let's generalize the expression for x86 volume IDs in order to cover
	more volume IDs.

	The expression is based on the one used for the x86_64 volume IDs.

	Acked-by: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

	win10: Add two Enterprise x86_64 volume IDs
	Acked-by: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

	win10: Generalize "Education" volume ID expression
	Let's generalize the x86 volume ID expression in order to cover more
	volume IDs, based on the ones already covered in the x86_64 volume ID
	expression.

	Acked-by: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

	win10: Add an Education x86_64 volume ID
	Acked-by: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

2016-05-09  Fabiano Fidêncio  <fidencio@redhat.com>

	win8,installer: Tune based on variants
	As Windows 8.1, Windows 8 (most likely) has to have the ProductKey
	skipped during the WindowsPE phase of the script for the enterprise,
	enterprise-debug and professional variants.

	"Most likely" is said because I haven't been able to test the Windows 8
	Professional variant as it needs a VLK and MSDN tells me that only
	administrators can access keys in the Volume Licensing Service Center
	(VLSC).

	Also, I haven't been able to start an installation using none of the
	debug ISOs, as the system reboots just a minute (or so) after booting
	up. It seems to be a problem with the ISOs themselves, as I've
	downloaded a few ISOs (different locales) and faced the same issue.

	win8: Generalize "No Variant" vol ID expression
	Acked-by: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

	win8: Add professional variant
	Acked-by: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

	win8: Add debug variant
	Acked-by: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

	win8: Add enterprise-debug variant
	Acked-by: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

	win8: Add enterprise variant
	Acked-by: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

	opensuse-tumbleweed: Enable express installation
	Acked-by: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

	opensuse-42.1: Enable express installation
	Acked-by: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

	opensuse,installer: Add DESKTOP script
	The script has been tested and works as expected for the most recent
	releases of OpenSUSE (Leap 4.21 and Tumbleweed).

	A big thanks to Lasse Schuirmann, who had worked on a similar script,
	from which I got the chroot-scripts part, during his GSoC project.

	Co-author: Lasse Schuirmann <lasse.schuirmann@gmail.com>

	Acked-by: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

	opensuse,installer: Add JEOS script
	The script has been tested and works as expected for the most recent
	releases of OpenSUSE (Leap 4.21 and Tumbleweed).

	Acked-by: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

	opensuse-tumbleweed: Bump recommended storage size
	Although the values are correct, it is impossible to have a normal
	(graphical) usage of a system with the storage's recommended size.

	So, instead of using 5GB as recommended storage size, let's increase
	this value to 20GB.

	Acked-by: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

	opensuse-tumbleweed: Add USB Tablet device
	Acked-by: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

	opensuse-tumbleweed: Add virtio-net device
	Acked-by: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

	opensuse-tumbleweed: Add virtio-block device
	Acked-by: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

	opensuse-tumbleweed: Add QXL device
	Acked-by: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

	opensuse-tumbleweed: Add AC97 device
	Acked-by: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

	opensuse-42.1: Add USB Tablet device
	Acked-by: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

	opensuse-42.1: Add virtio-net device
	Acked-by: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

